#ifndef __IBUS_ENGINE_GUI_CI_KEYVAL_STR_TO_VAL_H_
#define __IBUS_ENGINE_GUI_CI_KEYVAL_STR_TO_VAL_H_

#include <ibus.h>


const struct {
    const char *key;
    const int val;
} IBusKeyvalStroToVal [] = {
    { "IBUS_KEY_0", IBUS_KEY_0 },
    { "IBUS_KEY_1", IBUS_KEY_1 },
    { "IBUS_KEY_2", IBUS_KEY_2 },
    { "IBUS_KEY_3", IBUS_KEY_3 },
    { "IBUS_KEY_3270_AltCursor", IBUS_KEY_3270_AltCursor },
    { "IBUS_KEY_3270_Attn", IBUS_KEY_3270_Attn },
    { "IBUS_KEY_3270_BackTab", IBUS_KEY_3270_BackTab },
    { "IBUS_KEY_3270_ChangeScreen", IBUS_KEY_3270_ChangeScreen },
    { "IBUS_KEY_3270_Copy", IBUS_KEY_3270_Copy },
    { "IBUS_KEY_3270_CursorBlink", IBUS_KEY_3270_CursorBlink },
    { "IBUS_KEY_3270_CursorSelect", IBUS_KEY_3270_CursorSelect },
    { "IBUS_KEY_3270_DeleteWord", IBUS_KEY_3270_DeleteWord },
    { "IBUS_KEY_3270_Duplicate", IBUS_KEY_3270_Duplicate },
    { "IBUS_KEY_3270_Enter", IBUS_KEY_3270_Enter },
    { "IBUS_KEY_3270_EraseEOF", IBUS_KEY_3270_EraseEOF },
    { "IBUS_KEY_3270_EraseInput", IBUS_KEY_3270_EraseInput },
    { "IBUS_KEY_3270_ExSelect", IBUS_KEY_3270_ExSelect },
    { "IBUS_KEY_3270_FieldMark", IBUS_KEY_3270_FieldMark },
    { "IBUS_KEY_3270_Ident", IBUS_KEY_3270_Ident },
    { "IBUS_KEY_3270_Jump", IBUS_KEY_3270_Jump },
    { "IBUS_KEY_3270_KeyClick", IBUS_KEY_3270_KeyClick },
    { "IBUS_KEY_3270_Left2", IBUS_KEY_3270_Left2 },
    { "IBUS_KEY_3270_PA1", IBUS_KEY_3270_PA1 },
    { "IBUS_KEY_3270_PA2", IBUS_KEY_3270_PA2 },
    { "IBUS_KEY_3270_PA3", IBUS_KEY_3270_PA3 },
    { "IBUS_KEY_3270_Play", IBUS_KEY_3270_Play },
    { "IBUS_KEY_3270_PrintScreen", IBUS_KEY_3270_PrintScreen },
    { "IBUS_KEY_3270_Quit", IBUS_KEY_3270_Quit },
    { "IBUS_KEY_3270_Record", IBUS_KEY_3270_Record },
    { "IBUS_KEY_3270_Reset", IBUS_KEY_3270_Reset },
    { "IBUS_KEY_3270_Right2", IBUS_KEY_3270_Right2 },
    { "IBUS_KEY_3270_Rule", IBUS_KEY_3270_Rule },
    { "IBUS_KEY_3270_Setup", IBUS_KEY_3270_Setup },
    { "IBUS_KEY_3270_Test", IBUS_KEY_3270_Test },
    { "IBUS_KEY_4", IBUS_KEY_4 },
    { "IBUS_KEY_5", IBUS_KEY_5 },
    { "IBUS_KEY_6", IBUS_KEY_6 },
    { "IBUS_KEY_7", IBUS_KEY_7 },
    { "IBUS_KEY_8", IBUS_KEY_8 },
    { "IBUS_KEY_9", IBUS_KEY_9 },
    { "IBUS_KEY_A", IBUS_KEY_A },
    { "IBUS_KEY_AE", IBUS_KEY_AE },
    { "IBUS_KEY_Aacute", IBUS_KEY_Aacute },
    { "IBUS_KEY_Abelowdot", IBUS_KEY_Abelowdot },
    { "IBUS_KEY_Abreve", IBUS_KEY_Abreve },
    { "IBUS_KEY_Abreveacute", IBUS_KEY_Abreveacute },
    { "IBUS_KEY_Abrevebelowdot", IBUS_KEY_Abrevebelowdot },
    { "IBUS_KEY_Abrevegrave", IBUS_KEY_Abrevegrave },
    { "IBUS_KEY_Abrevehook", IBUS_KEY_Abrevehook },
    { "IBUS_KEY_Abrevetilde", IBUS_KEY_Abrevetilde },
    { "IBUS_KEY_AccessX_Enable", IBUS_KEY_AccessX_Enable },
    { "IBUS_KEY_AccessX_Feedback_Enable", IBUS_KEY_AccessX_Feedback_Enable },
    { "IBUS_KEY_Acircumflex", IBUS_KEY_Acircumflex },
    { "IBUS_KEY_Acircumflexacute", IBUS_KEY_Acircumflexacute },
    { "IBUS_KEY_Acircumflexbelowdot", IBUS_KEY_Acircumflexbelowdot },
    { "IBUS_KEY_Acircumflexgrave", IBUS_KEY_Acircumflexgrave },
    { "IBUS_KEY_Acircumflexhook", IBUS_KEY_Acircumflexhook },
    { "IBUS_KEY_Acircumflextilde", IBUS_KEY_Acircumflextilde },
    { "IBUS_KEY_AddFavorite", IBUS_KEY_AddFavorite },
    { "IBUS_KEY_Adiaeresis", IBUS_KEY_Adiaeresis },
    { "IBUS_KEY_Agrave", IBUS_KEY_Agrave },
    { "IBUS_KEY_Ahook", IBUS_KEY_Ahook },
    { "IBUS_KEY_Alt_L", IBUS_KEY_Alt_L },
    { "IBUS_KEY_Alt_R", IBUS_KEY_Alt_R },
    { "IBUS_KEY_Amacron", IBUS_KEY_Amacron },
    { "IBUS_KEY_Aogonek", IBUS_KEY_Aogonek },
    { "IBUS_KEY_ApplicationLeft", IBUS_KEY_ApplicationLeft },
    { "IBUS_KEY_ApplicationRight", IBUS_KEY_ApplicationRight },
    { "IBUS_KEY_Arabic_0", IBUS_KEY_Arabic_0 },
    { "IBUS_KEY_Arabic_1", IBUS_KEY_Arabic_1 },
    { "IBUS_KEY_Arabic_2", IBUS_KEY_Arabic_2 },
    { "IBUS_KEY_Arabic_3", IBUS_KEY_Arabic_3 },
    { "IBUS_KEY_Arabic_4", IBUS_KEY_Arabic_4 },
    { "IBUS_KEY_Arabic_5", IBUS_KEY_Arabic_5 },
    { "IBUS_KEY_Arabic_6", IBUS_KEY_Arabic_6 },
    { "IBUS_KEY_Arabic_7", IBUS_KEY_Arabic_7 },
    { "IBUS_KEY_Arabic_8", IBUS_KEY_Arabic_8 },
    { "IBUS_KEY_Arabic_9", IBUS_KEY_Arabic_9 },
    { "IBUS_KEY_Arabic_ain", IBUS_KEY_Arabic_ain },
    { "IBUS_KEY_Arabic_alef", IBUS_KEY_Arabic_alef },
    { "IBUS_KEY_Arabic_alefmaksura", IBUS_KEY_Arabic_alefmaksura },
    { "IBUS_KEY_Arabic_beh", IBUS_KEY_Arabic_beh },
    { "IBUS_KEY_Arabic_comma", IBUS_KEY_Arabic_comma },
    { "IBUS_KEY_Arabic_dad", IBUS_KEY_Arabic_dad },
    { "IBUS_KEY_Arabic_dal", IBUS_KEY_Arabic_dal },
    { "IBUS_KEY_Arabic_damma", IBUS_KEY_Arabic_damma },
    { "IBUS_KEY_Arabic_dammatan", IBUS_KEY_Arabic_dammatan },
    { "IBUS_KEY_Arabic_ddal", IBUS_KEY_Arabic_ddal },
    { "IBUS_KEY_Arabic_farsi_yeh", IBUS_KEY_Arabic_farsi_yeh },
    { "IBUS_KEY_Arabic_fatha", IBUS_KEY_Arabic_fatha },
    { "IBUS_KEY_Arabic_fathatan", IBUS_KEY_Arabic_fathatan },
    { "IBUS_KEY_Arabic_feh", IBUS_KEY_Arabic_feh },
    { "IBUS_KEY_Arabic_fullstop", IBUS_KEY_Arabic_fullstop },
    { "IBUS_KEY_Arabic_gaf", IBUS_KEY_Arabic_gaf },
    { "IBUS_KEY_Arabic_ghain", IBUS_KEY_Arabic_ghain },
    { "IBUS_KEY_Arabic_ha", IBUS_KEY_Arabic_ha },
    { "IBUS_KEY_Arabic_hah", IBUS_KEY_Arabic_hah },
    { "IBUS_KEY_Arabic_hamza", IBUS_KEY_Arabic_hamza },
    { "IBUS_KEY_Arabic_hamza_above", IBUS_KEY_Arabic_hamza_above },
    { "IBUS_KEY_Arabic_hamza_below", IBUS_KEY_Arabic_hamza_below },
    { "IBUS_KEY_Arabic_hamzaonalef", IBUS_KEY_Arabic_hamzaonalef },
    { "IBUS_KEY_Arabic_hamzaonwaw", IBUS_KEY_Arabic_hamzaonwaw },
    { "IBUS_KEY_Arabic_hamzaonyeh", IBUS_KEY_Arabic_hamzaonyeh },
    { "IBUS_KEY_Arabic_hamzaunderalef", IBUS_KEY_Arabic_hamzaunderalef },
    { "IBUS_KEY_Arabic_heh", IBUS_KEY_Arabic_heh },
    { "IBUS_KEY_Arabic_heh_doachashmee", IBUS_KEY_Arabic_heh_doachashmee },
    { "IBUS_KEY_Arabic_heh_goal", IBUS_KEY_Arabic_heh_goal },
    { "IBUS_KEY_Arabic_jeem", IBUS_KEY_Arabic_jeem },
    { "IBUS_KEY_Arabic_jeh", IBUS_KEY_Arabic_jeh },
    { "IBUS_KEY_Arabic_kaf", IBUS_KEY_Arabic_kaf },
    { "IBUS_KEY_Arabic_kasra", IBUS_KEY_Arabic_kasra },
    { "IBUS_KEY_Arabic_kasratan", IBUS_KEY_Arabic_kasratan },
    { "IBUS_KEY_Arabic_keheh", IBUS_KEY_Arabic_keheh },
    { "IBUS_KEY_Arabic_khah", IBUS_KEY_Arabic_khah },
    { "IBUS_KEY_Arabic_lam", IBUS_KEY_Arabic_lam },
    { "IBUS_KEY_Arabic_madda_above", IBUS_KEY_Arabic_madda_above },
    { "IBUS_KEY_Arabic_maddaonalef", IBUS_KEY_Arabic_maddaonalef },
    { "IBUS_KEY_Arabic_meem", IBUS_KEY_Arabic_meem },
    { "IBUS_KEY_Arabic_noon", IBUS_KEY_Arabic_noon },
    { "IBUS_KEY_Arabic_noon_ghunna", IBUS_KEY_Arabic_noon_ghunna },
    { "IBUS_KEY_Arabic_peh", IBUS_KEY_Arabic_peh },
    { "IBUS_KEY_Arabic_percent", IBUS_KEY_Arabic_percent },
    { "IBUS_KEY_Arabic_qaf", IBUS_KEY_Arabic_qaf },
    { "IBUS_KEY_Arabic_question_mark", IBUS_KEY_Arabic_question_mark },
    { "IBUS_KEY_Arabic_ra", IBUS_KEY_Arabic_ra },
    { "IBUS_KEY_Arabic_rreh", IBUS_KEY_Arabic_rreh },
    { "IBUS_KEY_Arabic_sad", IBUS_KEY_Arabic_sad },
    { "IBUS_KEY_Arabic_seen", IBUS_KEY_Arabic_seen },
    { "IBUS_KEY_Arabic_semicolon", IBUS_KEY_Arabic_semicolon },
    { "IBUS_KEY_Arabic_shadda", IBUS_KEY_Arabic_shadda },
    { "IBUS_KEY_Arabic_sheen", IBUS_KEY_Arabic_sheen },
    { "IBUS_KEY_Arabic_sukun", IBUS_KEY_Arabic_sukun },
    { "IBUS_KEY_Arabic_superscript_alef", IBUS_KEY_Arabic_superscript_alef },
    { "IBUS_KEY_Arabic_switch", IBUS_KEY_Arabic_switch },
    { "IBUS_KEY_Arabic_tah", IBUS_KEY_Arabic_tah },
    { "IBUS_KEY_Arabic_tatweel", IBUS_KEY_Arabic_tatweel },
    { "IBUS_KEY_Arabic_tcheh", IBUS_KEY_Arabic_tcheh },
    { "IBUS_KEY_Arabic_teh", IBUS_KEY_Arabic_teh },
    { "IBUS_KEY_Arabic_tehmarbuta", IBUS_KEY_Arabic_tehmarbuta },
    { "IBUS_KEY_Arabic_thal", IBUS_KEY_Arabic_thal },
    { "IBUS_KEY_Arabic_theh", IBUS_KEY_Arabic_theh },
    { "IBUS_KEY_Arabic_tteh", IBUS_KEY_Arabic_tteh },
    { "IBUS_KEY_Arabic_veh", IBUS_KEY_Arabic_veh },
    { "IBUS_KEY_Arabic_waw", IBUS_KEY_Arabic_waw },
    { "IBUS_KEY_Arabic_yeh", IBUS_KEY_Arabic_yeh },
    { "IBUS_KEY_Arabic_yeh_baree", IBUS_KEY_Arabic_yeh_baree },
    { "IBUS_KEY_Arabic_zah", IBUS_KEY_Arabic_zah },
    { "IBUS_KEY_Arabic_zain", IBUS_KEY_Arabic_zain },
    { "IBUS_KEY_Aring", IBUS_KEY_Aring },
    { "IBUS_KEY_Armenian_AT", IBUS_KEY_Armenian_AT },
    { "IBUS_KEY_Armenian_AYB", IBUS_KEY_Armenian_AYB },
    { "IBUS_KEY_Armenian_BEN", IBUS_KEY_Armenian_BEN },
    { "IBUS_KEY_Armenian_CHA", IBUS_KEY_Armenian_CHA },
    { "IBUS_KEY_Armenian_DA", IBUS_KEY_Armenian_DA },
    { "IBUS_KEY_Armenian_DZA", IBUS_KEY_Armenian_DZA },
    { "IBUS_KEY_Armenian_E", IBUS_KEY_Armenian_E },
    { "IBUS_KEY_Armenian_FE", IBUS_KEY_Armenian_FE },
    { "IBUS_KEY_Armenian_GHAT", IBUS_KEY_Armenian_GHAT },
    { "IBUS_KEY_Armenian_GIM", IBUS_KEY_Armenian_GIM },
    { "IBUS_KEY_Armenian_HI", IBUS_KEY_Armenian_HI },
    { "IBUS_KEY_Armenian_HO", IBUS_KEY_Armenian_HO },
    { "IBUS_KEY_Armenian_INI", IBUS_KEY_Armenian_INI },
    { "IBUS_KEY_Armenian_JE", IBUS_KEY_Armenian_JE },
    { "IBUS_KEY_Armenian_KE", IBUS_KEY_Armenian_KE },
    { "IBUS_KEY_Armenian_KEN", IBUS_KEY_Armenian_KEN },
    { "IBUS_KEY_Armenian_KHE", IBUS_KEY_Armenian_KHE },
    { "IBUS_KEY_Armenian_LYUN", IBUS_KEY_Armenian_LYUN },
    { "IBUS_KEY_Armenian_MEN", IBUS_KEY_Armenian_MEN },
    { "IBUS_KEY_Armenian_NU", IBUS_KEY_Armenian_NU },
    { "IBUS_KEY_Armenian_O", IBUS_KEY_Armenian_O },
    { "IBUS_KEY_Armenian_PE", IBUS_KEY_Armenian_PE },
    { "IBUS_KEY_Armenian_PYUR", IBUS_KEY_Armenian_PYUR },
    { "IBUS_KEY_Armenian_RA", IBUS_KEY_Armenian_RA },
    { "IBUS_KEY_Armenian_RE", IBUS_KEY_Armenian_RE },
    { "IBUS_KEY_Armenian_SE", IBUS_KEY_Armenian_SE },
    { "IBUS_KEY_Armenian_SHA", IBUS_KEY_Armenian_SHA },
    { "IBUS_KEY_Armenian_TCHE", IBUS_KEY_Armenian_TCHE },
    { "IBUS_KEY_Armenian_TO", IBUS_KEY_Armenian_TO },
    { "IBUS_KEY_Armenian_TSA", IBUS_KEY_Armenian_TSA },
    { "IBUS_KEY_Armenian_TSO", IBUS_KEY_Armenian_TSO },
    { "IBUS_KEY_Armenian_TYUN", IBUS_KEY_Armenian_TYUN },
    { "IBUS_KEY_Armenian_VEV", IBUS_KEY_Armenian_VEV },
    { "IBUS_KEY_Armenian_VO", IBUS_KEY_Armenian_VO },
    { "IBUS_KEY_Armenian_VYUN", IBUS_KEY_Armenian_VYUN },
    { "IBUS_KEY_Armenian_YECH", IBUS_KEY_Armenian_YECH },
    { "IBUS_KEY_Armenian_ZA", IBUS_KEY_Armenian_ZA },
    { "IBUS_KEY_Armenian_ZHE", IBUS_KEY_Armenian_ZHE },
    { "IBUS_KEY_Armenian_accent", IBUS_KEY_Armenian_accent },
    { "IBUS_KEY_Armenian_amanak", IBUS_KEY_Armenian_amanak },
    { "IBUS_KEY_Armenian_apostrophe", IBUS_KEY_Armenian_apostrophe },
    { "IBUS_KEY_Armenian_at", IBUS_KEY_Armenian_at },
    { "IBUS_KEY_Armenian_ayb", IBUS_KEY_Armenian_ayb },
    { "IBUS_KEY_Armenian_ben", IBUS_KEY_Armenian_ben },
    { "IBUS_KEY_Armenian_but", IBUS_KEY_Armenian_but },
    { "IBUS_KEY_Armenian_cha", IBUS_KEY_Armenian_cha },
    { "IBUS_KEY_Armenian_da", IBUS_KEY_Armenian_da },
    { "IBUS_KEY_Armenian_dza", IBUS_KEY_Armenian_dza },
    { "IBUS_KEY_Armenian_e", IBUS_KEY_Armenian_e },
    { "IBUS_KEY_Armenian_exclam", IBUS_KEY_Armenian_exclam },
    { "IBUS_KEY_Armenian_fe", IBUS_KEY_Armenian_fe },
    { "IBUS_KEY_Armenian_full_stop", IBUS_KEY_Armenian_full_stop },
    { "IBUS_KEY_Armenian_ghat", IBUS_KEY_Armenian_ghat },
    { "IBUS_KEY_Armenian_gim", IBUS_KEY_Armenian_gim },
    { "IBUS_KEY_Armenian_hi", IBUS_KEY_Armenian_hi },
    { "IBUS_KEY_Armenian_ho", IBUS_KEY_Armenian_ho },
    { "IBUS_KEY_Armenian_hyphen", IBUS_KEY_Armenian_hyphen },
    { "IBUS_KEY_Armenian_ini", IBUS_KEY_Armenian_ini },
    { "IBUS_KEY_Armenian_je", IBUS_KEY_Armenian_je },
    { "IBUS_KEY_Armenian_ke", IBUS_KEY_Armenian_ke },
    { "IBUS_KEY_Armenian_ken", IBUS_KEY_Armenian_ken },
    { "IBUS_KEY_Armenian_khe", IBUS_KEY_Armenian_khe },
    { "IBUS_KEY_Armenian_ligature_ew", IBUS_KEY_Armenian_ligature_ew },
    { "IBUS_KEY_Armenian_lyun", IBUS_KEY_Armenian_lyun },
    { "IBUS_KEY_Armenian_men", IBUS_KEY_Armenian_men },
    { "IBUS_KEY_Armenian_nu", IBUS_KEY_Armenian_nu },
    { "IBUS_KEY_Armenian_o", IBUS_KEY_Armenian_o },
    { "IBUS_KEY_Armenian_paruyk", IBUS_KEY_Armenian_paruyk },
    { "IBUS_KEY_Armenian_pe", IBUS_KEY_Armenian_pe },
    { "IBUS_KEY_Armenian_pyur", IBUS_KEY_Armenian_pyur },
    { "IBUS_KEY_Armenian_question", IBUS_KEY_Armenian_question },
    { "IBUS_KEY_Armenian_ra", IBUS_KEY_Armenian_ra },
    { "IBUS_KEY_Armenian_re", IBUS_KEY_Armenian_re },
    { "IBUS_KEY_Armenian_se", IBUS_KEY_Armenian_se },
    { "IBUS_KEY_Armenian_separation_mark", IBUS_KEY_Armenian_separation_mark },
    { "IBUS_KEY_Armenian_sha", IBUS_KEY_Armenian_sha },
    { "IBUS_KEY_Armenian_shesht", IBUS_KEY_Armenian_shesht },
    { "IBUS_KEY_Armenian_tche", IBUS_KEY_Armenian_tche },
    { "IBUS_KEY_Armenian_to", IBUS_KEY_Armenian_to },
    { "IBUS_KEY_Armenian_tsa", IBUS_KEY_Armenian_tsa },
    { "IBUS_KEY_Armenian_tso", IBUS_KEY_Armenian_tso },
    { "IBUS_KEY_Armenian_tyun", IBUS_KEY_Armenian_tyun },
    { "IBUS_KEY_Armenian_verjaket", IBUS_KEY_Armenian_verjaket },
    { "IBUS_KEY_Armenian_vev", IBUS_KEY_Armenian_vev },
    { "IBUS_KEY_Armenian_vo", IBUS_KEY_Armenian_vo },
    { "IBUS_KEY_Armenian_vyun", IBUS_KEY_Armenian_vyun },
    { "IBUS_KEY_Armenian_yech", IBUS_KEY_Armenian_yech },
    { "IBUS_KEY_Armenian_yentamna", IBUS_KEY_Armenian_yentamna },
    { "IBUS_KEY_Armenian_za", IBUS_KEY_Armenian_za },
    { "IBUS_KEY_Armenian_zhe", IBUS_KEY_Armenian_zhe },
    { "IBUS_KEY_Atilde", IBUS_KEY_Atilde },
    { "IBUS_KEY_AudibleBell_Enable", IBUS_KEY_AudibleBell_Enable },
    { "IBUS_KEY_AudioCycleTrack", IBUS_KEY_AudioCycleTrack },
    { "IBUS_KEY_AudioForward", IBUS_KEY_AudioForward },
    { "IBUS_KEY_AudioLowerVolume", IBUS_KEY_AudioLowerVolume },
    { "IBUS_KEY_AudioMedia", IBUS_KEY_AudioMedia },
    { "IBUS_KEY_AudioMicMute", IBUS_KEY_AudioMicMute },
    { "IBUS_KEY_AudioMute", IBUS_KEY_AudioMute },
    { "IBUS_KEY_AudioNext", IBUS_KEY_AudioNext },
    { "IBUS_KEY_AudioPause", IBUS_KEY_AudioPause },
    { "IBUS_KEY_AudioPlay", IBUS_KEY_AudioPlay },
    { "IBUS_KEY_AudioPreset", IBUS_KEY_AudioPreset },
    { "IBUS_KEY_AudioPrev", IBUS_KEY_AudioPrev },
    { "IBUS_KEY_AudioRaiseVolume", IBUS_KEY_AudioRaiseVolume },
    { "IBUS_KEY_AudioRandomPlay", IBUS_KEY_AudioRandomPlay },
    { "IBUS_KEY_AudioRecord", IBUS_KEY_AudioRecord },
    { "IBUS_KEY_AudioRepeat", IBUS_KEY_AudioRepeat },
    { "IBUS_KEY_AudioRewind", IBUS_KEY_AudioRewind },
    { "IBUS_KEY_AudioStop", IBUS_KEY_AudioStop },
    { "IBUS_KEY_Away", IBUS_KEY_Away },
    { "IBUS_KEY_B", IBUS_KEY_B },
    { "IBUS_KEY_Babovedot", IBUS_KEY_Babovedot },
    { "IBUS_KEY_Back", IBUS_KEY_Back },
    { "IBUS_KEY_BackForward", IBUS_KEY_BackForward },
    { "IBUS_KEY_BackSpace", IBUS_KEY_BackSpace },
    { "IBUS_KEY_Battery", IBUS_KEY_Battery },
    { "IBUS_KEY_Begin", IBUS_KEY_Begin },
    { "IBUS_KEY_Blue", IBUS_KEY_Blue },
    { "IBUS_KEY_Bluetooth", IBUS_KEY_Bluetooth },
    { "IBUS_KEY_Book", IBUS_KEY_Book },
    { "IBUS_KEY_BounceKeys_Enable", IBUS_KEY_BounceKeys_Enable },
    { "IBUS_KEY_Break", IBUS_KEY_Break },
    { "IBUS_KEY_BrightnessAdjust", IBUS_KEY_BrightnessAdjust },
    { "IBUS_KEY_Byelorussian_SHORTU", IBUS_KEY_Byelorussian_SHORTU },
    { "IBUS_KEY_Byelorussian_shortu", IBUS_KEY_Byelorussian_shortu },
    { "IBUS_KEY_C", IBUS_KEY_C },
    { "IBUS_KEY_CD", IBUS_KEY_CD },
    { "IBUS_KEY_CH", IBUS_KEY_CH },
    { "IBUS_KEY_C_H", IBUS_KEY_C_H },
    { "IBUS_KEY_C_h", IBUS_KEY_C_h },
    { "IBUS_KEY_Cabovedot", IBUS_KEY_Cabovedot },
    { "IBUS_KEY_Cacute", IBUS_KEY_Cacute },
    { "IBUS_KEY_Calculator", IBUS_KEY_Calculator },
    { "IBUS_KEY_Calendar", IBUS_KEY_Calendar },
    { "IBUS_KEY_Cancel", IBUS_KEY_Cancel },
    { "IBUS_KEY_Caps_Lock", IBUS_KEY_Caps_Lock },
    { "IBUS_KEY_Ccaron", IBUS_KEY_Ccaron },
    { "IBUS_KEY_Ccedilla", IBUS_KEY_Ccedilla },
    { "IBUS_KEY_Ccircumflex", IBUS_KEY_Ccircumflex },
    { "IBUS_KEY_Ch", IBUS_KEY_Ch },
    { "IBUS_KEY_Clear", IBUS_KEY_Clear },
    { "IBUS_KEY_ClearGrab", IBUS_KEY_ClearGrab },
    { "IBUS_KEY_Close", IBUS_KEY_Close },
    { "IBUS_KEY_Codeinput", IBUS_KEY_Codeinput },
    { "IBUS_KEY_ColonSign", IBUS_KEY_ColonSign },
    { "IBUS_KEY_Community", IBUS_KEY_Community },
    { "IBUS_KEY_ContrastAdjust", IBUS_KEY_ContrastAdjust },
    { "IBUS_KEY_Control_L", IBUS_KEY_Control_L },
    { "IBUS_KEY_Control_R", IBUS_KEY_Control_R },
    { "IBUS_KEY_Copy", IBUS_KEY_Copy },
    { "IBUS_KEY_CruzeiroSign", IBUS_KEY_CruzeiroSign },
    { "IBUS_KEY_Cut", IBUS_KEY_Cut },
    { "IBUS_KEY_CycleAngle", IBUS_KEY_CycleAngle },
    { "IBUS_KEY_Cyrillic_A", IBUS_KEY_Cyrillic_A },
    { "IBUS_KEY_Cyrillic_BE", IBUS_KEY_Cyrillic_BE },
    { "IBUS_KEY_Cyrillic_CHE", IBUS_KEY_Cyrillic_CHE },
    { "IBUS_KEY_Cyrillic_CHE_descender", IBUS_KEY_Cyrillic_CHE_descender },
    { "IBUS_KEY_Cyrillic_CHE_vertstroke", IBUS_KEY_Cyrillic_CHE_vertstroke },
    { "IBUS_KEY_Cyrillic_DE", IBUS_KEY_Cyrillic_DE },
    { "IBUS_KEY_Cyrillic_DZHE", IBUS_KEY_Cyrillic_DZHE },
    { "IBUS_KEY_Cyrillic_E", IBUS_KEY_Cyrillic_E },
    { "IBUS_KEY_Cyrillic_EF", IBUS_KEY_Cyrillic_EF },
    { "IBUS_KEY_Cyrillic_EL", IBUS_KEY_Cyrillic_EL },
    { "IBUS_KEY_Cyrillic_EM", IBUS_KEY_Cyrillic_EM },
    { "IBUS_KEY_Cyrillic_EN", IBUS_KEY_Cyrillic_EN },
    { "IBUS_KEY_Cyrillic_EN_descender", IBUS_KEY_Cyrillic_EN_descender },
    { "IBUS_KEY_Cyrillic_ER", IBUS_KEY_Cyrillic_ER },
    { "IBUS_KEY_Cyrillic_ES", IBUS_KEY_Cyrillic_ES },
    { "IBUS_KEY_Cyrillic_GHE", IBUS_KEY_Cyrillic_GHE },
    { "IBUS_KEY_Cyrillic_GHE_bar", IBUS_KEY_Cyrillic_GHE_bar },
    { "IBUS_KEY_Cyrillic_HA", IBUS_KEY_Cyrillic_HA },
    { "IBUS_KEY_Cyrillic_HARDSIGN", IBUS_KEY_Cyrillic_HARDSIGN },
    { "IBUS_KEY_Cyrillic_HA_descender", IBUS_KEY_Cyrillic_HA_descender },
    { "IBUS_KEY_Cyrillic_I", IBUS_KEY_Cyrillic_I },
    { "IBUS_KEY_Cyrillic_IE", IBUS_KEY_Cyrillic_IE },
    { "IBUS_KEY_Cyrillic_IO", IBUS_KEY_Cyrillic_IO },
    { "IBUS_KEY_Cyrillic_I_macron", IBUS_KEY_Cyrillic_I_macron },
    { "IBUS_KEY_Cyrillic_JE", IBUS_KEY_Cyrillic_JE },
    { "IBUS_KEY_Cyrillic_KA", IBUS_KEY_Cyrillic_KA },
    { "IBUS_KEY_Cyrillic_KA_descender", IBUS_KEY_Cyrillic_KA_descender },
    { "IBUS_KEY_Cyrillic_KA_vertstroke", IBUS_KEY_Cyrillic_KA_vertstroke },
    { "IBUS_KEY_Cyrillic_LJE", IBUS_KEY_Cyrillic_LJE },
    { "IBUS_KEY_Cyrillic_NJE", IBUS_KEY_Cyrillic_NJE },
    { "IBUS_KEY_Cyrillic_O", IBUS_KEY_Cyrillic_O },
    { "IBUS_KEY_Cyrillic_O_bar", IBUS_KEY_Cyrillic_O_bar },
    { "IBUS_KEY_Cyrillic_PE", IBUS_KEY_Cyrillic_PE },
    { "IBUS_KEY_Cyrillic_SCHWA", IBUS_KEY_Cyrillic_SCHWA },
    { "IBUS_KEY_Cyrillic_SHA", IBUS_KEY_Cyrillic_SHA },
    { "IBUS_KEY_Cyrillic_SHCHA", IBUS_KEY_Cyrillic_SHCHA },
    { "IBUS_KEY_Cyrillic_SHHA", IBUS_KEY_Cyrillic_SHHA },
    { "IBUS_KEY_Cyrillic_SHORTI", IBUS_KEY_Cyrillic_SHORTI },
    { "IBUS_KEY_Cyrillic_SOFTSIGN", IBUS_KEY_Cyrillic_SOFTSIGN },
    { "IBUS_KEY_Cyrillic_TE", IBUS_KEY_Cyrillic_TE },
    { "IBUS_KEY_Cyrillic_TSE", IBUS_KEY_Cyrillic_TSE },
    { "IBUS_KEY_Cyrillic_U", IBUS_KEY_Cyrillic_U },
    { "IBUS_KEY_Cyrillic_U_macron", IBUS_KEY_Cyrillic_U_macron },
    { "IBUS_KEY_Cyrillic_U_straight", IBUS_KEY_Cyrillic_U_straight },
    { "IBUS_KEY_Cyrillic_U_straight_bar", IBUS_KEY_Cyrillic_U_straight_bar },
    { "IBUS_KEY_Cyrillic_VE", IBUS_KEY_Cyrillic_VE },
    { "IBUS_KEY_Cyrillic_YA", IBUS_KEY_Cyrillic_YA },
    { "IBUS_KEY_Cyrillic_YERU", IBUS_KEY_Cyrillic_YERU },
    { "IBUS_KEY_Cyrillic_YU", IBUS_KEY_Cyrillic_YU },
    { "IBUS_KEY_Cyrillic_ZE", IBUS_KEY_Cyrillic_ZE },
    { "IBUS_KEY_Cyrillic_ZHE", IBUS_KEY_Cyrillic_ZHE },
    { "IBUS_KEY_Cyrillic_ZHE_descender", IBUS_KEY_Cyrillic_ZHE_descender },
    { "IBUS_KEY_Cyrillic_a", IBUS_KEY_Cyrillic_a },
    { "IBUS_KEY_Cyrillic_be", IBUS_KEY_Cyrillic_be },
    { "IBUS_KEY_Cyrillic_che", IBUS_KEY_Cyrillic_che },
    { "IBUS_KEY_Cyrillic_che_descender", IBUS_KEY_Cyrillic_che_descender },
    { "IBUS_KEY_Cyrillic_che_vertstroke", IBUS_KEY_Cyrillic_che_vertstroke },
    { "IBUS_KEY_Cyrillic_de", IBUS_KEY_Cyrillic_de },
    { "IBUS_KEY_Cyrillic_dzhe", IBUS_KEY_Cyrillic_dzhe },
    { "IBUS_KEY_Cyrillic_e", IBUS_KEY_Cyrillic_e },
    { "IBUS_KEY_Cyrillic_ef", IBUS_KEY_Cyrillic_ef },
    { "IBUS_KEY_Cyrillic_el", IBUS_KEY_Cyrillic_el },
    { "IBUS_KEY_Cyrillic_em", IBUS_KEY_Cyrillic_em },
    { "IBUS_KEY_Cyrillic_en", IBUS_KEY_Cyrillic_en },
    { "IBUS_KEY_Cyrillic_en_descender", IBUS_KEY_Cyrillic_en_descender },
    { "IBUS_KEY_Cyrillic_er", IBUS_KEY_Cyrillic_er },
    { "IBUS_KEY_Cyrillic_es", IBUS_KEY_Cyrillic_es },
    { "IBUS_KEY_Cyrillic_ghe", IBUS_KEY_Cyrillic_ghe },
    { "IBUS_KEY_Cyrillic_ghe_bar", IBUS_KEY_Cyrillic_ghe_bar },
    { "IBUS_KEY_Cyrillic_ha", IBUS_KEY_Cyrillic_ha },
    { "IBUS_KEY_Cyrillic_ha_descender", IBUS_KEY_Cyrillic_ha_descender },
    { "IBUS_KEY_Cyrillic_hardsign", IBUS_KEY_Cyrillic_hardsign },
    { "IBUS_KEY_Cyrillic_i", IBUS_KEY_Cyrillic_i },
    { "IBUS_KEY_Cyrillic_i_macron", IBUS_KEY_Cyrillic_i_macron },
    { "IBUS_KEY_Cyrillic_ie", IBUS_KEY_Cyrillic_ie },
    { "IBUS_KEY_Cyrillic_io", IBUS_KEY_Cyrillic_io },
    { "IBUS_KEY_Cyrillic_je", IBUS_KEY_Cyrillic_je },
    { "IBUS_KEY_Cyrillic_ka", IBUS_KEY_Cyrillic_ka },
    { "IBUS_KEY_Cyrillic_ka_descender", IBUS_KEY_Cyrillic_ka_descender },
    { "IBUS_KEY_Cyrillic_ka_vertstroke", IBUS_KEY_Cyrillic_ka_vertstroke },
    { "IBUS_KEY_Cyrillic_lje", IBUS_KEY_Cyrillic_lje },
    { "IBUS_KEY_Cyrillic_nje", IBUS_KEY_Cyrillic_nje },
    { "IBUS_KEY_Cyrillic_o", IBUS_KEY_Cyrillic_o },
    { "IBUS_KEY_Cyrillic_o_bar", IBUS_KEY_Cyrillic_o_bar },
    { "IBUS_KEY_Cyrillic_pe", IBUS_KEY_Cyrillic_pe },
    { "IBUS_KEY_Cyrillic_schwa", IBUS_KEY_Cyrillic_schwa },
    { "IBUS_KEY_Cyrillic_sha", IBUS_KEY_Cyrillic_sha },
    { "IBUS_KEY_Cyrillic_shcha", IBUS_KEY_Cyrillic_shcha },
    { "IBUS_KEY_Cyrillic_shha", IBUS_KEY_Cyrillic_shha },
    { "IBUS_KEY_Cyrillic_shorti", IBUS_KEY_Cyrillic_shorti },
    { "IBUS_KEY_Cyrillic_softsign", IBUS_KEY_Cyrillic_softsign },
    { "IBUS_KEY_Cyrillic_te", IBUS_KEY_Cyrillic_te },
    { "IBUS_KEY_Cyrillic_tse", IBUS_KEY_Cyrillic_tse },
    { "IBUS_KEY_Cyrillic_u", IBUS_KEY_Cyrillic_u },
    { "IBUS_KEY_Cyrillic_u_macron", IBUS_KEY_Cyrillic_u_macron },
    { "IBUS_KEY_Cyrillic_u_straight", IBUS_KEY_Cyrillic_u_straight },
    { "IBUS_KEY_Cyrillic_u_straight_bar", IBUS_KEY_Cyrillic_u_straight_bar },
    { "IBUS_KEY_Cyrillic_ve", IBUS_KEY_Cyrillic_ve },
    { "IBUS_KEY_Cyrillic_ya", IBUS_KEY_Cyrillic_ya },
    { "IBUS_KEY_Cyrillic_yeru", IBUS_KEY_Cyrillic_yeru },
    { "IBUS_KEY_Cyrillic_yu", IBUS_KEY_Cyrillic_yu },
    { "IBUS_KEY_Cyrillic_ze", IBUS_KEY_Cyrillic_ze },
    { "IBUS_KEY_Cyrillic_zhe", IBUS_KEY_Cyrillic_zhe },
    { "IBUS_KEY_Cyrillic_zhe_descender", IBUS_KEY_Cyrillic_zhe_descender },
    { "IBUS_KEY_D", IBUS_KEY_D },
    { "IBUS_KEY_DOS", IBUS_KEY_DOS },
    { "IBUS_KEY_Dabovedot", IBUS_KEY_Dabovedot },
    { "IBUS_KEY_Dcaron", IBUS_KEY_Dcaron },
    { "IBUS_KEY_Delete", IBUS_KEY_Delete },
    { "IBUS_KEY_Display", IBUS_KEY_Display },
    { "IBUS_KEY_Documents", IBUS_KEY_Documents },
    { "IBUS_KEY_DongSign", IBUS_KEY_DongSign },
    { "IBUS_KEY_Down", IBUS_KEY_Down },
    { "IBUS_KEY_Dstroke", IBUS_KEY_Dstroke },
    { "IBUS_KEY_E", IBUS_KEY_E },
    { "IBUS_KEY_ENG", IBUS_KEY_ENG },
    { "IBUS_KEY_ETH", IBUS_KEY_ETH },
    { "IBUS_KEY_EZH", IBUS_KEY_EZH },
    { "IBUS_KEY_Eabovedot", IBUS_KEY_Eabovedot },
    { "IBUS_KEY_Eacute", IBUS_KEY_Eacute },
    { "IBUS_KEY_Ebelowdot", IBUS_KEY_Ebelowdot },
    { "IBUS_KEY_Ecaron", IBUS_KEY_Ecaron },
    { "IBUS_KEY_Ecircumflex", IBUS_KEY_Ecircumflex },
    { "IBUS_KEY_Ecircumflexacute", IBUS_KEY_Ecircumflexacute },
    { "IBUS_KEY_Ecircumflexbelowdot", IBUS_KEY_Ecircumflexbelowdot },
    { "IBUS_KEY_Ecircumflexgrave", IBUS_KEY_Ecircumflexgrave },
    { "IBUS_KEY_Ecircumflexhook", IBUS_KEY_Ecircumflexhook },
    { "IBUS_KEY_Ecircumflextilde", IBUS_KEY_Ecircumflextilde },
    { "IBUS_KEY_EcuSign", IBUS_KEY_EcuSign },
    { "IBUS_KEY_Ediaeresis", IBUS_KEY_Ediaeresis },
    { "IBUS_KEY_Egrave", IBUS_KEY_Egrave },
    { "IBUS_KEY_Ehook", IBUS_KEY_Ehook },
    { "IBUS_KEY_Eisu_Shift", IBUS_KEY_Eisu_Shift },
    { "IBUS_KEY_Eisu_toggle", IBUS_KEY_Eisu_toggle },
    { "IBUS_KEY_Eject", IBUS_KEY_Eject },
    { "IBUS_KEY_Emacron", IBUS_KEY_Emacron },
    { "IBUS_KEY_End", IBUS_KEY_End },
    { "IBUS_KEY_Eogonek", IBUS_KEY_Eogonek },
    { "IBUS_KEY_Escape", IBUS_KEY_Escape },
    { "IBUS_KEY_Eth", IBUS_KEY_Eth },
    { "IBUS_KEY_Etilde", IBUS_KEY_Etilde },
    { "IBUS_KEY_EuroSign", IBUS_KEY_EuroSign },
    { "IBUS_KEY_Excel", IBUS_KEY_Excel },
    { "IBUS_KEY_Execute", IBUS_KEY_Execute },
    { "IBUS_KEY_Explorer", IBUS_KEY_Explorer },
    { "IBUS_KEY_F", IBUS_KEY_F },
    { "IBUS_KEY_F1", IBUS_KEY_F1 },
    { "IBUS_KEY_F10", IBUS_KEY_F10 },
    { "IBUS_KEY_F11", IBUS_KEY_F11 },
    { "IBUS_KEY_F12", IBUS_KEY_F12 },
    { "IBUS_KEY_F13", IBUS_KEY_F13 },
    { "IBUS_KEY_F14", IBUS_KEY_F14 },
    { "IBUS_KEY_F15", IBUS_KEY_F15 },
    { "IBUS_KEY_F16", IBUS_KEY_F16 },
    { "IBUS_KEY_F17", IBUS_KEY_F17 },
    { "IBUS_KEY_F18", IBUS_KEY_F18 },
    { "IBUS_KEY_F19", IBUS_KEY_F19 },
    { "IBUS_KEY_F2", IBUS_KEY_F2 },
    { "IBUS_KEY_F20", IBUS_KEY_F20 },
    { "IBUS_KEY_F21", IBUS_KEY_F21 },
    { "IBUS_KEY_F22", IBUS_KEY_F22 },
    { "IBUS_KEY_F23", IBUS_KEY_F23 },
    { "IBUS_KEY_F24", IBUS_KEY_F24 },
    { "IBUS_KEY_F25", IBUS_KEY_F25 },
    { "IBUS_KEY_F26", IBUS_KEY_F26 },
    { "IBUS_KEY_F27", IBUS_KEY_F27 },
    { "IBUS_KEY_F28", IBUS_KEY_F28 },
    { "IBUS_KEY_F29", IBUS_KEY_F29 },
    { "IBUS_KEY_F3", IBUS_KEY_F3 },
    { "IBUS_KEY_F30", IBUS_KEY_F30 },
    { "IBUS_KEY_F31", IBUS_KEY_F31 },
    { "IBUS_KEY_F32", IBUS_KEY_F32 },
    { "IBUS_KEY_F33", IBUS_KEY_F33 },
    { "IBUS_KEY_F34", IBUS_KEY_F34 },
    { "IBUS_KEY_F35", IBUS_KEY_F35 },
    { "IBUS_KEY_F4", IBUS_KEY_F4 },
    { "IBUS_KEY_F5", IBUS_KEY_F5 },
    { "IBUS_KEY_F6", IBUS_KEY_F6 },
    { "IBUS_KEY_F7", IBUS_KEY_F7 },
    { "IBUS_KEY_F8", IBUS_KEY_F8 },
    { "IBUS_KEY_F9", IBUS_KEY_F9 },
    { "IBUS_KEY_FFrancSign", IBUS_KEY_FFrancSign },
    { "IBUS_KEY_Fabovedot", IBUS_KEY_Fabovedot },
    { "IBUS_KEY_Farsi_0", IBUS_KEY_Farsi_0 },
    { "IBUS_KEY_Farsi_1", IBUS_KEY_Farsi_1 },
    { "IBUS_KEY_Farsi_2", IBUS_KEY_Farsi_2 },
    { "IBUS_KEY_Farsi_3", IBUS_KEY_Farsi_3 },
    { "IBUS_KEY_Farsi_4", IBUS_KEY_Farsi_4 },
    { "IBUS_KEY_Farsi_5", IBUS_KEY_Farsi_5 },
    { "IBUS_KEY_Farsi_6", IBUS_KEY_Farsi_6 },
    { "IBUS_KEY_Farsi_7", IBUS_KEY_Farsi_7 },
    { "IBUS_KEY_Farsi_8", IBUS_KEY_Farsi_8 },
    { "IBUS_KEY_Farsi_9", IBUS_KEY_Farsi_9 },
    { "IBUS_KEY_Farsi_yeh", IBUS_KEY_Farsi_yeh },
    { "IBUS_KEY_Favorites", IBUS_KEY_Favorites },
    { "IBUS_KEY_Finance", IBUS_KEY_Finance },
    { "IBUS_KEY_Find", IBUS_KEY_Find },
    { "IBUS_KEY_First_Virtual_Screen", IBUS_KEY_First_Virtual_Screen },
    { "IBUS_KEY_Forward", IBUS_KEY_Forward },
    { "IBUS_KEY_FrameBack", IBUS_KEY_FrameBack },
    { "IBUS_KEY_FrameForward", IBUS_KEY_FrameForward },
    { "IBUS_KEY_G", IBUS_KEY_G },
    { "IBUS_KEY_Gabovedot", IBUS_KEY_Gabovedot },
    { "IBUS_KEY_Game", IBUS_KEY_Game },
    { "IBUS_KEY_Gbreve", IBUS_KEY_Gbreve },
    { "IBUS_KEY_Gcaron", IBUS_KEY_Gcaron },
    { "IBUS_KEY_Gcedilla", IBUS_KEY_Gcedilla },
    { "IBUS_KEY_Gcircumflex", IBUS_KEY_Gcircumflex },
    { "IBUS_KEY_Georgian_an", IBUS_KEY_Georgian_an },
    { "IBUS_KEY_Georgian_ban", IBUS_KEY_Georgian_ban },
    { "IBUS_KEY_Georgian_can", IBUS_KEY_Georgian_can },
    { "IBUS_KEY_Georgian_char", IBUS_KEY_Georgian_char },
    { "IBUS_KEY_Georgian_chin", IBUS_KEY_Georgian_chin },
    { "IBUS_KEY_Georgian_cil", IBUS_KEY_Georgian_cil },
    { "IBUS_KEY_Georgian_don", IBUS_KEY_Georgian_don },
    { "IBUS_KEY_Georgian_en", IBUS_KEY_Georgian_en },
    { "IBUS_KEY_Georgian_fi", IBUS_KEY_Georgian_fi },
    { "IBUS_KEY_Georgian_gan", IBUS_KEY_Georgian_gan },
    { "IBUS_KEY_Georgian_ghan", IBUS_KEY_Georgian_ghan },
    { "IBUS_KEY_Georgian_hae", IBUS_KEY_Georgian_hae },
    { "IBUS_KEY_Georgian_har", IBUS_KEY_Georgian_har },
    { "IBUS_KEY_Georgian_he", IBUS_KEY_Georgian_he },
    { "IBUS_KEY_Georgian_hie", IBUS_KEY_Georgian_hie },
    { "IBUS_KEY_Georgian_hoe", IBUS_KEY_Georgian_hoe },
    { "IBUS_KEY_Georgian_in", IBUS_KEY_Georgian_in },
    { "IBUS_KEY_Georgian_jhan", IBUS_KEY_Georgian_jhan },
    { "IBUS_KEY_Georgian_jil", IBUS_KEY_Georgian_jil },
    { "IBUS_KEY_Georgian_kan", IBUS_KEY_Georgian_kan },
    { "IBUS_KEY_Georgian_khar", IBUS_KEY_Georgian_khar },
    { "IBUS_KEY_Georgian_las", IBUS_KEY_Georgian_las },
    { "IBUS_KEY_Georgian_man", IBUS_KEY_Georgian_man },
    { "IBUS_KEY_Georgian_nar", IBUS_KEY_Georgian_nar },
    { "IBUS_KEY_Georgian_on", IBUS_KEY_Georgian_on },
    { "IBUS_KEY_Georgian_par", IBUS_KEY_Georgian_par },
    { "IBUS_KEY_Georgian_phar", IBUS_KEY_Georgian_phar },
    { "IBUS_KEY_Georgian_qar", IBUS_KEY_Georgian_qar },
    { "IBUS_KEY_Georgian_rae", IBUS_KEY_Georgian_rae },
    { "IBUS_KEY_Georgian_san", IBUS_KEY_Georgian_san },
    { "IBUS_KEY_Georgian_shin", IBUS_KEY_Georgian_shin },
    { "IBUS_KEY_Georgian_tan", IBUS_KEY_Georgian_tan },
    { "IBUS_KEY_Georgian_tar", IBUS_KEY_Georgian_tar },
    { "IBUS_KEY_Georgian_un", IBUS_KEY_Georgian_un },
    { "IBUS_KEY_Georgian_vin", IBUS_KEY_Georgian_vin },
    { "IBUS_KEY_Georgian_we", IBUS_KEY_Georgian_we },
    { "IBUS_KEY_Georgian_xan", IBUS_KEY_Georgian_xan },
    { "IBUS_KEY_Georgian_zen", IBUS_KEY_Georgian_zen },
    { "IBUS_KEY_Georgian_zhar", IBUS_KEY_Georgian_zhar },
    { "IBUS_KEY_Go", IBUS_KEY_Go },
    { "IBUS_KEY_Greek_ALPHA", IBUS_KEY_Greek_ALPHA },
    { "IBUS_KEY_Greek_ALPHAaccent", IBUS_KEY_Greek_ALPHAaccent },
    { "IBUS_KEY_Greek_BETA", IBUS_KEY_Greek_BETA },
    { "IBUS_KEY_Greek_CHI", IBUS_KEY_Greek_CHI },
    { "IBUS_KEY_Greek_DELTA", IBUS_KEY_Greek_DELTA },
    { "IBUS_KEY_Greek_EPSILON", IBUS_KEY_Greek_EPSILON },
    { "IBUS_KEY_Greek_EPSILONaccent", IBUS_KEY_Greek_EPSILONaccent },
    { "IBUS_KEY_Greek_ETA", IBUS_KEY_Greek_ETA },
    { "IBUS_KEY_Greek_ETAaccent", IBUS_KEY_Greek_ETAaccent },
    { "IBUS_KEY_Greek_GAMMA", IBUS_KEY_Greek_GAMMA },
    { "IBUS_KEY_Greek_IOTA", IBUS_KEY_Greek_IOTA },
    { "IBUS_KEY_Greek_IOTAaccent", IBUS_KEY_Greek_IOTAaccent },
    { "IBUS_KEY_Greek_IOTAdiaeresis", IBUS_KEY_Greek_IOTAdiaeresis },
    { "IBUS_KEY_Greek_IOTAdieresis", IBUS_KEY_Greek_IOTAdieresis },
    { "IBUS_KEY_Greek_KAPPA", IBUS_KEY_Greek_KAPPA },
    { "IBUS_KEY_Greek_LAMBDA", IBUS_KEY_Greek_LAMBDA },
    { "IBUS_KEY_Greek_LAMDA", IBUS_KEY_Greek_LAMDA },
    { "IBUS_KEY_Greek_MU", IBUS_KEY_Greek_MU },
    { "IBUS_KEY_Greek_NU", IBUS_KEY_Greek_NU },
    { "IBUS_KEY_Greek_OMEGA", IBUS_KEY_Greek_OMEGA },
    { "IBUS_KEY_Greek_OMEGAaccent", IBUS_KEY_Greek_OMEGAaccent },
    { "IBUS_KEY_Greek_OMICRON", IBUS_KEY_Greek_OMICRON },
    { "IBUS_KEY_Greek_OMICRONaccent", IBUS_KEY_Greek_OMICRONaccent },
    { "IBUS_KEY_Greek_PHI", IBUS_KEY_Greek_PHI },
    { "IBUS_KEY_Greek_PI", IBUS_KEY_Greek_PI },
    { "IBUS_KEY_Greek_PSI", IBUS_KEY_Greek_PSI },
    { "IBUS_KEY_Greek_RHO", IBUS_KEY_Greek_RHO },
    { "IBUS_KEY_Greek_SIGMA", IBUS_KEY_Greek_SIGMA },
    { "IBUS_KEY_Greek_TAU", IBUS_KEY_Greek_TAU },
    { "IBUS_KEY_Greek_THETA", IBUS_KEY_Greek_THETA },
    { "IBUS_KEY_Greek_UPSILON", IBUS_KEY_Greek_UPSILON },
    { "IBUS_KEY_Greek_UPSILONaccent", IBUS_KEY_Greek_UPSILONaccent },
    { "IBUS_KEY_Greek_UPSILONdieresis", IBUS_KEY_Greek_UPSILONdieresis },
    { "IBUS_KEY_Greek_XI", IBUS_KEY_Greek_XI },
    { "IBUS_KEY_Greek_ZETA", IBUS_KEY_Greek_ZETA },
    { "IBUS_KEY_Greek_accentdieresis", IBUS_KEY_Greek_accentdieresis },
    { "IBUS_KEY_Greek_alpha", IBUS_KEY_Greek_alpha },
    { "IBUS_KEY_Greek_alphaaccent", IBUS_KEY_Greek_alphaaccent },
    { "IBUS_KEY_Greek_beta", IBUS_KEY_Greek_beta },
    { "IBUS_KEY_Greek_chi", IBUS_KEY_Greek_chi },
    { "IBUS_KEY_Greek_delta", IBUS_KEY_Greek_delta },
    { "IBUS_KEY_Greek_epsilon", IBUS_KEY_Greek_epsilon },
    { "IBUS_KEY_Greek_epsilonaccent", IBUS_KEY_Greek_epsilonaccent },
    { "IBUS_KEY_Greek_eta", IBUS_KEY_Greek_eta },
    { "IBUS_KEY_Greek_etaaccent", IBUS_KEY_Greek_etaaccent },
    { "IBUS_KEY_Greek_finalsmallsigma", IBUS_KEY_Greek_finalsmallsigma },
    { "IBUS_KEY_Greek_gamma", IBUS_KEY_Greek_gamma },
    { "IBUS_KEY_Greek_horizbar", IBUS_KEY_Greek_horizbar },
    { "IBUS_KEY_Greek_iota", IBUS_KEY_Greek_iota },
    { "IBUS_KEY_Greek_iotaaccent", IBUS_KEY_Greek_iotaaccent },
    { "IBUS_KEY_Greek_iotaaccentdieresis", IBUS_KEY_Greek_iotaaccentdieresis },
    { "IBUS_KEY_Greek_iotadieresis", IBUS_KEY_Greek_iotadieresis },
    { "IBUS_KEY_Greek_kappa", IBUS_KEY_Greek_kappa },
    { "IBUS_KEY_Greek_lambda", IBUS_KEY_Greek_lambda },
    { "IBUS_KEY_Greek_lamda", IBUS_KEY_Greek_lamda },
    { "IBUS_KEY_Greek_mu", IBUS_KEY_Greek_mu },
    { "IBUS_KEY_Greek_nu", IBUS_KEY_Greek_nu },
    { "IBUS_KEY_Greek_omega", IBUS_KEY_Greek_omega },
    { "IBUS_KEY_Greek_omegaaccent", IBUS_KEY_Greek_omegaaccent },
    { "IBUS_KEY_Greek_omicron", IBUS_KEY_Greek_omicron },
    { "IBUS_KEY_Greek_omicronaccent", IBUS_KEY_Greek_omicronaccent },
    { "IBUS_KEY_Greek_phi", IBUS_KEY_Greek_phi },
    { "IBUS_KEY_Greek_pi", IBUS_KEY_Greek_pi },
    { "IBUS_KEY_Greek_psi", IBUS_KEY_Greek_psi },
    { "IBUS_KEY_Greek_rho", IBUS_KEY_Greek_rho },
    { "IBUS_KEY_Greek_sigma", IBUS_KEY_Greek_sigma },
    { "IBUS_KEY_Greek_switch", IBUS_KEY_Greek_switch },
    { "IBUS_KEY_Greek_tau", IBUS_KEY_Greek_tau },
    { "IBUS_KEY_Greek_theta", IBUS_KEY_Greek_theta },
    { "IBUS_KEY_Greek_upsilon", IBUS_KEY_Greek_upsilon },
    { "IBUS_KEY_Greek_upsilonaccent", IBUS_KEY_Greek_upsilonaccent },
    { "IBUS_KEY_Greek_upsilonaccentdieresis", IBUS_KEY_Greek_upsilonaccentdieresis },
    { "IBUS_KEY_Greek_upsilondieresis", IBUS_KEY_Greek_upsilondieresis },
    { "IBUS_KEY_Greek_xi", IBUS_KEY_Greek_xi },
    { "IBUS_KEY_Greek_zeta", IBUS_KEY_Greek_zeta },
    { "IBUS_KEY_Green", IBUS_KEY_Green },
    { "IBUS_KEY_H", IBUS_KEY_H },
    { "IBUS_KEY_Hangul", IBUS_KEY_Hangul },
    { "IBUS_KEY_Hangul_A", IBUS_KEY_Hangul_A },
    { "IBUS_KEY_Hangul_AE", IBUS_KEY_Hangul_AE },
    { "IBUS_KEY_Hangul_AraeA", IBUS_KEY_Hangul_AraeA },
    { "IBUS_KEY_Hangul_AraeAE", IBUS_KEY_Hangul_AraeAE },
    { "IBUS_KEY_Hangul_Banja", IBUS_KEY_Hangul_Banja },
    { "IBUS_KEY_Hangul_Cieuc", IBUS_KEY_Hangul_Cieuc },
    { "IBUS_KEY_Hangul_Codeinput", IBUS_KEY_Hangul_Codeinput },
    { "IBUS_KEY_Hangul_Dikeud", IBUS_KEY_Hangul_Dikeud },
    { "IBUS_KEY_Hangul_E", IBUS_KEY_Hangul_E },
    { "IBUS_KEY_Hangul_EO", IBUS_KEY_Hangul_EO },
    { "IBUS_KEY_Hangul_EU", IBUS_KEY_Hangul_EU },
    { "IBUS_KEY_Hangul_End", IBUS_KEY_Hangul_End },
    { "IBUS_KEY_Hangul_Hanja", IBUS_KEY_Hangul_Hanja },
    { "IBUS_KEY_Hangul_Hieuh", IBUS_KEY_Hangul_Hieuh },
    { "IBUS_KEY_Hangul_I", IBUS_KEY_Hangul_I },
    { "IBUS_KEY_Hangul_Ieung", IBUS_KEY_Hangul_Ieung },
    { "IBUS_KEY_Hangul_J_Cieuc", IBUS_KEY_Hangul_J_Cieuc },
    { "IBUS_KEY_Hangul_J_Dikeud", IBUS_KEY_Hangul_J_Dikeud },
    { "IBUS_KEY_Hangul_J_Hieuh", IBUS_KEY_Hangul_J_Hieuh },
    { "IBUS_KEY_Hangul_J_Ieung", IBUS_KEY_Hangul_J_Ieung },
    { "IBUS_KEY_Hangul_J_Jieuj", IBUS_KEY_Hangul_J_Jieuj },
    { "IBUS_KEY_Hangul_J_Khieuq", IBUS_KEY_Hangul_J_Khieuq },
    { "IBUS_KEY_Hangul_J_Kiyeog", IBUS_KEY_Hangul_J_Kiyeog },
    { "IBUS_KEY_Hangul_J_KiyeogSios", IBUS_KEY_Hangul_J_KiyeogSios },
    { "IBUS_KEY_Hangul_J_KkogjiDalrinIeung", IBUS_KEY_Hangul_J_KkogjiDalrinIeung },
    { "IBUS_KEY_Hangul_J_Mieum", IBUS_KEY_Hangul_J_Mieum },
    { "IBUS_KEY_Hangul_J_Nieun", IBUS_KEY_Hangul_J_Nieun },
    { "IBUS_KEY_Hangul_J_NieunHieuh", IBUS_KEY_Hangul_J_NieunHieuh },
    { "IBUS_KEY_Hangul_J_NieunJieuj", IBUS_KEY_Hangul_J_NieunJieuj },
    { "IBUS_KEY_Hangul_J_PanSios", IBUS_KEY_Hangul_J_PanSios },
    { "IBUS_KEY_Hangul_J_Phieuf", IBUS_KEY_Hangul_J_Phieuf },
    { "IBUS_KEY_Hangul_J_Pieub", IBUS_KEY_Hangul_J_Pieub },
    { "IBUS_KEY_Hangul_J_PieubSios", IBUS_KEY_Hangul_J_PieubSios },
    { "IBUS_KEY_Hangul_J_Rieul", IBUS_KEY_Hangul_J_Rieul },
    { "IBUS_KEY_Hangul_J_RieulHieuh", IBUS_KEY_Hangul_J_RieulHieuh },
    { "IBUS_KEY_Hangul_J_RieulKiyeog", IBUS_KEY_Hangul_J_RieulKiyeog },
    { "IBUS_KEY_Hangul_J_RieulMieum", IBUS_KEY_Hangul_J_RieulMieum },
    { "IBUS_KEY_Hangul_J_RieulPhieuf", IBUS_KEY_Hangul_J_RieulPhieuf },
    { "IBUS_KEY_Hangul_J_RieulPieub", IBUS_KEY_Hangul_J_RieulPieub },
    { "IBUS_KEY_Hangul_J_RieulSios", IBUS_KEY_Hangul_J_RieulSios },
    { "IBUS_KEY_Hangul_J_RieulTieut", IBUS_KEY_Hangul_J_RieulTieut },
    { "IBUS_KEY_Hangul_J_Sios", IBUS_KEY_Hangul_J_Sios },
    { "IBUS_KEY_Hangul_J_SsangKiyeog", IBUS_KEY_Hangul_J_SsangKiyeog },
    { "IBUS_KEY_Hangul_J_SsangSios", IBUS_KEY_Hangul_J_SsangSios },
    { "IBUS_KEY_Hangul_J_Tieut", IBUS_KEY_Hangul_J_Tieut },
    { "IBUS_KEY_Hangul_J_YeorinHieuh", IBUS_KEY_Hangul_J_YeorinHieuh },
    { "IBUS_KEY_Hangul_Jamo", IBUS_KEY_Hangul_Jamo },
    { "IBUS_KEY_Hangul_Jeonja", IBUS_KEY_Hangul_Jeonja },
    { "IBUS_KEY_Hangul_Jieuj", IBUS_KEY_Hangul_Jieuj },
    { "IBUS_KEY_Hangul_Khieuq", IBUS_KEY_Hangul_Khieuq },
    { "IBUS_KEY_Hangul_Kiyeog", IBUS_KEY_Hangul_Kiyeog },
    { "IBUS_KEY_Hangul_KiyeogSios", IBUS_KEY_Hangul_KiyeogSios },
    { "IBUS_KEY_Hangul_KkogjiDalrinIeung", IBUS_KEY_Hangul_KkogjiDalrinIeung },
    { "IBUS_KEY_Hangul_Mieum", IBUS_KEY_Hangul_Mieum },
    { "IBUS_KEY_Hangul_MultipleCandidate", IBUS_KEY_Hangul_MultipleCandidate },
    { "IBUS_KEY_Hangul_Nieun", IBUS_KEY_Hangul_Nieun },
    { "IBUS_KEY_Hangul_NieunHieuh", IBUS_KEY_Hangul_NieunHieuh },
    { "IBUS_KEY_Hangul_NieunJieuj", IBUS_KEY_Hangul_NieunJieuj },
    { "IBUS_KEY_Hangul_O", IBUS_KEY_Hangul_O },
    { "IBUS_KEY_Hangul_OE", IBUS_KEY_Hangul_OE },
    { "IBUS_KEY_Hangul_PanSios", IBUS_KEY_Hangul_PanSios },
    { "IBUS_KEY_Hangul_Phieuf", IBUS_KEY_Hangul_Phieuf },
    { "IBUS_KEY_Hangul_Pieub", IBUS_KEY_Hangul_Pieub },
    { "IBUS_KEY_Hangul_PieubSios", IBUS_KEY_Hangul_PieubSios },
    { "IBUS_KEY_Hangul_PostHanja", IBUS_KEY_Hangul_PostHanja },
    { "IBUS_KEY_Hangul_PreHanja", IBUS_KEY_Hangul_PreHanja },
    { "IBUS_KEY_Hangul_PreviousCandidate", IBUS_KEY_Hangul_PreviousCandidate },
    { "IBUS_KEY_Hangul_Rieul", IBUS_KEY_Hangul_Rieul },
    { "IBUS_KEY_Hangul_RieulHieuh", IBUS_KEY_Hangul_RieulHieuh },
    { "IBUS_KEY_Hangul_RieulKiyeog", IBUS_KEY_Hangul_RieulKiyeog },
    { "IBUS_KEY_Hangul_RieulMieum", IBUS_KEY_Hangul_RieulMieum },
    { "IBUS_KEY_Hangul_RieulPhieuf", IBUS_KEY_Hangul_RieulPhieuf },
    { "IBUS_KEY_Hangul_RieulPieub", IBUS_KEY_Hangul_RieulPieub },
    { "IBUS_KEY_Hangul_RieulSios", IBUS_KEY_Hangul_RieulSios },
    { "IBUS_KEY_Hangul_RieulTieut", IBUS_KEY_Hangul_RieulTieut },
    { "IBUS_KEY_Hangul_RieulYeorinHieuh", IBUS_KEY_Hangul_RieulYeorinHieuh },
    { "IBUS_KEY_Hangul_Romaja", IBUS_KEY_Hangul_Romaja },
    { "IBUS_KEY_Hangul_SingleCandidate", IBUS_KEY_Hangul_SingleCandidate },
    { "IBUS_KEY_Hangul_Sios", IBUS_KEY_Hangul_Sios },
    { "IBUS_KEY_Hangul_Special", IBUS_KEY_Hangul_Special },
    { "IBUS_KEY_Hangul_SsangDikeud", IBUS_KEY_Hangul_SsangDikeud },
    { "IBUS_KEY_Hangul_SsangJieuj", IBUS_KEY_Hangul_SsangJieuj },
    { "IBUS_KEY_Hangul_SsangKiyeog", IBUS_KEY_Hangul_SsangKiyeog },
    { "IBUS_KEY_Hangul_SsangPieub", IBUS_KEY_Hangul_SsangPieub },
    { "IBUS_KEY_Hangul_SsangSios", IBUS_KEY_Hangul_SsangSios },
    { "IBUS_KEY_Hangul_Start", IBUS_KEY_Hangul_Start },
    { "IBUS_KEY_Hangul_SunkyeongeumMieum", IBUS_KEY_Hangul_SunkyeongeumMieum },
    { "IBUS_KEY_Hangul_SunkyeongeumPhieuf", IBUS_KEY_Hangul_SunkyeongeumPhieuf },
    { "IBUS_KEY_Hangul_SunkyeongeumPieub", IBUS_KEY_Hangul_SunkyeongeumPieub },
    { "IBUS_KEY_Hangul_Tieut", IBUS_KEY_Hangul_Tieut },
    { "IBUS_KEY_Hangul_U", IBUS_KEY_Hangul_U },
    { "IBUS_KEY_Hangul_WA", IBUS_KEY_Hangul_WA },
    { "IBUS_KEY_Hangul_WAE", IBUS_KEY_Hangul_WAE },
    { "IBUS_KEY_Hangul_WE", IBUS_KEY_Hangul_WE },
    { "IBUS_KEY_Hangul_WEO", IBUS_KEY_Hangul_WEO },
    { "IBUS_KEY_Hangul_WI", IBUS_KEY_Hangul_WI },
    { "IBUS_KEY_Hangul_YA", IBUS_KEY_Hangul_YA },
    { "IBUS_KEY_Hangul_YAE", IBUS_KEY_Hangul_YAE },
    { "IBUS_KEY_Hangul_YE", IBUS_KEY_Hangul_YE },
    { "IBUS_KEY_Hangul_YEO", IBUS_KEY_Hangul_YEO },
    { "IBUS_KEY_Hangul_YI", IBUS_KEY_Hangul_YI },
    { "IBUS_KEY_Hangul_YO", IBUS_KEY_Hangul_YO },
    { "IBUS_KEY_Hangul_YU", IBUS_KEY_Hangul_YU },
    { "IBUS_KEY_Hangul_YeorinHieuh", IBUS_KEY_Hangul_YeorinHieuh },
    { "IBUS_KEY_Hangul_switch", IBUS_KEY_Hangul_switch },
    { "IBUS_KEY_Hankaku", IBUS_KEY_Hankaku },
    { "IBUS_KEY_Hcircumflex", IBUS_KEY_Hcircumflex },
    { "IBUS_KEY_Hebrew_switch", IBUS_KEY_Hebrew_switch },
    { "IBUS_KEY_Help", IBUS_KEY_Help },
    { "IBUS_KEY_Henkan", IBUS_KEY_Henkan },
    { "IBUS_KEY_Henkan_Mode", IBUS_KEY_Henkan_Mode },
    { "IBUS_KEY_Hibernate", IBUS_KEY_Hibernate },
    { "IBUS_KEY_Hiragana", IBUS_KEY_Hiragana },
    { "IBUS_KEY_Hiragana_Katakana", IBUS_KEY_Hiragana_Katakana },
    { "IBUS_KEY_History", IBUS_KEY_History },
    { "IBUS_KEY_Home", IBUS_KEY_Home },
    { "IBUS_KEY_HomePage", IBUS_KEY_HomePage },
    { "IBUS_KEY_HotLinks", IBUS_KEY_HotLinks },
    { "IBUS_KEY_Hstroke", IBUS_KEY_Hstroke },
    { "IBUS_KEY_Hyper_L", IBUS_KEY_Hyper_L },
    { "IBUS_KEY_Hyper_R", IBUS_KEY_Hyper_R },
    { "IBUS_KEY_I", IBUS_KEY_I },
    { "IBUS_KEY_ISO_Center_Object", IBUS_KEY_ISO_Center_Object },
    { "IBUS_KEY_ISO_Continuous_Underline", IBUS_KEY_ISO_Continuous_Underline },
    { "IBUS_KEY_ISO_Discontinuous_Underline", IBUS_KEY_ISO_Discontinuous_Underline },
    { "IBUS_KEY_ISO_Emphasize", IBUS_KEY_ISO_Emphasize },
    { "IBUS_KEY_ISO_Enter", IBUS_KEY_ISO_Enter },
    { "IBUS_KEY_ISO_Fast_Cursor_Down", IBUS_KEY_ISO_Fast_Cursor_Down },
    { "IBUS_KEY_ISO_Fast_Cursor_Left", IBUS_KEY_ISO_Fast_Cursor_Left },
    { "IBUS_KEY_ISO_Fast_Cursor_Right", IBUS_KEY_ISO_Fast_Cursor_Right },
    { "IBUS_KEY_ISO_Fast_Cursor_Up", IBUS_KEY_ISO_Fast_Cursor_Up },
    { "IBUS_KEY_ISO_First_Group", IBUS_KEY_ISO_First_Group },
    { "IBUS_KEY_ISO_First_Group_Lock", IBUS_KEY_ISO_First_Group_Lock },
    { "IBUS_KEY_ISO_Group_Latch", IBUS_KEY_ISO_Group_Latch },
    { "IBUS_KEY_ISO_Group_Lock", IBUS_KEY_ISO_Group_Lock },
    { "IBUS_KEY_ISO_Group_Shift", IBUS_KEY_ISO_Group_Shift },
    { "IBUS_KEY_ISO_Last_Group", IBUS_KEY_ISO_Last_Group },
    { "IBUS_KEY_ISO_Last_Group_Lock", IBUS_KEY_ISO_Last_Group_Lock },
    { "IBUS_KEY_ISO_Left_Tab", IBUS_KEY_ISO_Left_Tab },
    { "IBUS_KEY_ISO_Level2_Latch", IBUS_KEY_ISO_Level2_Latch },
    { "IBUS_KEY_ISO_Level3_Latch", IBUS_KEY_ISO_Level3_Latch },
    { "IBUS_KEY_ISO_Level3_Lock", IBUS_KEY_ISO_Level3_Lock },
    { "IBUS_KEY_ISO_Level3_Shift", IBUS_KEY_ISO_Level3_Shift },
    { "IBUS_KEY_ISO_Level5_Latch", IBUS_KEY_ISO_Level5_Latch },
    { "IBUS_KEY_ISO_Level5_Lock", IBUS_KEY_ISO_Level5_Lock },
    { "IBUS_KEY_ISO_Level5_Shift", IBUS_KEY_ISO_Level5_Shift },
    { "IBUS_KEY_ISO_Lock", IBUS_KEY_ISO_Lock },
    { "IBUS_KEY_ISO_Move_Line_Down", IBUS_KEY_ISO_Move_Line_Down },
    { "IBUS_KEY_ISO_Move_Line_Up", IBUS_KEY_ISO_Move_Line_Up },
    { "IBUS_KEY_ISO_Next_Group", IBUS_KEY_ISO_Next_Group },
    { "IBUS_KEY_ISO_Next_Group_Lock", IBUS_KEY_ISO_Next_Group_Lock },
    { "IBUS_KEY_ISO_Partial_Line_Down", IBUS_KEY_ISO_Partial_Line_Down },
    { "IBUS_KEY_ISO_Partial_Line_Up", IBUS_KEY_ISO_Partial_Line_Up },
    { "IBUS_KEY_ISO_Partial_Space_Left", IBUS_KEY_ISO_Partial_Space_Left },
    { "IBUS_KEY_ISO_Partial_Space_Right", IBUS_KEY_ISO_Partial_Space_Right },
    { "IBUS_KEY_ISO_Prev_Group", IBUS_KEY_ISO_Prev_Group },
    { "IBUS_KEY_ISO_Prev_Group_Lock", IBUS_KEY_ISO_Prev_Group_Lock },
    { "IBUS_KEY_ISO_Release_Both_Margins", IBUS_KEY_ISO_Release_Both_Margins },
    { "IBUS_KEY_ISO_Release_Margin_Left", IBUS_KEY_ISO_Release_Margin_Left },
    { "IBUS_KEY_ISO_Release_Margin_Right", IBUS_KEY_ISO_Release_Margin_Right },
    { "IBUS_KEY_ISO_Set_Margin_Left", IBUS_KEY_ISO_Set_Margin_Left },
    { "IBUS_KEY_ISO_Set_Margin_Right", IBUS_KEY_ISO_Set_Margin_Right },
    { "IBUS_KEY_Iabovedot", IBUS_KEY_Iabovedot },
    { "IBUS_KEY_Iacute", IBUS_KEY_Iacute },
    { "IBUS_KEY_Ibelowdot", IBUS_KEY_Ibelowdot },
    { "IBUS_KEY_Ibreve", IBUS_KEY_Ibreve },
    { "IBUS_KEY_Icircumflex", IBUS_KEY_Icircumflex },
    { "IBUS_KEY_Idiaeresis", IBUS_KEY_Idiaeresis },
    { "IBUS_KEY_Igrave", IBUS_KEY_Igrave },
    { "IBUS_KEY_Ihook", IBUS_KEY_Ihook },
    { "IBUS_KEY_Imacron", IBUS_KEY_Imacron },
    { "IBUS_KEY_Insert", IBUS_KEY_Insert },
    { "IBUS_KEY_Iogonek", IBUS_KEY_Iogonek },
    { "IBUS_KEY_Itilde", IBUS_KEY_Itilde },
    { "IBUS_KEY_J", IBUS_KEY_J },
    { "IBUS_KEY_Jcircumflex", IBUS_KEY_Jcircumflex },
    { "IBUS_KEY_K", IBUS_KEY_K },
    { "IBUS_KEY_KP_0", IBUS_KEY_KP_0 },
    { "IBUS_KEY_KP_1", IBUS_KEY_KP_1 },
    { "IBUS_KEY_KP_2", IBUS_KEY_KP_2 },
    { "IBUS_KEY_KP_3", IBUS_KEY_KP_3 },
    { "IBUS_KEY_KP_4", IBUS_KEY_KP_4 },
    { "IBUS_KEY_KP_5", IBUS_KEY_KP_5 },
    { "IBUS_KEY_KP_6", IBUS_KEY_KP_6 },
    { "IBUS_KEY_KP_7", IBUS_KEY_KP_7 },
    { "IBUS_KEY_KP_8", IBUS_KEY_KP_8 },
    { "IBUS_KEY_KP_9", IBUS_KEY_KP_9 },
    { "IBUS_KEY_KP_Add", IBUS_KEY_KP_Add },
    { "IBUS_KEY_KP_Begin", IBUS_KEY_KP_Begin },
    { "IBUS_KEY_KP_Decimal", IBUS_KEY_KP_Decimal },
    { "IBUS_KEY_KP_Delete", IBUS_KEY_KP_Delete },
    { "IBUS_KEY_KP_Divide", IBUS_KEY_KP_Divide },
    { "IBUS_KEY_KP_Down", IBUS_KEY_KP_Down },
    { "IBUS_KEY_KP_End", IBUS_KEY_KP_End },
    { "IBUS_KEY_KP_Enter", IBUS_KEY_KP_Enter },
    { "IBUS_KEY_KP_Equal", IBUS_KEY_KP_Equal },
    { "IBUS_KEY_KP_F1", IBUS_KEY_KP_F1 },
    { "IBUS_KEY_KP_F2", IBUS_KEY_KP_F2 },
    { "IBUS_KEY_KP_F3", IBUS_KEY_KP_F3 },
    { "IBUS_KEY_KP_F4", IBUS_KEY_KP_F4 },
    { "IBUS_KEY_KP_Home", IBUS_KEY_KP_Home },
    { "IBUS_KEY_KP_Insert", IBUS_KEY_KP_Insert },
    { "IBUS_KEY_KP_Left", IBUS_KEY_KP_Left },
    { "IBUS_KEY_KP_Multiply", IBUS_KEY_KP_Multiply },
    { "IBUS_KEY_KP_Next", IBUS_KEY_KP_Next },
    { "IBUS_KEY_KP_Page_Down", IBUS_KEY_KP_Page_Down },
    { "IBUS_KEY_KP_Page_Up", IBUS_KEY_KP_Page_Up },
    { "IBUS_KEY_KP_Prior", IBUS_KEY_KP_Prior },
    { "IBUS_KEY_KP_Right", IBUS_KEY_KP_Right },
    { "IBUS_KEY_KP_Separator", IBUS_KEY_KP_Separator },
    { "IBUS_KEY_KP_Space", IBUS_KEY_KP_Space },
    { "IBUS_KEY_KP_Subtract", IBUS_KEY_KP_Subtract },
    { "IBUS_KEY_KP_Tab", IBUS_KEY_KP_Tab },
    { "IBUS_KEY_KP_Up", IBUS_KEY_KP_Up },
    { "IBUS_KEY_Kana_Lock", IBUS_KEY_Kana_Lock },
    { "IBUS_KEY_Kana_Shift", IBUS_KEY_Kana_Shift },
    { "IBUS_KEY_Kanji", IBUS_KEY_Kanji },
    { "IBUS_KEY_Kanji_Bangou", IBUS_KEY_Kanji_Bangou },
    { "IBUS_KEY_Katakana", IBUS_KEY_Katakana },
    { "IBUS_KEY_KbdBrightnessDown", IBUS_KEY_KbdBrightnessDown },
    { "IBUS_KEY_KbdBrightnessUp", IBUS_KEY_KbdBrightnessUp },
    { "IBUS_KEY_KbdLightOnOff", IBUS_KEY_KbdLightOnOff },
    { "IBUS_KEY_Kcedilla", IBUS_KEY_Kcedilla },
    { "IBUS_KEY_Keyboard", IBUS_KEY_Keyboard },
    { "IBUS_KEY_Korean_Won", IBUS_KEY_Korean_Won },
    { "IBUS_KEY_L", IBUS_KEY_L },
    { "IBUS_KEY_L1", IBUS_KEY_L1 },
    { "IBUS_KEY_L10", IBUS_KEY_L10 },
    { "IBUS_KEY_L2", IBUS_KEY_L2 },
    { "IBUS_KEY_L3", IBUS_KEY_L3 },
    { "IBUS_KEY_L4", IBUS_KEY_L4 },
    { "IBUS_KEY_L5", IBUS_KEY_L5 },
    { "IBUS_KEY_L6", IBUS_KEY_L6 },
    { "IBUS_KEY_L7", IBUS_KEY_L7 },
    { "IBUS_KEY_L8", IBUS_KEY_L8 },
    { "IBUS_KEY_L9", IBUS_KEY_L9 },
    { "IBUS_KEY_Lacute", IBUS_KEY_Lacute },
    { "IBUS_KEY_Last_Virtual_Screen", IBUS_KEY_Last_Virtual_Screen },
    { "IBUS_KEY_Launch0", IBUS_KEY_Launch0 },
    { "IBUS_KEY_Launch1", IBUS_KEY_Launch1 },
    { "IBUS_KEY_Launch2", IBUS_KEY_Launch2 },
    { "IBUS_KEY_Launch3", IBUS_KEY_Launch3 },
    { "IBUS_KEY_Launch4", IBUS_KEY_Launch4 },
    { "IBUS_KEY_Launch5", IBUS_KEY_Launch5 },
    { "IBUS_KEY_Launch6", IBUS_KEY_Launch6 },
    { "IBUS_KEY_Launch7", IBUS_KEY_Launch7 },
    { "IBUS_KEY_Launch8", IBUS_KEY_Launch8 },
    { "IBUS_KEY_Launch9", IBUS_KEY_Launch9 },
    { "IBUS_KEY_LaunchA", IBUS_KEY_LaunchA },
    { "IBUS_KEY_LaunchB", IBUS_KEY_LaunchB },
    { "IBUS_KEY_LaunchC", IBUS_KEY_LaunchC },
    { "IBUS_KEY_LaunchD", IBUS_KEY_LaunchD },
    { "IBUS_KEY_LaunchE", IBUS_KEY_LaunchE },
    { "IBUS_KEY_LaunchF", IBUS_KEY_LaunchF },
    { "IBUS_KEY_Lbelowdot", IBUS_KEY_Lbelowdot },
    { "IBUS_KEY_Lcaron", IBUS_KEY_Lcaron },
    { "IBUS_KEY_Lcedilla", IBUS_KEY_Lcedilla },
    { "IBUS_KEY_Left", IBUS_KEY_Left },
    { "IBUS_KEY_LightBulb", IBUS_KEY_LightBulb },
    { "IBUS_KEY_Linefeed", IBUS_KEY_Linefeed },
    { "IBUS_KEY_LiraSign", IBUS_KEY_LiraSign },
    { "IBUS_KEY_LogGrabInfo", IBUS_KEY_LogGrabInfo },
    { "IBUS_KEY_LogOff", IBUS_KEY_LogOff },
    { "IBUS_KEY_LogWindowTree", IBUS_KEY_LogWindowTree },
    { "IBUS_KEY_Lstroke", IBUS_KEY_Lstroke },
    { "IBUS_KEY_M", IBUS_KEY_M },
    { "IBUS_KEY_Mabovedot", IBUS_KEY_Mabovedot },
    { "IBUS_KEY_Macedonia_DSE", IBUS_KEY_Macedonia_DSE },
    { "IBUS_KEY_Macedonia_GJE", IBUS_KEY_Macedonia_GJE },
    { "IBUS_KEY_Macedonia_KJE", IBUS_KEY_Macedonia_KJE },
    { "IBUS_KEY_Macedonia_dse", IBUS_KEY_Macedonia_dse },
    { "IBUS_KEY_Macedonia_gje", IBUS_KEY_Macedonia_gje },
    { "IBUS_KEY_Macedonia_kje", IBUS_KEY_Macedonia_kje },
    { "IBUS_KEY_Mae_Koho", IBUS_KEY_Mae_Koho },
    { "IBUS_KEY_Mail", IBUS_KEY_Mail },
    { "IBUS_KEY_MailForward", IBUS_KEY_MailForward },
    { "IBUS_KEY_Market", IBUS_KEY_Market },
    { "IBUS_KEY_Massyo", IBUS_KEY_Massyo },
    { "IBUS_KEY_Meeting", IBUS_KEY_Meeting },
    { "IBUS_KEY_Memo", IBUS_KEY_Memo },
    { "IBUS_KEY_Menu", IBUS_KEY_Menu },
    { "IBUS_KEY_MenuKB", IBUS_KEY_MenuKB },
    { "IBUS_KEY_MenuPB", IBUS_KEY_MenuPB },
    { "IBUS_KEY_Messenger", IBUS_KEY_Messenger },
    { "IBUS_KEY_Meta_L", IBUS_KEY_Meta_L },
    { "IBUS_KEY_Meta_R", IBUS_KEY_Meta_R },
    { "IBUS_KEY_MillSign", IBUS_KEY_MillSign },
    { "IBUS_KEY_ModeLock", IBUS_KEY_ModeLock },
    { "IBUS_KEY_Mode_switch", IBUS_KEY_Mode_switch },
    { "IBUS_KEY_MonBrightnessDown", IBUS_KEY_MonBrightnessDown },
    { "IBUS_KEY_MonBrightnessUp", IBUS_KEY_MonBrightnessUp },
    { "IBUS_KEY_MouseKeys_Accel_Enable", IBUS_KEY_MouseKeys_Accel_Enable },
    { "IBUS_KEY_MouseKeys_Enable", IBUS_KEY_MouseKeys_Enable },
    { "IBUS_KEY_Muhenkan", IBUS_KEY_Muhenkan },
    { "IBUS_KEY_Multi_key", IBUS_KEY_Multi_key },
    { "IBUS_KEY_MultipleCandidate", IBUS_KEY_MultipleCandidate },
    { "IBUS_KEY_Music", IBUS_KEY_Music },
    { "IBUS_KEY_MyComputer", IBUS_KEY_MyComputer },
    { "IBUS_KEY_MySites", IBUS_KEY_MySites },
    { "IBUS_KEY_N", IBUS_KEY_N },
    { "IBUS_KEY_Nacute", IBUS_KEY_Nacute },
    { "IBUS_KEY_NairaSign", IBUS_KEY_NairaSign },
    { "IBUS_KEY_Ncaron", IBUS_KEY_Ncaron },
    { "IBUS_KEY_Ncedilla", IBUS_KEY_Ncedilla },
    { "IBUS_KEY_New", IBUS_KEY_New },
    { "IBUS_KEY_NewSheqelSign", IBUS_KEY_NewSheqelSign },
    { "IBUS_KEY_News", IBUS_KEY_News },
    { "IBUS_KEY_Next", IBUS_KEY_Next },
    { "IBUS_KEY_Next_VMode", IBUS_KEY_Next_VMode },
    { "IBUS_KEY_Next_Virtual_Screen", IBUS_KEY_Next_Virtual_Screen },
    { "IBUS_KEY_Ntilde", IBUS_KEY_Ntilde },
    { "IBUS_KEY_Num_Lock", IBUS_KEY_Num_Lock },
    { "IBUS_KEY_O", IBUS_KEY_O },
    { "IBUS_KEY_OE", IBUS_KEY_OE },
    { "IBUS_KEY_Oacute", IBUS_KEY_Oacute },
    { "IBUS_KEY_Obarred", IBUS_KEY_Obarred },
    { "IBUS_KEY_Obelowdot", IBUS_KEY_Obelowdot },
    { "IBUS_KEY_Ocaron", IBUS_KEY_Ocaron },
    { "IBUS_KEY_Ocircumflex", IBUS_KEY_Ocircumflex },
    { "IBUS_KEY_Ocircumflexacute", IBUS_KEY_Ocircumflexacute },
    { "IBUS_KEY_Ocircumflexbelowdot", IBUS_KEY_Ocircumflexbelowdot },
    { "IBUS_KEY_Ocircumflexgrave", IBUS_KEY_Ocircumflexgrave },
    { "IBUS_KEY_Ocircumflexhook", IBUS_KEY_Ocircumflexhook },
    { "IBUS_KEY_Ocircumflextilde", IBUS_KEY_Ocircumflextilde },
    { "IBUS_KEY_Odiaeresis", IBUS_KEY_Odiaeresis },
    { "IBUS_KEY_Odoubleacute", IBUS_KEY_Odoubleacute },
    { "IBUS_KEY_OfficeHome", IBUS_KEY_OfficeHome },
    { "IBUS_KEY_Ograve", IBUS_KEY_Ograve },
    { "IBUS_KEY_Ohook", IBUS_KEY_Ohook },
    { "IBUS_KEY_Ohorn", IBUS_KEY_Ohorn },
    { "IBUS_KEY_Ohornacute", IBUS_KEY_Ohornacute },
    { "IBUS_KEY_Ohornbelowdot", IBUS_KEY_Ohornbelowdot },
    { "IBUS_KEY_Ohorngrave", IBUS_KEY_Ohorngrave },
    { "IBUS_KEY_Ohornhook", IBUS_KEY_Ohornhook },
    { "IBUS_KEY_Ohorntilde", IBUS_KEY_Ohorntilde },
    { "IBUS_KEY_Omacron", IBUS_KEY_Omacron },
    { "IBUS_KEY_Ooblique", IBUS_KEY_Ooblique },
    { "IBUS_KEY_Open", IBUS_KEY_Open },
    { "IBUS_KEY_OpenURL", IBUS_KEY_OpenURL },
    { "IBUS_KEY_Option", IBUS_KEY_Option },
    { "IBUS_KEY_Oslash", IBUS_KEY_Oslash },
    { "IBUS_KEY_Otilde", IBUS_KEY_Otilde },
    { "IBUS_KEY_Overlay1_Enable", IBUS_KEY_Overlay1_Enable },
    { "IBUS_KEY_Overlay2_Enable", IBUS_KEY_Overlay2_Enable },
    { "IBUS_KEY_P", IBUS_KEY_P },
    { "IBUS_KEY_Pabovedot", IBUS_KEY_Pabovedot },
    { "IBUS_KEY_Page_Down", IBUS_KEY_Page_Down },
    { "IBUS_KEY_Page_Up", IBUS_KEY_Page_Up },
    { "IBUS_KEY_Paste", IBUS_KEY_Paste },
    { "IBUS_KEY_Pause", IBUS_KEY_Pause },
    { "IBUS_KEY_PesetaSign", IBUS_KEY_PesetaSign },
    { "IBUS_KEY_Phone", IBUS_KEY_Phone },
    { "IBUS_KEY_Pictures", IBUS_KEY_Pictures },
    { "IBUS_KEY_Pointer_Accelerate", IBUS_KEY_Pointer_Accelerate },
    { "IBUS_KEY_Pointer_Button1", IBUS_KEY_Pointer_Button1 },
    { "IBUS_KEY_Pointer_Button2", IBUS_KEY_Pointer_Button2 },
    { "IBUS_KEY_Pointer_Button3", IBUS_KEY_Pointer_Button3 },
    { "IBUS_KEY_Pointer_Button4", IBUS_KEY_Pointer_Button4 },
    { "IBUS_KEY_Pointer_Button5", IBUS_KEY_Pointer_Button5 },
    { "IBUS_KEY_Pointer_Button_Dflt", IBUS_KEY_Pointer_Button_Dflt },
    { "IBUS_KEY_Pointer_DblClick1", IBUS_KEY_Pointer_DblClick1 },
    { "IBUS_KEY_Pointer_DblClick2", IBUS_KEY_Pointer_DblClick2 },
    { "IBUS_KEY_Pointer_DblClick3", IBUS_KEY_Pointer_DblClick3 },
    { "IBUS_KEY_Pointer_DblClick4", IBUS_KEY_Pointer_DblClick4 },
    { "IBUS_KEY_Pointer_DblClick5", IBUS_KEY_Pointer_DblClick5 },
    { "IBUS_KEY_Pointer_DblClick_Dflt", IBUS_KEY_Pointer_DblClick_Dflt },
    { "IBUS_KEY_Pointer_DfltBtnNext", IBUS_KEY_Pointer_DfltBtnNext },
    { "IBUS_KEY_Pointer_DfltBtnPrev", IBUS_KEY_Pointer_DfltBtnPrev },
    { "IBUS_KEY_Pointer_Down", IBUS_KEY_Pointer_Down },
    { "IBUS_KEY_Pointer_DownLeft", IBUS_KEY_Pointer_DownLeft },
    { "IBUS_KEY_Pointer_DownRight", IBUS_KEY_Pointer_DownRight },
    { "IBUS_KEY_Pointer_Drag1", IBUS_KEY_Pointer_Drag1 },
    { "IBUS_KEY_Pointer_Drag2", IBUS_KEY_Pointer_Drag2 },
    { "IBUS_KEY_Pointer_Drag3", IBUS_KEY_Pointer_Drag3 },
    { "IBUS_KEY_Pointer_Drag4", IBUS_KEY_Pointer_Drag4 },
    { "IBUS_KEY_Pointer_Drag5", IBUS_KEY_Pointer_Drag5 },
    { "IBUS_KEY_Pointer_Drag_Dflt", IBUS_KEY_Pointer_Drag_Dflt },
    { "IBUS_KEY_Pointer_EnableKeys", IBUS_KEY_Pointer_EnableKeys },
    { "IBUS_KEY_Pointer_Left", IBUS_KEY_Pointer_Left },
    { "IBUS_KEY_Pointer_Right", IBUS_KEY_Pointer_Right },
    { "IBUS_KEY_Pointer_Up", IBUS_KEY_Pointer_Up },
    { "IBUS_KEY_Pointer_UpLeft", IBUS_KEY_Pointer_UpLeft },
    { "IBUS_KEY_Pointer_UpRight", IBUS_KEY_Pointer_UpRight },
    { "IBUS_KEY_PowerDown", IBUS_KEY_PowerDown },
    { "IBUS_KEY_PowerOff", IBUS_KEY_PowerOff },
    { "IBUS_KEY_Prev_VMode", IBUS_KEY_Prev_VMode },
    { "IBUS_KEY_Prev_Virtual_Screen", IBUS_KEY_Prev_Virtual_Screen },
    { "IBUS_KEY_PreviousCandidate", IBUS_KEY_PreviousCandidate },
    { "IBUS_KEY_Print", IBUS_KEY_Print },
    { "IBUS_KEY_Prior", IBUS_KEY_Prior },
    { "IBUS_KEY_Q", IBUS_KEY_Q },
    { "IBUS_KEY_R", IBUS_KEY_R },
    { "IBUS_KEY_R1", IBUS_KEY_R1 },
    { "IBUS_KEY_R10", IBUS_KEY_R10 },
    { "IBUS_KEY_R11", IBUS_KEY_R11 },
    { "IBUS_KEY_R12", IBUS_KEY_R12 },
    { "IBUS_KEY_R13", IBUS_KEY_R13 },
    { "IBUS_KEY_R14", IBUS_KEY_R14 },
    { "IBUS_KEY_R15", IBUS_KEY_R15 },
    { "IBUS_KEY_R2", IBUS_KEY_R2 },
    { "IBUS_KEY_R3", IBUS_KEY_R3 },
    { "IBUS_KEY_R4", IBUS_KEY_R4 },
    { "IBUS_KEY_R5", IBUS_KEY_R5 },
    { "IBUS_KEY_R6", IBUS_KEY_R6 },
    { "IBUS_KEY_R7", IBUS_KEY_R7 },
    { "IBUS_KEY_R8", IBUS_KEY_R8 },
    { "IBUS_KEY_R9", IBUS_KEY_R9 },
    { "IBUS_KEY_RFKill", IBUS_KEY_RFKill },
    { "IBUS_KEY_Racute", IBUS_KEY_Racute },
    { "IBUS_KEY_Rcaron", IBUS_KEY_Rcaron },
    { "IBUS_KEY_Rcedilla", IBUS_KEY_Rcedilla },
    { "IBUS_KEY_Red", IBUS_KEY_Red },
    { "IBUS_KEY_Redo", IBUS_KEY_Redo },
    { "IBUS_KEY_Refresh", IBUS_KEY_Refresh },
    { "IBUS_KEY_Reload", IBUS_KEY_Reload },
    { "IBUS_KEY_RepeatKeys_Enable", IBUS_KEY_RepeatKeys_Enable },
    { "IBUS_KEY_Reply", IBUS_KEY_Reply },
    { "IBUS_KEY_Return", IBUS_KEY_Return },
    { "IBUS_KEY_Right", IBUS_KEY_Right },
    { "IBUS_KEY_RockerDown", IBUS_KEY_RockerDown },
    { "IBUS_KEY_RockerEnter", IBUS_KEY_RockerEnter },
    { "IBUS_KEY_RockerUp", IBUS_KEY_RockerUp },
    { "IBUS_KEY_Romaji", IBUS_KEY_Romaji },
    { "IBUS_KEY_RotateWindows", IBUS_KEY_RotateWindows },
    { "IBUS_KEY_RotationKB", IBUS_KEY_RotationKB },
    { "IBUS_KEY_RotationPB", IBUS_KEY_RotationPB },
    { "IBUS_KEY_RupeeSign", IBUS_KEY_RupeeSign },
    { "IBUS_KEY_S", IBUS_KEY_S },
    { "IBUS_KEY_SCHWA", IBUS_KEY_SCHWA },
    { "IBUS_KEY_Sabovedot", IBUS_KEY_Sabovedot },
    { "IBUS_KEY_Sacute", IBUS_KEY_Sacute },
    { "IBUS_KEY_Save", IBUS_KEY_Save },
    { "IBUS_KEY_Scaron", IBUS_KEY_Scaron },
    { "IBUS_KEY_Scedilla", IBUS_KEY_Scedilla },
    { "IBUS_KEY_Scircumflex", IBUS_KEY_Scircumflex },
    { "IBUS_KEY_ScreenSaver", IBUS_KEY_ScreenSaver },
    { "IBUS_KEY_ScrollClick", IBUS_KEY_ScrollClick },
    { "IBUS_KEY_ScrollDown", IBUS_KEY_ScrollDown },
    { "IBUS_KEY_ScrollUp", IBUS_KEY_ScrollUp },
    { "IBUS_KEY_Scroll_Lock", IBUS_KEY_Scroll_Lock },
    { "IBUS_KEY_Search", IBUS_KEY_Search },
    { "IBUS_KEY_Select", IBUS_KEY_Select },
    { "IBUS_KEY_SelectButton", IBUS_KEY_SelectButton },
    { "IBUS_KEY_Send", IBUS_KEY_Send },
    { "IBUS_KEY_Serbian_DJE", IBUS_KEY_Serbian_DJE },
    { "IBUS_KEY_Serbian_DZE", IBUS_KEY_Serbian_DZE },
    { "IBUS_KEY_Serbian_JE", IBUS_KEY_Serbian_JE },
    { "IBUS_KEY_Serbian_LJE", IBUS_KEY_Serbian_LJE },
    { "IBUS_KEY_Serbian_NJE", IBUS_KEY_Serbian_NJE },
    { "IBUS_KEY_Serbian_TSHE", IBUS_KEY_Serbian_TSHE },
    { "IBUS_KEY_Serbian_dje", IBUS_KEY_Serbian_dje },
    { "IBUS_KEY_Serbian_dze", IBUS_KEY_Serbian_dze },
    { "IBUS_KEY_Serbian_je", IBUS_KEY_Serbian_je },
    { "IBUS_KEY_Serbian_lje", IBUS_KEY_Serbian_lje },
    { "IBUS_KEY_Serbian_nje", IBUS_KEY_Serbian_nje },
    { "IBUS_KEY_Serbian_tshe", IBUS_KEY_Serbian_tshe },
    { "IBUS_KEY_Shift_L", IBUS_KEY_Shift_L },
    { "IBUS_KEY_Shift_Lock", IBUS_KEY_Shift_Lock },
    { "IBUS_KEY_Shift_R", IBUS_KEY_Shift_R },
    { "IBUS_KEY_Shop", IBUS_KEY_Shop },
    { "IBUS_KEY_SingleCandidate", IBUS_KEY_SingleCandidate },
    { "IBUS_KEY_Sinh_a", IBUS_KEY_Sinh_a },
    { "IBUS_KEY_Sinh_aa", IBUS_KEY_Sinh_aa },
    { "IBUS_KEY_Sinh_aa2", IBUS_KEY_Sinh_aa2 },
    { "IBUS_KEY_Sinh_ae", IBUS_KEY_Sinh_ae },
    { "IBUS_KEY_Sinh_ae2", IBUS_KEY_Sinh_ae2 },
    { "IBUS_KEY_Sinh_aee", IBUS_KEY_Sinh_aee },
    { "IBUS_KEY_Sinh_aee2", IBUS_KEY_Sinh_aee2 },
    { "IBUS_KEY_Sinh_ai", IBUS_KEY_Sinh_ai },
    { "IBUS_KEY_Sinh_ai2", IBUS_KEY_Sinh_ai2 },
    { "IBUS_KEY_Sinh_al", IBUS_KEY_Sinh_al },
    { "IBUS_KEY_Sinh_au", IBUS_KEY_Sinh_au },
    { "IBUS_KEY_Sinh_au2", IBUS_KEY_Sinh_au2 },
    { "IBUS_KEY_Sinh_ba", IBUS_KEY_Sinh_ba },
    { "IBUS_KEY_Sinh_bha", IBUS_KEY_Sinh_bha },
    { "IBUS_KEY_Sinh_ca", IBUS_KEY_Sinh_ca },
    { "IBUS_KEY_Sinh_cha", IBUS_KEY_Sinh_cha },
    { "IBUS_KEY_Sinh_dda", IBUS_KEY_Sinh_dda },
    { "IBUS_KEY_Sinh_ddha", IBUS_KEY_Sinh_ddha },
    { "IBUS_KEY_Sinh_dha", IBUS_KEY_Sinh_dha },
    { "IBUS_KEY_Sinh_dhha", IBUS_KEY_Sinh_dhha },
    { "IBUS_KEY_Sinh_e", IBUS_KEY_Sinh_e },
    { "IBUS_KEY_Sinh_e2", IBUS_KEY_Sinh_e2 },
    { "IBUS_KEY_Sinh_ee", IBUS_KEY_Sinh_ee },
    { "IBUS_KEY_Sinh_ee2", IBUS_KEY_Sinh_ee2 },
    { "IBUS_KEY_Sinh_fa", IBUS_KEY_Sinh_fa },
    { "IBUS_KEY_Sinh_ga", IBUS_KEY_Sinh_ga },
    { "IBUS_KEY_Sinh_gha", IBUS_KEY_Sinh_gha },
    { "IBUS_KEY_Sinh_h2", IBUS_KEY_Sinh_h2 },
    { "IBUS_KEY_Sinh_ha", IBUS_KEY_Sinh_ha },
    { "IBUS_KEY_Sinh_i", IBUS_KEY_Sinh_i },
    { "IBUS_KEY_Sinh_i2", IBUS_KEY_Sinh_i2 },
    { "IBUS_KEY_Sinh_ii", IBUS_KEY_Sinh_ii },
    { "IBUS_KEY_Sinh_ii2", IBUS_KEY_Sinh_ii2 },
    { "IBUS_KEY_Sinh_ja", IBUS_KEY_Sinh_ja },
    { "IBUS_KEY_Sinh_jha", IBUS_KEY_Sinh_jha },
    { "IBUS_KEY_Sinh_jnya", IBUS_KEY_Sinh_jnya },
    { "IBUS_KEY_Sinh_ka", IBUS_KEY_Sinh_ka },
    { "IBUS_KEY_Sinh_kha", IBUS_KEY_Sinh_kha },
    { "IBUS_KEY_Sinh_kunddaliya", IBUS_KEY_Sinh_kunddaliya },
    { "IBUS_KEY_Sinh_la", IBUS_KEY_Sinh_la },
    { "IBUS_KEY_Sinh_lla", IBUS_KEY_Sinh_lla },
    { "IBUS_KEY_Sinh_lu", IBUS_KEY_Sinh_lu },
    { "IBUS_KEY_Sinh_lu2", IBUS_KEY_Sinh_lu2 },
    { "IBUS_KEY_Sinh_luu", IBUS_KEY_Sinh_luu },
    { "IBUS_KEY_Sinh_luu2", IBUS_KEY_Sinh_luu2 },
    { "IBUS_KEY_Sinh_ma", IBUS_KEY_Sinh_ma },
    { "IBUS_KEY_Sinh_mba", IBUS_KEY_Sinh_mba },
    { "IBUS_KEY_Sinh_na", IBUS_KEY_Sinh_na },
    { "IBUS_KEY_Sinh_ndda", IBUS_KEY_Sinh_ndda },
    { "IBUS_KEY_Sinh_ndha", IBUS_KEY_Sinh_ndha },
    { "IBUS_KEY_Sinh_ng", IBUS_KEY_Sinh_ng },
    { "IBUS_KEY_Sinh_ng2", IBUS_KEY_Sinh_ng2 },
    { "IBUS_KEY_Sinh_nga", IBUS_KEY_Sinh_nga },
    { "IBUS_KEY_Sinh_nja", IBUS_KEY_Sinh_nja },
    { "IBUS_KEY_Sinh_nna", IBUS_KEY_Sinh_nna },
    { "IBUS_KEY_Sinh_nya", IBUS_KEY_Sinh_nya },
    { "IBUS_KEY_Sinh_o", IBUS_KEY_Sinh_o },
    { "IBUS_KEY_Sinh_o2", IBUS_KEY_Sinh_o2 },
    { "IBUS_KEY_Sinh_oo", IBUS_KEY_Sinh_oo },
    { "IBUS_KEY_Sinh_oo2", IBUS_KEY_Sinh_oo2 },
    { "IBUS_KEY_Sinh_pa", IBUS_KEY_Sinh_pa },
    { "IBUS_KEY_Sinh_pha", IBUS_KEY_Sinh_pha },
    { "IBUS_KEY_Sinh_ra", IBUS_KEY_Sinh_ra },
    { "IBUS_KEY_Sinh_ri", IBUS_KEY_Sinh_ri },
    { "IBUS_KEY_Sinh_rii", IBUS_KEY_Sinh_rii },
    { "IBUS_KEY_Sinh_ru2", IBUS_KEY_Sinh_ru2 },
    { "IBUS_KEY_Sinh_ruu2", IBUS_KEY_Sinh_ruu2 },
    { "IBUS_KEY_Sinh_sa", IBUS_KEY_Sinh_sa },
    { "IBUS_KEY_Sinh_sha", IBUS_KEY_Sinh_sha },
    { "IBUS_KEY_Sinh_ssha", IBUS_KEY_Sinh_ssha },
    { "IBUS_KEY_Sinh_tha", IBUS_KEY_Sinh_tha },
    { "IBUS_KEY_Sinh_thha", IBUS_KEY_Sinh_thha },
    { "IBUS_KEY_Sinh_tta", IBUS_KEY_Sinh_tta },
    { "IBUS_KEY_Sinh_ttha", IBUS_KEY_Sinh_ttha },
    { "IBUS_KEY_Sinh_u", IBUS_KEY_Sinh_u },
    { "IBUS_KEY_Sinh_u2", IBUS_KEY_Sinh_u2 },
    { "IBUS_KEY_Sinh_uu", IBUS_KEY_Sinh_uu },
    { "IBUS_KEY_Sinh_uu2", IBUS_KEY_Sinh_uu2 },
    { "IBUS_KEY_Sinh_va", IBUS_KEY_Sinh_va },
    { "IBUS_KEY_Sinh_ya", IBUS_KEY_Sinh_ya },
    { "IBUS_KEY_Sleep", IBUS_KEY_Sleep },
    { "IBUS_KEY_SlowKeys_Enable", IBUS_KEY_SlowKeys_Enable },
    { "IBUS_KEY_Spell", IBUS_KEY_Spell },
    { "IBUS_KEY_SplitScreen", IBUS_KEY_SplitScreen },
    { "IBUS_KEY_Standby", IBUS_KEY_Standby },
    { "IBUS_KEY_Start", IBUS_KEY_Start },
    { "IBUS_KEY_StickyKeys_Enable", IBUS_KEY_StickyKeys_Enable },
    { "IBUS_KEY_Stop", IBUS_KEY_Stop },
    { "IBUS_KEY_Subtitle", IBUS_KEY_Subtitle },
    { "IBUS_KEY_Super_L", IBUS_KEY_Super_L },
    { "IBUS_KEY_Super_R", IBUS_KEY_Super_R },
    { "IBUS_KEY_Support", IBUS_KEY_Support },
    { "IBUS_KEY_Suspend", IBUS_KEY_Suspend },
    { "IBUS_KEY_Switch_VT_1", IBUS_KEY_Switch_VT_1 },
    { "IBUS_KEY_Switch_VT_10", IBUS_KEY_Switch_VT_10 },
    { "IBUS_KEY_Switch_VT_11", IBUS_KEY_Switch_VT_11 },
    { "IBUS_KEY_Switch_VT_12", IBUS_KEY_Switch_VT_12 },
    { "IBUS_KEY_Switch_VT_2", IBUS_KEY_Switch_VT_2 },
    { "IBUS_KEY_Switch_VT_3", IBUS_KEY_Switch_VT_3 },
    { "IBUS_KEY_Switch_VT_4", IBUS_KEY_Switch_VT_4 },
    { "IBUS_KEY_Switch_VT_5", IBUS_KEY_Switch_VT_5 },
    { "IBUS_KEY_Switch_VT_6", IBUS_KEY_Switch_VT_6 },
    { "IBUS_KEY_Switch_VT_7", IBUS_KEY_Switch_VT_7 },
    { "IBUS_KEY_Switch_VT_8", IBUS_KEY_Switch_VT_8 },
    { "IBUS_KEY_Switch_VT_9", IBUS_KEY_Switch_VT_9 },
    { "IBUS_KEY_Sys_Req", IBUS_KEY_Sys_Req },
    { "IBUS_KEY_T", IBUS_KEY_T },
    { "IBUS_KEY_THORN", IBUS_KEY_THORN },
    { "IBUS_KEY_Tab", IBUS_KEY_Tab },
    { "IBUS_KEY_Tabovedot", IBUS_KEY_Tabovedot },
    { "IBUS_KEY_TaskPane", IBUS_KEY_TaskPane },
    { "IBUS_KEY_Tcaron", IBUS_KEY_Tcaron },
    { "IBUS_KEY_Tcedilla", IBUS_KEY_Tcedilla },
    { "IBUS_KEY_Terminal", IBUS_KEY_Terminal },
    { "IBUS_KEY_Terminate_Server", IBUS_KEY_Terminate_Server },
    { "IBUS_KEY_Thai_baht", IBUS_KEY_Thai_baht },
    { "IBUS_KEY_Thai_bobaimai", IBUS_KEY_Thai_bobaimai },
    { "IBUS_KEY_Thai_chochan", IBUS_KEY_Thai_chochan },
    { "IBUS_KEY_Thai_chochang", IBUS_KEY_Thai_chochang },
    { "IBUS_KEY_Thai_choching", IBUS_KEY_Thai_choching },
    { "IBUS_KEY_Thai_chochoe", IBUS_KEY_Thai_chochoe },
    { "IBUS_KEY_Thai_dochada", IBUS_KEY_Thai_dochada },
    { "IBUS_KEY_Thai_dodek", IBUS_KEY_Thai_dodek },
    { "IBUS_KEY_Thai_fofa", IBUS_KEY_Thai_fofa },
    { "IBUS_KEY_Thai_fofan", IBUS_KEY_Thai_fofan },
    { "IBUS_KEY_Thai_hohip", IBUS_KEY_Thai_hohip },
    { "IBUS_KEY_Thai_honokhuk", IBUS_KEY_Thai_honokhuk },
    { "IBUS_KEY_Thai_khokhai", IBUS_KEY_Thai_khokhai },
    { "IBUS_KEY_Thai_khokhon", IBUS_KEY_Thai_khokhon },
    { "IBUS_KEY_Thai_khokhuat", IBUS_KEY_Thai_khokhuat },
    { "IBUS_KEY_Thai_khokhwai", IBUS_KEY_Thai_khokhwai },
    { "IBUS_KEY_Thai_khorakhang", IBUS_KEY_Thai_khorakhang },
    { "IBUS_KEY_Thai_kokai", IBUS_KEY_Thai_kokai },
    { "IBUS_KEY_Thai_lakkhangyao", IBUS_KEY_Thai_lakkhangyao },
    { "IBUS_KEY_Thai_lekchet", IBUS_KEY_Thai_lekchet },
    { "IBUS_KEY_Thai_lekha", IBUS_KEY_Thai_lekha },
    { "IBUS_KEY_Thai_lekhok", IBUS_KEY_Thai_lekhok },
    { "IBUS_KEY_Thai_lekkao", IBUS_KEY_Thai_lekkao },
    { "IBUS_KEY_Thai_leknung", IBUS_KEY_Thai_leknung },
    { "IBUS_KEY_Thai_lekpaet", IBUS_KEY_Thai_lekpaet },
    { "IBUS_KEY_Thai_leksam", IBUS_KEY_Thai_leksam },
    { "IBUS_KEY_Thai_leksi", IBUS_KEY_Thai_leksi },
    { "IBUS_KEY_Thai_leksong", IBUS_KEY_Thai_leksong },
    { "IBUS_KEY_Thai_leksun", IBUS_KEY_Thai_leksun },
    { "IBUS_KEY_Thai_lochula", IBUS_KEY_Thai_lochula },
    { "IBUS_KEY_Thai_loling", IBUS_KEY_Thai_loling },
    { "IBUS_KEY_Thai_lu", IBUS_KEY_Thai_lu },
    { "IBUS_KEY_Thai_maichattawa", IBUS_KEY_Thai_maichattawa },
    { "IBUS_KEY_Thai_maiek", IBUS_KEY_Thai_maiek },
    { "IBUS_KEY_Thai_maihanakat", IBUS_KEY_Thai_maihanakat },
    { "IBUS_KEY_Thai_maihanakat_maitho", IBUS_KEY_Thai_maihanakat_maitho },
    { "IBUS_KEY_Thai_maitaikhu", IBUS_KEY_Thai_maitaikhu },
    { "IBUS_KEY_Thai_maitho", IBUS_KEY_Thai_maitho },
    { "IBUS_KEY_Thai_maitri", IBUS_KEY_Thai_maitri },
    { "IBUS_KEY_Thai_maiyamok", IBUS_KEY_Thai_maiyamok },
    { "IBUS_KEY_Thai_moma", IBUS_KEY_Thai_moma },
    { "IBUS_KEY_Thai_ngongu", IBUS_KEY_Thai_ngongu },
    { "IBUS_KEY_Thai_nikhahit", IBUS_KEY_Thai_nikhahit },
    { "IBUS_KEY_Thai_nonen", IBUS_KEY_Thai_nonen },
    { "IBUS_KEY_Thai_nonu", IBUS_KEY_Thai_nonu },
    { "IBUS_KEY_Thai_oang", IBUS_KEY_Thai_oang },
    { "IBUS_KEY_Thai_paiyannoi", IBUS_KEY_Thai_paiyannoi },
    { "IBUS_KEY_Thai_phinthu", IBUS_KEY_Thai_phinthu },
    { "IBUS_KEY_Thai_phophan", IBUS_KEY_Thai_phophan },
    { "IBUS_KEY_Thai_phophung", IBUS_KEY_Thai_phophung },
    { "IBUS_KEY_Thai_phosamphao", IBUS_KEY_Thai_phosamphao },
    { "IBUS_KEY_Thai_popla", IBUS_KEY_Thai_popla },
    { "IBUS_KEY_Thai_rorua", IBUS_KEY_Thai_rorua },
    { "IBUS_KEY_Thai_ru", IBUS_KEY_Thai_ru },
    { "IBUS_KEY_Thai_saraa", IBUS_KEY_Thai_saraa },
    { "IBUS_KEY_Thai_saraaa", IBUS_KEY_Thai_saraaa },
    { "IBUS_KEY_Thai_saraae", IBUS_KEY_Thai_saraae },
    { "IBUS_KEY_Thai_saraaimaimalai", IBUS_KEY_Thai_saraaimaimalai },
    { "IBUS_KEY_Thai_saraaimaimuan", IBUS_KEY_Thai_saraaimaimuan },
    { "IBUS_KEY_Thai_saraam", IBUS_KEY_Thai_saraam },
    { "IBUS_KEY_Thai_sarae", IBUS_KEY_Thai_sarae },
    { "IBUS_KEY_Thai_sarai", IBUS_KEY_Thai_sarai },
    { "IBUS_KEY_Thai_saraii", IBUS_KEY_Thai_saraii },
    { "IBUS_KEY_Thai_sarao", IBUS_KEY_Thai_sarao },
    { "IBUS_KEY_Thai_sarau", IBUS_KEY_Thai_sarau },
    { "IBUS_KEY_Thai_saraue", IBUS_KEY_Thai_saraue },
    { "IBUS_KEY_Thai_sarauee", IBUS_KEY_Thai_sarauee },
    { "IBUS_KEY_Thai_sarauu", IBUS_KEY_Thai_sarauu },
    { "IBUS_KEY_Thai_sorusi", IBUS_KEY_Thai_sorusi },
    { "IBUS_KEY_Thai_sosala", IBUS_KEY_Thai_sosala },
    { "IBUS_KEY_Thai_soso", IBUS_KEY_Thai_soso },
    { "IBUS_KEY_Thai_sosua", IBUS_KEY_Thai_sosua },
    { "IBUS_KEY_Thai_thanthakhat", IBUS_KEY_Thai_thanthakhat },
    { "IBUS_KEY_Thai_thonangmontho", IBUS_KEY_Thai_thonangmontho },
    { "IBUS_KEY_Thai_thophuthao", IBUS_KEY_Thai_thophuthao },
    { "IBUS_KEY_Thai_thothahan", IBUS_KEY_Thai_thothahan },
    { "IBUS_KEY_Thai_thothan", IBUS_KEY_Thai_thothan },
    { "IBUS_KEY_Thai_thothong", IBUS_KEY_Thai_thothong },
    { "IBUS_KEY_Thai_thothung", IBUS_KEY_Thai_thothung },
    { "IBUS_KEY_Thai_topatak", IBUS_KEY_Thai_topatak },
    { "IBUS_KEY_Thai_totao", IBUS_KEY_Thai_totao },
    { "IBUS_KEY_Thai_wowaen", IBUS_KEY_Thai_wowaen },
    { "IBUS_KEY_Thai_yoyak", IBUS_KEY_Thai_yoyak },
    { "IBUS_KEY_Thai_yoying", IBUS_KEY_Thai_yoying },
    { "IBUS_KEY_Thorn", IBUS_KEY_Thorn },
    { "IBUS_KEY_Time", IBUS_KEY_Time },
    { "IBUS_KEY_ToDoList", IBUS_KEY_ToDoList },
    { "IBUS_KEY_Tools", IBUS_KEY_Tools },
    { "IBUS_KEY_TopMenu", IBUS_KEY_TopMenu },
    { "IBUS_KEY_TouchpadOff", IBUS_KEY_TouchpadOff },
    { "IBUS_KEY_TouchpadOn", IBUS_KEY_TouchpadOn },
    { "IBUS_KEY_TouchpadToggle", IBUS_KEY_TouchpadToggle },
    { "IBUS_KEY_Touroku", IBUS_KEY_Touroku },
    { "IBUS_KEY_Travel", IBUS_KEY_Travel },
    { "IBUS_KEY_Tslash", IBUS_KEY_Tslash },
    { "IBUS_KEY_U", IBUS_KEY_U },
    { "IBUS_KEY_UWB", IBUS_KEY_UWB },
    { "IBUS_KEY_Uacute", IBUS_KEY_Uacute },
    { "IBUS_KEY_Ubelowdot", IBUS_KEY_Ubelowdot },
    { "IBUS_KEY_Ubreve", IBUS_KEY_Ubreve },
    { "IBUS_KEY_Ucircumflex", IBUS_KEY_Ucircumflex },
    { "IBUS_KEY_Udiaeresis", IBUS_KEY_Udiaeresis },
    { "IBUS_KEY_Udoubleacute", IBUS_KEY_Udoubleacute },
    { "IBUS_KEY_Ugrave", IBUS_KEY_Ugrave },
    { "IBUS_KEY_Uhook", IBUS_KEY_Uhook },
    { "IBUS_KEY_Uhorn", IBUS_KEY_Uhorn },
    { "IBUS_KEY_Uhornacute", IBUS_KEY_Uhornacute },
    { "IBUS_KEY_Uhornbelowdot", IBUS_KEY_Uhornbelowdot },
    { "IBUS_KEY_Uhorngrave", IBUS_KEY_Uhorngrave },
    { "IBUS_KEY_Uhornhook", IBUS_KEY_Uhornhook },
    { "IBUS_KEY_Uhorntilde", IBUS_KEY_Uhorntilde },
    { "IBUS_KEY_Ukrainian_GHE_WITH_UPTURN", IBUS_KEY_Ukrainian_GHE_WITH_UPTURN },
    { "IBUS_KEY_Ukrainian_I", IBUS_KEY_Ukrainian_I },
    { "IBUS_KEY_Ukrainian_IE", IBUS_KEY_Ukrainian_IE },
    { "IBUS_KEY_Ukrainian_YI", IBUS_KEY_Ukrainian_YI },
    { "IBUS_KEY_Ukrainian_ghe_with_upturn", IBUS_KEY_Ukrainian_ghe_with_upturn },
    { "IBUS_KEY_Ukrainian_i", IBUS_KEY_Ukrainian_i },
    { "IBUS_KEY_Ukrainian_ie", IBUS_KEY_Ukrainian_ie },
    { "IBUS_KEY_Ukrainian_yi", IBUS_KEY_Ukrainian_yi },
    { "IBUS_KEY_Ukranian_I", IBUS_KEY_Ukranian_I },
    { "IBUS_KEY_Ukranian_JE", IBUS_KEY_Ukranian_JE },
    { "IBUS_KEY_Ukranian_YI", IBUS_KEY_Ukranian_YI },
    { "IBUS_KEY_Ukranian_i", IBUS_KEY_Ukranian_i },
    { "IBUS_KEY_Ukranian_je", IBUS_KEY_Ukranian_je },
    { "IBUS_KEY_Ukranian_yi", IBUS_KEY_Ukranian_yi },
    { "IBUS_KEY_Umacron", IBUS_KEY_Umacron },
    { "IBUS_KEY_Undo", IBUS_KEY_Undo },
    { "IBUS_KEY_Ungrab", IBUS_KEY_Ungrab },
    { "IBUS_KEY_Uogonek", IBUS_KEY_Uogonek },
    { "IBUS_KEY_Up", IBUS_KEY_Up },
    { "IBUS_KEY_Uring", IBUS_KEY_Uring },
    { "IBUS_KEY_User1KB", IBUS_KEY_User1KB },
    { "IBUS_KEY_User2KB", IBUS_KEY_User2KB },
    { "IBUS_KEY_UserPB", IBUS_KEY_UserPB },
    { "IBUS_KEY_Utilde", IBUS_KEY_Utilde },
    { "IBUS_KEY_V", IBUS_KEY_V },
    { "IBUS_KEY_VendorHome", IBUS_KEY_VendorHome },
    { "IBUS_KEY_Video", IBUS_KEY_Video },
    { "IBUS_KEY_View", IBUS_KEY_View },
    { "IBUS_KEY_VoidSymbol", IBUS_KEY_VoidSymbol },
    { "IBUS_KEY_W", IBUS_KEY_W },
    { "IBUS_KEY_WLAN", IBUS_KEY_WLAN },
    { "IBUS_KEY_WWAN", IBUS_KEY_WWAN },
    { "IBUS_KEY_WWW", IBUS_KEY_WWW },
    { "IBUS_KEY_Wacute", IBUS_KEY_Wacute },
    { "IBUS_KEY_WakeUp", IBUS_KEY_WakeUp },
    { "IBUS_KEY_Wcircumflex", IBUS_KEY_Wcircumflex },
    { "IBUS_KEY_Wdiaeresis", IBUS_KEY_Wdiaeresis },
    { "IBUS_KEY_WebCam", IBUS_KEY_WebCam },
    { "IBUS_KEY_Wgrave", IBUS_KEY_Wgrave },
    { "IBUS_KEY_WheelButton", IBUS_KEY_WheelButton },
    { "IBUS_KEY_WindowClear", IBUS_KEY_WindowClear },
    { "IBUS_KEY_WonSign", IBUS_KEY_WonSign },
    { "IBUS_KEY_Word", IBUS_KEY_Word },
    { "IBUS_KEY_X", IBUS_KEY_X },
    { "IBUS_KEY_Xabovedot", IBUS_KEY_Xabovedot },
    { "IBUS_KEY_Xfer", IBUS_KEY_Xfer },
    { "IBUS_KEY_Y", IBUS_KEY_Y },
    { "IBUS_KEY_Yacute", IBUS_KEY_Yacute },
    { "IBUS_KEY_Ybelowdot", IBUS_KEY_Ybelowdot },
    { "IBUS_KEY_Ycircumflex", IBUS_KEY_Ycircumflex },
    { "IBUS_KEY_Ydiaeresis", IBUS_KEY_Ydiaeresis },
    { "IBUS_KEY_Yellow", IBUS_KEY_Yellow },
    { "IBUS_KEY_Ygrave", IBUS_KEY_Ygrave },
    { "IBUS_KEY_Yhook", IBUS_KEY_Yhook },
    { "IBUS_KEY_Ytilde", IBUS_KEY_Ytilde },
    { "IBUS_KEY_Z", IBUS_KEY_Z },
    { "IBUS_KEY_Zabovedot", IBUS_KEY_Zabovedot },
    { "IBUS_KEY_Zacute", IBUS_KEY_Zacute },
    { "IBUS_KEY_Zcaron", IBUS_KEY_Zcaron },
    { "IBUS_KEY_Zen_Koho", IBUS_KEY_Zen_Koho },
    { "IBUS_KEY_Zenkaku", IBUS_KEY_Zenkaku },
    { "IBUS_KEY_Zenkaku_Hankaku", IBUS_KEY_Zenkaku_Hankaku },
    { "IBUS_KEY_ZoomIn", IBUS_KEY_ZoomIn },
    { "IBUS_KEY_ZoomOut", IBUS_KEY_ZoomOut },
    { "IBUS_KEY_Zstroke", IBUS_KEY_Zstroke },
    { "IBUS_KEY_a", IBUS_KEY_a },
    { "IBUS_KEY_aacute", IBUS_KEY_aacute },
    { "IBUS_KEY_abelowdot", IBUS_KEY_abelowdot },
    { "IBUS_KEY_abovedot", IBUS_KEY_abovedot },
    { "IBUS_KEY_abreve", IBUS_KEY_abreve },
    { "IBUS_KEY_abreveacute", IBUS_KEY_abreveacute },
    { "IBUS_KEY_abrevebelowdot", IBUS_KEY_abrevebelowdot },
    { "IBUS_KEY_abrevegrave", IBUS_KEY_abrevegrave },
    { "IBUS_KEY_abrevehook", IBUS_KEY_abrevehook },
    { "IBUS_KEY_abrevetilde", IBUS_KEY_abrevetilde },
    { "IBUS_KEY_acircumflex", IBUS_KEY_acircumflex },
    { "IBUS_KEY_acircumflexacute", IBUS_KEY_acircumflexacute },
    { "IBUS_KEY_acircumflexbelowdot", IBUS_KEY_acircumflexbelowdot },
    { "IBUS_KEY_acircumflexgrave", IBUS_KEY_acircumflexgrave },
    { "IBUS_KEY_acircumflexhook", IBUS_KEY_acircumflexhook },
    { "IBUS_KEY_acircumflextilde", IBUS_KEY_acircumflextilde },
    { "IBUS_KEY_acute", IBUS_KEY_acute },
    { "IBUS_KEY_adiaeresis", IBUS_KEY_adiaeresis },
    { "IBUS_KEY_ae", IBUS_KEY_ae },
    { "IBUS_KEY_agrave", IBUS_KEY_agrave },
    { "IBUS_KEY_ahook", IBUS_KEY_ahook },
    { "IBUS_KEY_amacron", IBUS_KEY_amacron },
    { "IBUS_KEY_ampersand", IBUS_KEY_ampersand },
    { "IBUS_KEY_aogonek", IBUS_KEY_aogonek },
    { "IBUS_KEY_apostrophe", IBUS_KEY_apostrophe },
    { "IBUS_KEY_approxeq", IBUS_KEY_approxeq },
    { "IBUS_KEY_approximate", IBUS_KEY_approximate },
    { "IBUS_KEY_aring", IBUS_KEY_aring },
    { "IBUS_KEY_asciicircum", IBUS_KEY_asciicircum },
    { "IBUS_KEY_asciitilde", IBUS_KEY_asciitilde },
    { "IBUS_KEY_asterisk", IBUS_KEY_asterisk },
    { "IBUS_KEY_at", IBUS_KEY_at },
    { "IBUS_KEY_atilde", IBUS_KEY_atilde },
    { "IBUS_KEY_b", IBUS_KEY_b },
    { "IBUS_KEY_babovedot", IBUS_KEY_babovedot },
    { "IBUS_KEY_backslash", IBUS_KEY_backslash },
    { "IBUS_KEY_ballotcross", IBUS_KEY_ballotcross },
    { "IBUS_KEY_bar", IBUS_KEY_bar },
    { "IBUS_KEY_because", IBUS_KEY_because },
    { "IBUS_KEY_blank", IBUS_KEY_blank },
    { "IBUS_KEY_botintegral", IBUS_KEY_botintegral },
    { "IBUS_KEY_botleftparens", IBUS_KEY_botleftparens },
    { "IBUS_KEY_botleftsqbracket", IBUS_KEY_botleftsqbracket },
    { "IBUS_KEY_botleftsummation", IBUS_KEY_botleftsummation },
    { "IBUS_KEY_botrightparens", IBUS_KEY_botrightparens },
    { "IBUS_KEY_botrightsqbracket", IBUS_KEY_botrightsqbracket },
    { "IBUS_KEY_botrightsummation", IBUS_KEY_botrightsummation },
    { "IBUS_KEY_bott", IBUS_KEY_bott },
    { "IBUS_KEY_botvertsummationconnector", IBUS_KEY_botvertsummationconnector },
    { "IBUS_KEY_braceleft", IBUS_KEY_braceleft },
    { "IBUS_KEY_braceright", IBUS_KEY_braceright },
    { "IBUS_KEY_bracketleft", IBUS_KEY_bracketleft },
    { "IBUS_KEY_bracketright", IBUS_KEY_bracketright },
    { "IBUS_KEY_braille_blank", IBUS_KEY_braille_blank },
    { "IBUS_KEY_braille_dot_1", IBUS_KEY_braille_dot_1 },
    { "IBUS_KEY_braille_dot_10", IBUS_KEY_braille_dot_10 },
    { "IBUS_KEY_braille_dot_2", IBUS_KEY_braille_dot_2 },
    { "IBUS_KEY_braille_dot_3", IBUS_KEY_braille_dot_3 },
    { "IBUS_KEY_braille_dot_4", IBUS_KEY_braille_dot_4 },
    { "IBUS_KEY_braille_dot_5", IBUS_KEY_braille_dot_5 },
    { "IBUS_KEY_braille_dot_6", IBUS_KEY_braille_dot_6 },
    { "IBUS_KEY_braille_dot_7", IBUS_KEY_braille_dot_7 },
    { "IBUS_KEY_braille_dot_8", IBUS_KEY_braille_dot_8 },
    { "IBUS_KEY_braille_dot_9", IBUS_KEY_braille_dot_9 },
    { "IBUS_KEY_braille_dots_1", IBUS_KEY_braille_dots_1 },
    { "IBUS_KEY_braille_dots_12", IBUS_KEY_braille_dots_12 },
    { "IBUS_KEY_braille_dots_123", IBUS_KEY_braille_dots_123 },
    { "IBUS_KEY_braille_dots_1234", IBUS_KEY_braille_dots_1234 },
    { "IBUS_KEY_braille_dots_12345", IBUS_KEY_braille_dots_12345 },
    { "IBUS_KEY_braille_dots_123456", IBUS_KEY_braille_dots_123456 },
    { "IBUS_KEY_braille_dots_1234567", IBUS_KEY_braille_dots_1234567 },
    { "IBUS_KEY_braille_dots_12345678", IBUS_KEY_braille_dots_12345678 },
    { "IBUS_KEY_braille_dots_1234568", IBUS_KEY_braille_dots_1234568 },
    { "IBUS_KEY_braille_dots_123457", IBUS_KEY_braille_dots_123457 },
    { "IBUS_KEY_braille_dots_1234578", IBUS_KEY_braille_dots_1234578 },
    { "IBUS_KEY_braille_dots_123458", IBUS_KEY_braille_dots_123458 },
    { "IBUS_KEY_braille_dots_12346", IBUS_KEY_braille_dots_12346 },
    { "IBUS_KEY_braille_dots_123467", IBUS_KEY_braille_dots_123467 },
    { "IBUS_KEY_braille_dots_1234678", IBUS_KEY_braille_dots_1234678 },
    { "IBUS_KEY_braille_dots_123468", IBUS_KEY_braille_dots_123468 },
    { "IBUS_KEY_braille_dots_12347", IBUS_KEY_braille_dots_12347 },
    { "IBUS_KEY_braille_dots_123478", IBUS_KEY_braille_dots_123478 },
    { "IBUS_KEY_braille_dots_12348", IBUS_KEY_braille_dots_12348 },
    { "IBUS_KEY_braille_dots_1235", IBUS_KEY_braille_dots_1235 },
    { "IBUS_KEY_braille_dots_12356", IBUS_KEY_braille_dots_12356 },
    { "IBUS_KEY_braille_dots_123567", IBUS_KEY_braille_dots_123567 },
    { "IBUS_KEY_braille_dots_1235678", IBUS_KEY_braille_dots_1235678 },
    { "IBUS_KEY_braille_dots_123568", IBUS_KEY_braille_dots_123568 },
    { "IBUS_KEY_braille_dots_12357", IBUS_KEY_braille_dots_12357 },
    { "IBUS_KEY_braille_dots_123578", IBUS_KEY_braille_dots_123578 },
    { "IBUS_KEY_braille_dots_12358", IBUS_KEY_braille_dots_12358 },
    { "IBUS_KEY_braille_dots_1236", IBUS_KEY_braille_dots_1236 },
    { "IBUS_KEY_braille_dots_12367", IBUS_KEY_braille_dots_12367 },
    { "IBUS_KEY_braille_dots_123678", IBUS_KEY_braille_dots_123678 },
    { "IBUS_KEY_braille_dots_12368", IBUS_KEY_braille_dots_12368 },
    { "IBUS_KEY_braille_dots_1237", IBUS_KEY_braille_dots_1237 },
    { "IBUS_KEY_braille_dots_12378", IBUS_KEY_braille_dots_12378 },
    { "IBUS_KEY_braille_dots_1238", IBUS_KEY_braille_dots_1238 },
    { "IBUS_KEY_braille_dots_124", IBUS_KEY_braille_dots_124 },
    { "IBUS_KEY_braille_dots_1245", IBUS_KEY_braille_dots_1245 },
    { "IBUS_KEY_braille_dots_12456", IBUS_KEY_braille_dots_12456 },
    { "IBUS_KEY_braille_dots_124567", IBUS_KEY_braille_dots_124567 },
    { "IBUS_KEY_braille_dots_1245678", IBUS_KEY_braille_dots_1245678 },
    { "IBUS_KEY_braille_dots_124568", IBUS_KEY_braille_dots_124568 },
    { "IBUS_KEY_braille_dots_12457", IBUS_KEY_braille_dots_12457 },
    { "IBUS_KEY_braille_dots_124578", IBUS_KEY_braille_dots_124578 },
    { "IBUS_KEY_braille_dots_12458", IBUS_KEY_braille_dots_12458 },
    { "IBUS_KEY_braille_dots_1246", IBUS_KEY_braille_dots_1246 },
    { "IBUS_KEY_braille_dots_12467", IBUS_KEY_braille_dots_12467 },
    { "IBUS_KEY_braille_dots_124678", IBUS_KEY_braille_dots_124678 },
    { "IBUS_KEY_braille_dots_12468", IBUS_KEY_braille_dots_12468 },
    { "IBUS_KEY_braille_dots_1247", IBUS_KEY_braille_dots_1247 },
    { "IBUS_KEY_braille_dots_12478", IBUS_KEY_braille_dots_12478 },
    { "IBUS_KEY_braille_dots_1248", IBUS_KEY_braille_dots_1248 },
    { "IBUS_KEY_braille_dots_125", IBUS_KEY_braille_dots_125 },
    { "IBUS_KEY_braille_dots_1256", IBUS_KEY_braille_dots_1256 },
    { "IBUS_KEY_braille_dots_12567", IBUS_KEY_braille_dots_12567 },
    { "IBUS_KEY_braille_dots_125678", IBUS_KEY_braille_dots_125678 },
    { "IBUS_KEY_braille_dots_12568", IBUS_KEY_braille_dots_12568 },
    { "IBUS_KEY_braille_dots_1257", IBUS_KEY_braille_dots_1257 },
    { "IBUS_KEY_braille_dots_12578", IBUS_KEY_braille_dots_12578 },
    { "IBUS_KEY_braille_dots_1258", IBUS_KEY_braille_dots_1258 },
    { "IBUS_KEY_braille_dots_126", IBUS_KEY_braille_dots_126 },
    { "IBUS_KEY_braille_dots_1267", IBUS_KEY_braille_dots_1267 },
    { "IBUS_KEY_braille_dots_12678", IBUS_KEY_braille_dots_12678 },
    { "IBUS_KEY_braille_dots_1268", IBUS_KEY_braille_dots_1268 },
    { "IBUS_KEY_braille_dots_127", IBUS_KEY_braille_dots_127 },
    { "IBUS_KEY_braille_dots_1278", IBUS_KEY_braille_dots_1278 },
    { "IBUS_KEY_braille_dots_128", IBUS_KEY_braille_dots_128 },
    { "IBUS_KEY_braille_dots_13", IBUS_KEY_braille_dots_13 },
    { "IBUS_KEY_braille_dots_134", IBUS_KEY_braille_dots_134 },
    { "IBUS_KEY_braille_dots_1345", IBUS_KEY_braille_dots_1345 },
    { "IBUS_KEY_braille_dots_13456", IBUS_KEY_braille_dots_13456 },
    { "IBUS_KEY_braille_dots_134567", IBUS_KEY_braille_dots_134567 },
    { "IBUS_KEY_braille_dots_1345678", IBUS_KEY_braille_dots_1345678 },
    { "IBUS_KEY_braille_dots_134568", IBUS_KEY_braille_dots_134568 },
    { "IBUS_KEY_braille_dots_13457", IBUS_KEY_braille_dots_13457 },
    { "IBUS_KEY_braille_dots_134578", IBUS_KEY_braille_dots_134578 },
    { "IBUS_KEY_braille_dots_13458", IBUS_KEY_braille_dots_13458 },
    { "IBUS_KEY_braille_dots_1346", IBUS_KEY_braille_dots_1346 },
    { "IBUS_KEY_braille_dots_13467", IBUS_KEY_braille_dots_13467 },
    { "IBUS_KEY_braille_dots_134678", IBUS_KEY_braille_dots_134678 },
    { "IBUS_KEY_braille_dots_13468", IBUS_KEY_braille_dots_13468 },
    { "IBUS_KEY_braille_dots_1347", IBUS_KEY_braille_dots_1347 },
    { "IBUS_KEY_braille_dots_13478", IBUS_KEY_braille_dots_13478 },
    { "IBUS_KEY_braille_dots_1348", IBUS_KEY_braille_dots_1348 },
    { "IBUS_KEY_braille_dots_135", IBUS_KEY_braille_dots_135 },
    { "IBUS_KEY_braille_dots_1356", IBUS_KEY_braille_dots_1356 },
    { "IBUS_KEY_braille_dots_13567", IBUS_KEY_braille_dots_13567 },
    { "IBUS_KEY_braille_dots_135678", IBUS_KEY_braille_dots_135678 },
    { "IBUS_KEY_braille_dots_13568", IBUS_KEY_braille_dots_13568 },
    { "IBUS_KEY_braille_dots_1357", IBUS_KEY_braille_dots_1357 },
    { "IBUS_KEY_braille_dots_13578", IBUS_KEY_braille_dots_13578 },
    { "IBUS_KEY_braille_dots_1358", IBUS_KEY_braille_dots_1358 },
    { "IBUS_KEY_braille_dots_136", IBUS_KEY_braille_dots_136 },
    { "IBUS_KEY_braille_dots_1367", IBUS_KEY_braille_dots_1367 },
    { "IBUS_KEY_braille_dots_13678", IBUS_KEY_braille_dots_13678 },
    { "IBUS_KEY_braille_dots_1368", IBUS_KEY_braille_dots_1368 },
    { "IBUS_KEY_braille_dots_137", IBUS_KEY_braille_dots_137 },
    { "IBUS_KEY_braille_dots_1378", IBUS_KEY_braille_dots_1378 },
    { "IBUS_KEY_braille_dots_138", IBUS_KEY_braille_dots_138 },
    { "IBUS_KEY_braille_dots_14", IBUS_KEY_braille_dots_14 },
    { "IBUS_KEY_braille_dots_145", IBUS_KEY_braille_dots_145 },
    { "IBUS_KEY_braille_dots_1456", IBUS_KEY_braille_dots_1456 },
    { "IBUS_KEY_braille_dots_14567", IBUS_KEY_braille_dots_14567 },
    { "IBUS_KEY_braille_dots_145678", IBUS_KEY_braille_dots_145678 },
    { "IBUS_KEY_braille_dots_14568", IBUS_KEY_braille_dots_14568 },
    { "IBUS_KEY_braille_dots_1457", IBUS_KEY_braille_dots_1457 },
    { "IBUS_KEY_braille_dots_14578", IBUS_KEY_braille_dots_14578 },
    { "IBUS_KEY_braille_dots_1458", IBUS_KEY_braille_dots_1458 },
    { "IBUS_KEY_braille_dots_146", IBUS_KEY_braille_dots_146 },
    { "IBUS_KEY_braille_dots_1467", IBUS_KEY_braille_dots_1467 },
    { "IBUS_KEY_braille_dots_14678", IBUS_KEY_braille_dots_14678 },
    { "IBUS_KEY_braille_dots_1468", IBUS_KEY_braille_dots_1468 },
    { "IBUS_KEY_braille_dots_147", IBUS_KEY_braille_dots_147 },
    { "IBUS_KEY_braille_dots_1478", IBUS_KEY_braille_dots_1478 },
    { "IBUS_KEY_braille_dots_148", IBUS_KEY_braille_dots_148 },
    { "IBUS_KEY_braille_dots_15", IBUS_KEY_braille_dots_15 },
    { "IBUS_KEY_braille_dots_156", IBUS_KEY_braille_dots_156 },
    { "IBUS_KEY_braille_dots_1567", IBUS_KEY_braille_dots_1567 },
    { "IBUS_KEY_braille_dots_15678", IBUS_KEY_braille_dots_15678 },
    { "IBUS_KEY_braille_dots_1568", IBUS_KEY_braille_dots_1568 },
    { "IBUS_KEY_braille_dots_157", IBUS_KEY_braille_dots_157 },
    { "IBUS_KEY_braille_dots_1578", IBUS_KEY_braille_dots_1578 },
    { "IBUS_KEY_braille_dots_158", IBUS_KEY_braille_dots_158 },
    { "IBUS_KEY_braille_dots_16", IBUS_KEY_braille_dots_16 },
    { "IBUS_KEY_braille_dots_167", IBUS_KEY_braille_dots_167 },
    { "IBUS_KEY_braille_dots_1678", IBUS_KEY_braille_dots_1678 },
    { "IBUS_KEY_braille_dots_168", IBUS_KEY_braille_dots_168 },
    { "IBUS_KEY_braille_dots_17", IBUS_KEY_braille_dots_17 },
    { "IBUS_KEY_braille_dots_178", IBUS_KEY_braille_dots_178 },
    { "IBUS_KEY_braille_dots_18", IBUS_KEY_braille_dots_18 },
    { "IBUS_KEY_braille_dots_2", IBUS_KEY_braille_dots_2 },
    { "IBUS_KEY_braille_dots_23", IBUS_KEY_braille_dots_23 },
    { "IBUS_KEY_braille_dots_234", IBUS_KEY_braille_dots_234 },
    { "IBUS_KEY_braille_dots_2345", IBUS_KEY_braille_dots_2345 },
    { "IBUS_KEY_braille_dots_23456", IBUS_KEY_braille_dots_23456 },
    { "IBUS_KEY_braille_dots_234567", IBUS_KEY_braille_dots_234567 },
    { "IBUS_KEY_braille_dots_2345678", IBUS_KEY_braille_dots_2345678 },
    { "IBUS_KEY_braille_dots_234568", IBUS_KEY_braille_dots_234568 },
    { "IBUS_KEY_braille_dots_23457", IBUS_KEY_braille_dots_23457 },
    { "IBUS_KEY_braille_dots_234578", IBUS_KEY_braille_dots_234578 },
    { "IBUS_KEY_braille_dots_23458", IBUS_KEY_braille_dots_23458 },
    { "IBUS_KEY_braille_dots_2346", IBUS_KEY_braille_dots_2346 },
    { "IBUS_KEY_braille_dots_23467", IBUS_KEY_braille_dots_23467 },
    { "IBUS_KEY_braille_dots_234678", IBUS_KEY_braille_dots_234678 },
    { "IBUS_KEY_braille_dots_23468", IBUS_KEY_braille_dots_23468 },
    { "IBUS_KEY_braille_dots_2347", IBUS_KEY_braille_dots_2347 },
    { "IBUS_KEY_braille_dots_23478", IBUS_KEY_braille_dots_23478 },
    { "IBUS_KEY_braille_dots_2348", IBUS_KEY_braille_dots_2348 },
    { "IBUS_KEY_braille_dots_235", IBUS_KEY_braille_dots_235 },
    { "IBUS_KEY_braille_dots_2356", IBUS_KEY_braille_dots_2356 },
    { "IBUS_KEY_braille_dots_23567", IBUS_KEY_braille_dots_23567 },
    { "IBUS_KEY_braille_dots_235678", IBUS_KEY_braille_dots_235678 },
    { "IBUS_KEY_braille_dots_23568", IBUS_KEY_braille_dots_23568 },
    { "IBUS_KEY_braille_dots_2357", IBUS_KEY_braille_dots_2357 },
    { "IBUS_KEY_braille_dots_23578", IBUS_KEY_braille_dots_23578 },
    { "IBUS_KEY_braille_dots_2358", IBUS_KEY_braille_dots_2358 },
    { "IBUS_KEY_braille_dots_236", IBUS_KEY_braille_dots_236 },
    { "IBUS_KEY_braille_dots_2367", IBUS_KEY_braille_dots_2367 },
    { "IBUS_KEY_braille_dots_23678", IBUS_KEY_braille_dots_23678 },
    { "IBUS_KEY_braille_dots_2368", IBUS_KEY_braille_dots_2368 },
    { "IBUS_KEY_braille_dots_237", IBUS_KEY_braille_dots_237 },
    { "IBUS_KEY_braille_dots_2378", IBUS_KEY_braille_dots_2378 },
    { "IBUS_KEY_braille_dots_238", IBUS_KEY_braille_dots_238 },
    { "IBUS_KEY_braille_dots_24", IBUS_KEY_braille_dots_24 },
    { "IBUS_KEY_braille_dots_245", IBUS_KEY_braille_dots_245 },
    { "IBUS_KEY_braille_dots_2456", IBUS_KEY_braille_dots_2456 },
    { "IBUS_KEY_braille_dots_24567", IBUS_KEY_braille_dots_24567 },
    { "IBUS_KEY_braille_dots_245678", IBUS_KEY_braille_dots_245678 },
    { "IBUS_KEY_braille_dots_24568", IBUS_KEY_braille_dots_24568 },
    { "IBUS_KEY_braille_dots_2457", IBUS_KEY_braille_dots_2457 },
    { "IBUS_KEY_braille_dots_24578", IBUS_KEY_braille_dots_24578 },
    { "IBUS_KEY_braille_dots_2458", IBUS_KEY_braille_dots_2458 },
    { "IBUS_KEY_braille_dots_246", IBUS_KEY_braille_dots_246 },
    { "IBUS_KEY_braille_dots_2467", IBUS_KEY_braille_dots_2467 },
    { "IBUS_KEY_braille_dots_24678", IBUS_KEY_braille_dots_24678 },
    { "IBUS_KEY_braille_dots_2468", IBUS_KEY_braille_dots_2468 },
    { "IBUS_KEY_braille_dots_247", IBUS_KEY_braille_dots_247 },
    { "IBUS_KEY_braille_dots_2478", IBUS_KEY_braille_dots_2478 },
    { "IBUS_KEY_braille_dots_248", IBUS_KEY_braille_dots_248 },
    { "IBUS_KEY_braille_dots_25", IBUS_KEY_braille_dots_25 },
    { "IBUS_KEY_braille_dots_256", IBUS_KEY_braille_dots_256 },
    { "IBUS_KEY_braille_dots_2567", IBUS_KEY_braille_dots_2567 },
    { "IBUS_KEY_braille_dots_25678", IBUS_KEY_braille_dots_25678 },
    { "IBUS_KEY_braille_dots_2568", IBUS_KEY_braille_dots_2568 },
    { "IBUS_KEY_braille_dots_257", IBUS_KEY_braille_dots_257 },
    { "IBUS_KEY_braille_dots_2578", IBUS_KEY_braille_dots_2578 },
    { "IBUS_KEY_braille_dots_258", IBUS_KEY_braille_dots_258 },
    { "IBUS_KEY_braille_dots_26", IBUS_KEY_braille_dots_26 },
    { "IBUS_KEY_braille_dots_267", IBUS_KEY_braille_dots_267 },
    { "IBUS_KEY_braille_dots_2678", IBUS_KEY_braille_dots_2678 },
    { "IBUS_KEY_braille_dots_268", IBUS_KEY_braille_dots_268 },
    { "IBUS_KEY_braille_dots_27", IBUS_KEY_braille_dots_27 },
    { "IBUS_KEY_braille_dots_278", IBUS_KEY_braille_dots_278 },
    { "IBUS_KEY_braille_dots_28", IBUS_KEY_braille_dots_28 },
    { "IBUS_KEY_braille_dots_3", IBUS_KEY_braille_dots_3 },
    { "IBUS_KEY_braille_dots_34", IBUS_KEY_braille_dots_34 },
    { "IBUS_KEY_braille_dots_345", IBUS_KEY_braille_dots_345 },
    { "IBUS_KEY_braille_dots_3456", IBUS_KEY_braille_dots_3456 },
    { "IBUS_KEY_braille_dots_34567", IBUS_KEY_braille_dots_34567 },
    { "IBUS_KEY_braille_dots_345678", IBUS_KEY_braille_dots_345678 },
    { "IBUS_KEY_braille_dots_34568", IBUS_KEY_braille_dots_34568 },
    { "IBUS_KEY_braille_dots_3457", IBUS_KEY_braille_dots_3457 },
    { "IBUS_KEY_braille_dots_34578", IBUS_KEY_braille_dots_34578 },
    { "IBUS_KEY_braille_dots_3458", IBUS_KEY_braille_dots_3458 },
    { "IBUS_KEY_braille_dots_346", IBUS_KEY_braille_dots_346 },
    { "IBUS_KEY_braille_dots_3467", IBUS_KEY_braille_dots_3467 },
    { "IBUS_KEY_braille_dots_34678", IBUS_KEY_braille_dots_34678 },
    { "IBUS_KEY_braille_dots_3468", IBUS_KEY_braille_dots_3468 },
    { "IBUS_KEY_braille_dots_347", IBUS_KEY_braille_dots_347 },
    { "IBUS_KEY_braille_dots_3478", IBUS_KEY_braille_dots_3478 },
    { "IBUS_KEY_braille_dots_348", IBUS_KEY_braille_dots_348 },
    { "IBUS_KEY_braille_dots_35", IBUS_KEY_braille_dots_35 },
    { "IBUS_KEY_braille_dots_356", IBUS_KEY_braille_dots_356 },
    { "IBUS_KEY_braille_dots_3567", IBUS_KEY_braille_dots_3567 },
    { "IBUS_KEY_braille_dots_35678", IBUS_KEY_braille_dots_35678 },
    { "IBUS_KEY_braille_dots_3568", IBUS_KEY_braille_dots_3568 },
    { "IBUS_KEY_braille_dots_357", IBUS_KEY_braille_dots_357 },
    { "IBUS_KEY_braille_dots_3578", IBUS_KEY_braille_dots_3578 },
    { "IBUS_KEY_braille_dots_358", IBUS_KEY_braille_dots_358 },
    { "IBUS_KEY_braille_dots_36", IBUS_KEY_braille_dots_36 },
    { "IBUS_KEY_braille_dots_367", IBUS_KEY_braille_dots_367 },
    { "IBUS_KEY_braille_dots_3678", IBUS_KEY_braille_dots_3678 },
    { "IBUS_KEY_braille_dots_368", IBUS_KEY_braille_dots_368 },
    { "IBUS_KEY_braille_dots_37", IBUS_KEY_braille_dots_37 },
    { "IBUS_KEY_braille_dots_378", IBUS_KEY_braille_dots_378 },
    { "IBUS_KEY_braille_dots_38", IBUS_KEY_braille_dots_38 },
    { "IBUS_KEY_braille_dots_4", IBUS_KEY_braille_dots_4 },
    { "IBUS_KEY_braille_dots_45", IBUS_KEY_braille_dots_45 },
    { "IBUS_KEY_braille_dots_456", IBUS_KEY_braille_dots_456 },
    { "IBUS_KEY_braille_dots_4567", IBUS_KEY_braille_dots_4567 },
    { "IBUS_KEY_braille_dots_45678", IBUS_KEY_braille_dots_45678 },
    { "IBUS_KEY_braille_dots_4568", IBUS_KEY_braille_dots_4568 },
    { "IBUS_KEY_braille_dots_457", IBUS_KEY_braille_dots_457 },
    { "IBUS_KEY_braille_dots_4578", IBUS_KEY_braille_dots_4578 },
    { "IBUS_KEY_braille_dots_458", IBUS_KEY_braille_dots_458 },
    { "IBUS_KEY_braille_dots_46", IBUS_KEY_braille_dots_46 },
    { "IBUS_KEY_braille_dots_467", IBUS_KEY_braille_dots_467 },
    { "IBUS_KEY_braille_dots_4678", IBUS_KEY_braille_dots_4678 },
    { "IBUS_KEY_braille_dots_468", IBUS_KEY_braille_dots_468 },
    { "IBUS_KEY_braille_dots_47", IBUS_KEY_braille_dots_47 },
    { "IBUS_KEY_braille_dots_478", IBUS_KEY_braille_dots_478 },
    { "IBUS_KEY_braille_dots_48", IBUS_KEY_braille_dots_48 },
    { "IBUS_KEY_braille_dots_5", IBUS_KEY_braille_dots_5 },
    { "IBUS_KEY_braille_dots_56", IBUS_KEY_braille_dots_56 },
    { "IBUS_KEY_braille_dots_567", IBUS_KEY_braille_dots_567 },
    { "IBUS_KEY_braille_dots_5678", IBUS_KEY_braille_dots_5678 },
    { "IBUS_KEY_braille_dots_568", IBUS_KEY_braille_dots_568 },
    { "IBUS_KEY_braille_dots_57", IBUS_KEY_braille_dots_57 },
    { "IBUS_KEY_braille_dots_578", IBUS_KEY_braille_dots_578 },
    { "IBUS_KEY_braille_dots_58", IBUS_KEY_braille_dots_58 },
    { "IBUS_KEY_braille_dots_6", IBUS_KEY_braille_dots_6 },
    { "IBUS_KEY_braille_dots_67", IBUS_KEY_braille_dots_67 },
    { "IBUS_KEY_braille_dots_678", IBUS_KEY_braille_dots_678 },
    { "IBUS_KEY_braille_dots_68", IBUS_KEY_braille_dots_68 },
    { "IBUS_KEY_braille_dots_7", IBUS_KEY_braille_dots_7 },
    { "IBUS_KEY_braille_dots_78", IBUS_KEY_braille_dots_78 },
    { "IBUS_KEY_braille_dots_8", IBUS_KEY_braille_dots_8 },
    { "IBUS_KEY_breve", IBUS_KEY_breve },
    { "IBUS_KEY_brokenbar", IBUS_KEY_brokenbar },
    { "IBUS_KEY_c", IBUS_KEY_c },
    { "IBUS_KEY_c_h", IBUS_KEY_c_h },
    { "IBUS_KEY_cabovedot", IBUS_KEY_cabovedot },
    { "IBUS_KEY_cacute", IBUS_KEY_cacute },
    { "IBUS_KEY_careof", IBUS_KEY_careof },
    { "IBUS_KEY_caret", IBUS_KEY_caret },
    { "IBUS_KEY_caron", IBUS_KEY_caron },
    { "IBUS_KEY_ccaron", IBUS_KEY_ccaron },
    { "IBUS_KEY_ccedilla", IBUS_KEY_ccedilla },
    { "IBUS_KEY_ccircumflex", IBUS_KEY_ccircumflex },
    { "IBUS_KEY_cedilla", IBUS_KEY_cedilla },
    { "IBUS_KEY_cent", IBUS_KEY_cent },
    { "IBUS_KEY_ch", IBUS_KEY_ch },
    { "IBUS_KEY_checkerboard", IBUS_KEY_checkerboard },
    { "IBUS_KEY_checkmark", IBUS_KEY_checkmark },
    { "IBUS_KEY_circle", IBUS_KEY_circle },
    { "IBUS_KEY_club", IBUS_KEY_club },
    { "IBUS_KEY_colon", IBUS_KEY_colon },
    { "IBUS_KEY_comma", IBUS_KEY_comma },
    { "IBUS_KEY_containsas", IBUS_KEY_containsas },
    { "IBUS_KEY_copyright", IBUS_KEY_copyright },
    { "IBUS_KEY_cr", IBUS_KEY_cr },
    { "IBUS_KEY_crossinglines", IBUS_KEY_crossinglines },
    { "IBUS_KEY_cuberoot", IBUS_KEY_cuberoot },
    { "IBUS_KEY_currency", IBUS_KEY_currency },
    { "IBUS_KEY_cursor", IBUS_KEY_cursor },
    { "IBUS_KEY_d", IBUS_KEY_d },
    { "IBUS_KEY_dabovedot", IBUS_KEY_dabovedot },
    { "IBUS_KEY_dagger", IBUS_KEY_dagger },
    { "IBUS_KEY_dcaron", IBUS_KEY_dcaron },
    { "IBUS_KEY_dead_A", IBUS_KEY_dead_A },
    { "IBUS_KEY_dead_E", IBUS_KEY_dead_E },
    { "IBUS_KEY_dead_I", IBUS_KEY_dead_I },
    { "IBUS_KEY_dead_O", IBUS_KEY_dead_O },
    { "IBUS_KEY_dead_U", IBUS_KEY_dead_U },
    { "IBUS_KEY_dead_a", IBUS_KEY_dead_a },
    { "IBUS_KEY_dead_abovecomma", IBUS_KEY_dead_abovecomma },
    { "IBUS_KEY_dead_abovedot", IBUS_KEY_dead_abovedot },
    { "IBUS_KEY_dead_abovereversedcomma", IBUS_KEY_dead_abovereversedcomma },
    { "IBUS_KEY_dead_abovering", IBUS_KEY_dead_abovering },
    { "IBUS_KEY_dead_aboveverticalline", IBUS_KEY_dead_aboveverticalline },
    { "IBUS_KEY_dead_acute", IBUS_KEY_dead_acute },
    { "IBUS_KEY_dead_belowbreve", IBUS_KEY_dead_belowbreve },
    { "IBUS_KEY_dead_belowcircumflex", IBUS_KEY_dead_belowcircumflex },
    { "IBUS_KEY_dead_belowcomma", IBUS_KEY_dead_belowcomma },
    { "IBUS_KEY_dead_belowdiaeresis", IBUS_KEY_dead_belowdiaeresis },
    { "IBUS_KEY_dead_belowdot", IBUS_KEY_dead_belowdot },
    { "IBUS_KEY_dead_belowmacron", IBUS_KEY_dead_belowmacron },
    { "IBUS_KEY_dead_belowring", IBUS_KEY_dead_belowring },
    { "IBUS_KEY_dead_belowtilde", IBUS_KEY_dead_belowtilde },
    { "IBUS_KEY_dead_belowverticalline", IBUS_KEY_dead_belowverticalline },
    { "IBUS_KEY_dead_breve", IBUS_KEY_dead_breve },
    { "IBUS_KEY_dead_capital_schwa", IBUS_KEY_dead_capital_schwa },
    { "IBUS_KEY_dead_caron", IBUS_KEY_dead_caron },
    { "IBUS_KEY_dead_cedilla", IBUS_KEY_dead_cedilla },
    { "IBUS_KEY_dead_circumflex", IBUS_KEY_dead_circumflex },
    { "IBUS_KEY_dead_currency", IBUS_KEY_dead_currency },
    { "IBUS_KEY_dead_dasia", IBUS_KEY_dead_dasia },
    { "IBUS_KEY_dead_diaeresis", IBUS_KEY_dead_diaeresis },
    { "IBUS_KEY_dead_doubleacute", IBUS_KEY_dead_doubleacute },
    { "IBUS_KEY_dead_doublegrave", IBUS_KEY_dead_doublegrave },
    { "IBUS_KEY_dead_e", IBUS_KEY_dead_e },
    { "IBUS_KEY_dead_grave", IBUS_KEY_dead_grave },
    { "IBUS_KEY_dead_greek", IBUS_KEY_dead_greek },
    { "IBUS_KEY_dead_hook", IBUS_KEY_dead_hook },
    { "IBUS_KEY_dead_horn", IBUS_KEY_dead_horn },
    { "IBUS_KEY_dead_i", IBUS_KEY_dead_i },
    { "IBUS_KEY_dead_invertedbreve", IBUS_KEY_dead_invertedbreve },
    { "IBUS_KEY_dead_iota", IBUS_KEY_dead_iota },
    { "IBUS_KEY_dead_longsolidusoverlay", IBUS_KEY_dead_longsolidusoverlay },
    { "IBUS_KEY_dead_lowline", IBUS_KEY_dead_lowline },
    { "IBUS_KEY_dead_macron", IBUS_KEY_dead_macron },
    { "IBUS_KEY_dead_o", IBUS_KEY_dead_o },
    { "IBUS_KEY_dead_ogonek", IBUS_KEY_dead_ogonek },
    { "IBUS_KEY_dead_perispomeni", IBUS_KEY_dead_perispomeni },
    { "IBUS_KEY_dead_psili", IBUS_KEY_dead_psili },
    { "IBUS_KEY_dead_semivoiced_sound", IBUS_KEY_dead_semivoiced_sound },
    { "IBUS_KEY_dead_small_schwa", IBUS_KEY_dead_small_schwa },
    { "IBUS_KEY_dead_stroke", IBUS_KEY_dead_stroke },
    { "IBUS_KEY_dead_tilde", IBUS_KEY_dead_tilde },
    { "IBUS_KEY_dead_u", IBUS_KEY_dead_u },
    { "IBUS_KEY_dead_voiced_sound", IBUS_KEY_dead_voiced_sound },
    { "IBUS_KEY_decimalpoint", IBUS_KEY_decimalpoint },
    { "IBUS_KEY_degree", IBUS_KEY_degree },
    { "IBUS_KEY_diaeresis", IBUS_KEY_diaeresis },
    { "IBUS_KEY_diamond", IBUS_KEY_diamond },
    { "IBUS_KEY_digitspace", IBUS_KEY_digitspace },
    { "IBUS_KEY_dintegral", IBUS_KEY_dintegral },
    { "IBUS_KEY_division", IBUS_KEY_division },
    { "IBUS_KEY_dollar", IBUS_KEY_dollar },
    { "IBUS_KEY_doubbaselinedot", IBUS_KEY_doubbaselinedot },
    { "IBUS_KEY_doubleacute", IBUS_KEY_doubleacute },
    { "IBUS_KEY_doubledagger", IBUS_KEY_doubledagger },
    { "IBUS_KEY_doublelowquotemark", IBUS_KEY_doublelowquotemark },
    { "IBUS_KEY_downarrow", IBUS_KEY_downarrow },
    { "IBUS_KEY_downcaret", IBUS_KEY_downcaret },
    { "IBUS_KEY_downshoe", IBUS_KEY_downshoe },
    { "IBUS_KEY_downstile", IBUS_KEY_downstile },
    { "IBUS_KEY_downtack", IBUS_KEY_downtack },
    { "IBUS_KEY_dstroke", IBUS_KEY_dstroke },
    { "IBUS_KEY_e", IBUS_KEY_e },
    { "IBUS_KEY_eabovedot", IBUS_KEY_eabovedot },
    { "IBUS_KEY_eacute", IBUS_KEY_eacute },
    { "IBUS_KEY_ebelowdot", IBUS_KEY_ebelowdot },
    { "IBUS_KEY_ecaron", IBUS_KEY_ecaron },
    { "IBUS_KEY_ecircumflex", IBUS_KEY_ecircumflex },
    { "IBUS_KEY_ecircumflexacute", IBUS_KEY_ecircumflexacute },
    { "IBUS_KEY_ecircumflexbelowdot", IBUS_KEY_ecircumflexbelowdot },
    { "IBUS_KEY_ecircumflexgrave", IBUS_KEY_ecircumflexgrave },
    { "IBUS_KEY_ecircumflexhook", IBUS_KEY_ecircumflexhook },
    { "IBUS_KEY_ecircumflextilde", IBUS_KEY_ecircumflextilde },
    { "IBUS_KEY_ediaeresis", IBUS_KEY_ediaeresis },
    { "IBUS_KEY_egrave", IBUS_KEY_egrave },
    { "IBUS_KEY_ehook", IBUS_KEY_ehook },
    { "IBUS_KEY_eightsubscript", IBUS_KEY_eightsubscript },
    { "IBUS_KEY_eightsuperior", IBUS_KEY_eightsuperior },
    { "IBUS_KEY_elementof", IBUS_KEY_elementof },
    { "IBUS_KEY_ellipsis", IBUS_KEY_ellipsis },
    { "IBUS_KEY_em3space", IBUS_KEY_em3space },
    { "IBUS_KEY_em4space", IBUS_KEY_em4space },
    { "IBUS_KEY_emacron", IBUS_KEY_emacron },
    { "IBUS_KEY_emdash", IBUS_KEY_emdash },
    { "IBUS_KEY_emfilledcircle", IBUS_KEY_emfilledcircle },
    { "IBUS_KEY_emfilledrect", IBUS_KEY_emfilledrect },
    { "IBUS_KEY_emopencircle", IBUS_KEY_emopencircle },
    { "IBUS_KEY_emopenrectangle", IBUS_KEY_emopenrectangle },
    { "IBUS_KEY_emptyset", IBUS_KEY_emptyset },
    { "IBUS_KEY_emspace", IBUS_KEY_emspace },
    { "IBUS_KEY_endash", IBUS_KEY_endash },
    { "IBUS_KEY_enfilledcircbullet", IBUS_KEY_enfilledcircbullet },
    { "IBUS_KEY_enfilledsqbullet", IBUS_KEY_enfilledsqbullet },
    { "IBUS_KEY_eng", IBUS_KEY_eng },
    { "IBUS_KEY_enopencircbullet", IBUS_KEY_enopencircbullet },
    { "IBUS_KEY_enopensquarebullet", IBUS_KEY_enopensquarebullet },
    { "IBUS_KEY_enspace", IBUS_KEY_enspace },
    { "IBUS_KEY_eogonek", IBUS_KEY_eogonek },
    { "IBUS_KEY_equal", IBUS_KEY_equal },
    { "IBUS_KEY_eth", IBUS_KEY_eth },
    { "IBUS_KEY_etilde", IBUS_KEY_etilde },
    { "IBUS_KEY_exclam", IBUS_KEY_exclam },
    { "IBUS_KEY_exclamdown", IBUS_KEY_exclamdown },
    { "IBUS_KEY_ezh", IBUS_KEY_ezh },
    { "IBUS_KEY_f", IBUS_KEY_f },
    { "IBUS_KEY_fabovedot", IBUS_KEY_fabovedot },
    { "IBUS_KEY_femalesymbol", IBUS_KEY_femalesymbol },
    { "IBUS_KEY_ff", IBUS_KEY_ff },
    { "IBUS_KEY_figdash", IBUS_KEY_figdash },
    { "IBUS_KEY_filledlefttribullet", IBUS_KEY_filledlefttribullet },
    { "IBUS_KEY_filledrectbullet", IBUS_KEY_filledrectbullet },
    { "IBUS_KEY_filledrighttribullet", IBUS_KEY_filledrighttribullet },
    { "IBUS_KEY_filledtribulletdown", IBUS_KEY_filledtribulletdown },
    { "IBUS_KEY_filledtribulletup", IBUS_KEY_filledtribulletup },
    { "IBUS_KEY_fiveeighths", IBUS_KEY_fiveeighths },
    { "IBUS_KEY_fivesixths", IBUS_KEY_fivesixths },
    { "IBUS_KEY_fivesubscript", IBUS_KEY_fivesubscript },
    { "IBUS_KEY_fivesuperior", IBUS_KEY_fivesuperior },
    { "IBUS_KEY_fourfifths", IBUS_KEY_fourfifths },
    { "IBUS_KEY_foursubscript", IBUS_KEY_foursubscript },
    { "IBUS_KEY_foursuperior", IBUS_KEY_foursuperior },
    { "IBUS_KEY_fourthroot", IBUS_KEY_fourthroot },
    { "IBUS_KEY_function", IBUS_KEY_function },
    { "IBUS_KEY_g", IBUS_KEY_g },
    { "IBUS_KEY_gabovedot", IBUS_KEY_gabovedot },
    { "IBUS_KEY_gbreve", IBUS_KEY_gbreve },
    { "IBUS_KEY_gcaron", IBUS_KEY_gcaron },
    { "IBUS_KEY_gcedilla", IBUS_KEY_gcedilla },
    { "IBUS_KEY_gcircumflex", IBUS_KEY_gcircumflex },
    { "IBUS_KEY_grave", IBUS_KEY_grave },
    { "IBUS_KEY_greater", IBUS_KEY_greater },
    { "IBUS_KEY_greaterthanequal", IBUS_KEY_greaterthanequal },
    { "IBUS_KEY_guillemotleft", IBUS_KEY_guillemotleft },
    { "IBUS_KEY_guillemotright", IBUS_KEY_guillemotright },
    { "IBUS_KEY_h", IBUS_KEY_h },
    { "IBUS_KEY_hairspace", IBUS_KEY_hairspace },
    { "IBUS_KEY_hcircumflex", IBUS_KEY_hcircumflex },
    { "IBUS_KEY_heart", IBUS_KEY_heart },
    { "IBUS_KEY_hebrew_aleph", IBUS_KEY_hebrew_aleph },
    { "IBUS_KEY_hebrew_ayin", IBUS_KEY_hebrew_ayin },
    { "IBUS_KEY_hebrew_bet", IBUS_KEY_hebrew_bet },
    { "IBUS_KEY_hebrew_beth", IBUS_KEY_hebrew_beth },
    { "IBUS_KEY_hebrew_chet", IBUS_KEY_hebrew_chet },
    { "IBUS_KEY_hebrew_dalet", IBUS_KEY_hebrew_dalet },
    { "IBUS_KEY_hebrew_daleth", IBUS_KEY_hebrew_daleth },
    { "IBUS_KEY_hebrew_doublelowline", IBUS_KEY_hebrew_doublelowline },
    { "IBUS_KEY_hebrew_finalkaph", IBUS_KEY_hebrew_finalkaph },
    { "IBUS_KEY_hebrew_finalmem", IBUS_KEY_hebrew_finalmem },
    { "IBUS_KEY_hebrew_finalnun", IBUS_KEY_hebrew_finalnun },
    { "IBUS_KEY_hebrew_finalpe", IBUS_KEY_hebrew_finalpe },
    { "IBUS_KEY_hebrew_finalzade", IBUS_KEY_hebrew_finalzade },
    { "IBUS_KEY_hebrew_finalzadi", IBUS_KEY_hebrew_finalzadi },
    { "IBUS_KEY_hebrew_gimel", IBUS_KEY_hebrew_gimel },
    { "IBUS_KEY_hebrew_gimmel", IBUS_KEY_hebrew_gimmel },
    { "IBUS_KEY_hebrew_he", IBUS_KEY_hebrew_he },
    { "IBUS_KEY_hebrew_het", IBUS_KEY_hebrew_het },
    { "IBUS_KEY_hebrew_kaph", IBUS_KEY_hebrew_kaph },
    { "IBUS_KEY_hebrew_kuf", IBUS_KEY_hebrew_kuf },
    { "IBUS_KEY_hebrew_lamed", IBUS_KEY_hebrew_lamed },
    { "IBUS_KEY_hebrew_mem", IBUS_KEY_hebrew_mem },
    { "IBUS_KEY_hebrew_nun", IBUS_KEY_hebrew_nun },
    { "IBUS_KEY_hebrew_pe", IBUS_KEY_hebrew_pe },
    { "IBUS_KEY_hebrew_qoph", IBUS_KEY_hebrew_qoph },
    { "IBUS_KEY_hebrew_resh", IBUS_KEY_hebrew_resh },
    { "IBUS_KEY_hebrew_samech", IBUS_KEY_hebrew_samech },
    { "IBUS_KEY_hebrew_samekh", IBUS_KEY_hebrew_samekh },
    { "IBUS_KEY_hebrew_shin", IBUS_KEY_hebrew_shin },
    { "IBUS_KEY_hebrew_taf", IBUS_KEY_hebrew_taf },
    { "IBUS_KEY_hebrew_taw", IBUS_KEY_hebrew_taw },
    { "IBUS_KEY_hebrew_tet", IBUS_KEY_hebrew_tet },
    { "IBUS_KEY_hebrew_teth", IBUS_KEY_hebrew_teth },
    { "IBUS_KEY_hebrew_waw", IBUS_KEY_hebrew_waw },
    { "IBUS_KEY_hebrew_yod", IBUS_KEY_hebrew_yod },
    { "IBUS_KEY_hebrew_zade", IBUS_KEY_hebrew_zade },
    { "IBUS_KEY_hebrew_zadi", IBUS_KEY_hebrew_zadi },
    { "IBUS_KEY_hebrew_zain", IBUS_KEY_hebrew_zain },
    { "IBUS_KEY_hebrew_zayin", IBUS_KEY_hebrew_zayin },
    { "IBUS_KEY_hexagram", IBUS_KEY_hexagram },
    { "IBUS_KEY_horizconnector", IBUS_KEY_horizconnector },
    { "IBUS_KEY_horizlinescan1", IBUS_KEY_horizlinescan1 },
    { "IBUS_KEY_horizlinescan3", IBUS_KEY_horizlinescan3 },
    { "IBUS_KEY_horizlinescan5", IBUS_KEY_horizlinescan5 },
    { "IBUS_KEY_horizlinescan7", IBUS_KEY_horizlinescan7 },
    { "IBUS_KEY_horizlinescan9", IBUS_KEY_horizlinescan9 },
    { "IBUS_KEY_hstroke", IBUS_KEY_hstroke },
    { "IBUS_KEY_ht", IBUS_KEY_ht },
    { "IBUS_KEY_hyphen", IBUS_KEY_hyphen },
    { "IBUS_KEY_i", IBUS_KEY_i },
    { "IBUS_KEY_iTouch", IBUS_KEY_iTouch },
    { "IBUS_KEY_iacute", IBUS_KEY_iacute },
    { "IBUS_KEY_ibelowdot", IBUS_KEY_ibelowdot },
    { "IBUS_KEY_ibreve", IBUS_KEY_ibreve },
    { "IBUS_KEY_icircumflex", IBUS_KEY_icircumflex },
    { "IBUS_KEY_identical", IBUS_KEY_identical },
    { "IBUS_KEY_idiaeresis", IBUS_KEY_idiaeresis },
    { "IBUS_KEY_idotless", IBUS_KEY_idotless },
    { "IBUS_KEY_ifonlyif", IBUS_KEY_ifonlyif },
    { "IBUS_KEY_igrave", IBUS_KEY_igrave },
    { "IBUS_KEY_ihook", IBUS_KEY_ihook },
    { "IBUS_KEY_imacron", IBUS_KEY_imacron },
    { "IBUS_KEY_implies", IBUS_KEY_implies },
    { "IBUS_KEY_includedin", IBUS_KEY_includedin },
    { "IBUS_KEY_includes", IBUS_KEY_includes },
    { "IBUS_KEY_infinity", IBUS_KEY_infinity },
    { "IBUS_KEY_integral", IBUS_KEY_integral },
    { "IBUS_KEY_intersection", IBUS_KEY_intersection },
    { "IBUS_KEY_iogonek", IBUS_KEY_iogonek },
    { "IBUS_KEY_itilde", IBUS_KEY_itilde },
    { "IBUS_KEY_j", IBUS_KEY_j },
    { "IBUS_KEY_jcircumflex", IBUS_KEY_jcircumflex },
    { "IBUS_KEY_jot", IBUS_KEY_jot },
    { "IBUS_KEY_k", IBUS_KEY_k },
    { "IBUS_KEY_kana_A", IBUS_KEY_kana_A },
    { "IBUS_KEY_kana_CHI", IBUS_KEY_kana_CHI },
    { "IBUS_KEY_kana_E", IBUS_KEY_kana_E },
    { "IBUS_KEY_kana_FU", IBUS_KEY_kana_FU },
    { "IBUS_KEY_kana_HA", IBUS_KEY_kana_HA },
    { "IBUS_KEY_kana_HE", IBUS_KEY_kana_HE },
    { "IBUS_KEY_kana_HI", IBUS_KEY_kana_HI },
    { "IBUS_KEY_kana_HO", IBUS_KEY_kana_HO },
    { "IBUS_KEY_kana_HU", IBUS_KEY_kana_HU },
    { "IBUS_KEY_kana_I", IBUS_KEY_kana_I },
    { "IBUS_KEY_kana_KA", IBUS_KEY_kana_KA },
    { "IBUS_KEY_kana_KE", IBUS_KEY_kana_KE },
    { "IBUS_KEY_kana_KI", IBUS_KEY_kana_KI },
    { "IBUS_KEY_kana_KO", IBUS_KEY_kana_KO },
    { "IBUS_KEY_kana_KU", IBUS_KEY_kana_KU },
    { "IBUS_KEY_kana_MA", IBUS_KEY_kana_MA },
    { "IBUS_KEY_kana_ME", IBUS_KEY_kana_ME },
    { "IBUS_KEY_kana_MI", IBUS_KEY_kana_MI },
    { "IBUS_KEY_kana_MO", IBUS_KEY_kana_MO },
    { "IBUS_KEY_kana_MU", IBUS_KEY_kana_MU },
    { "IBUS_KEY_kana_N", IBUS_KEY_kana_N },
    { "IBUS_KEY_kana_NA", IBUS_KEY_kana_NA },
    { "IBUS_KEY_kana_NE", IBUS_KEY_kana_NE },
    { "IBUS_KEY_kana_NI", IBUS_KEY_kana_NI },
    { "IBUS_KEY_kana_NO", IBUS_KEY_kana_NO },
    { "IBUS_KEY_kana_NU", IBUS_KEY_kana_NU },
    { "IBUS_KEY_kana_O", IBUS_KEY_kana_O },
    { "IBUS_KEY_kana_RA", IBUS_KEY_kana_RA },
    { "IBUS_KEY_kana_RE", IBUS_KEY_kana_RE },
    { "IBUS_KEY_kana_RI", IBUS_KEY_kana_RI },
    { "IBUS_KEY_kana_RO", IBUS_KEY_kana_RO },
    { "IBUS_KEY_kana_RU", IBUS_KEY_kana_RU },
    { "IBUS_KEY_kana_SA", IBUS_KEY_kana_SA },
    { "IBUS_KEY_kana_SE", IBUS_KEY_kana_SE },
    { "IBUS_KEY_kana_SHI", IBUS_KEY_kana_SHI },
    { "IBUS_KEY_kana_SO", IBUS_KEY_kana_SO },
    { "IBUS_KEY_kana_SU", IBUS_KEY_kana_SU },
    { "IBUS_KEY_kana_TA", IBUS_KEY_kana_TA },
    { "IBUS_KEY_kana_TE", IBUS_KEY_kana_TE },
    { "IBUS_KEY_kana_TI", IBUS_KEY_kana_TI },
    { "IBUS_KEY_kana_TO", IBUS_KEY_kana_TO },
    { "IBUS_KEY_kana_TSU", IBUS_KEY_kana_TSU },
    { "IBUS_KEY_kana_TU", IBUS_KEY_kana_TU },
    { "IBUS_KEY_kana_U", IBUS_KEY_kana_U },
    { "IBUS_KEY_kana_WA", IBUS_KEY_kana_WA },
    { "IBUS_KEY_kana_WO", IBUS_KEY_kana_WO },
    { "IBUS_KEY_kana_YA", IBUS_KEY_kana_YA },
    { "IBUS_KEY_kana_YO", IBUS_KEY_kana_YO },
    { "IBUS_KEY_kana_YU", IBUS_KEY_kana_YU },
    { "IBUS_KEY_kana_a", IBUS_KEY_kana_a },
    { "IBUS_KEY_kana_closingbracket", IBUS_KEY_kana_closingbracket },
    { "IBUS_KEY_kana_comma", IBUS_KEY_kana_comma },
    { "IBUS_KEY_kana_conjunctive", IBUS_KEY_kana_conjunctive },
    { "IBUS_KEY_kana_e", IBUS_KEY_kana_e },
    { "IBUS_KEY_kana_fullstop", IBUS_KEY_kana_fullstop },
    { "IBUS_KEY_kana_i", IBUS_KEY_kana_i },
    { "IBUS_KEY_kana_middledot", IBUS_KEY_kana_middledot },
    { "IBUS_KEY_kana_o", IBUS_KEY_kana_o },
    { "IBUS_KEY_kana_openingbracket", IBUS_KEY_kana_openingbracket },
    { "IBUS_KEY_kana_switch", IBUS_KEY_kana_switch },
    { "IBUS_KEY_kana_tsu", IBUS_KEY_kana_tsu },
    { "IBUS_KEY_kana_tu", IBUS_KEY_kana_tu },
    { "IBUS_KEY_kana_u", IBUS_KEY_kana_u },
    { "IBUS_KEY_kana_ya", IBUS_KEY_kana_ya },
    { "IBUS_KEY_kana_yo", IBUS_KEY_kana_yo },
    { "IBUS_KEY_kana_yu", IBUS_KEY_kana_yu },
    { "IBUS_KEY_kappa", IBUS_KEY_kappa },
    { "IBUS_KEY_kcedilla", IBUS_KEY_kcedilla },
    { "IBUS_KEY_kra", IBUS_KEY_kra },
    { "IBUS_KEY_l", IBUS_KEY_l },
    { "IBUS_KEY_lacute", IBUS_KEY_lacute },
    { "IBUS_KEY_latincross", IBUS_KEY_latincross },
    { "IBUS_KEY_lbelowdot", IBUS_KEY_lbelowdot },
    { "IBUS_KEY_lcaron", IBUS_KEY_lcaron },
    { "IBUS_KEY_lcedilla", IBUS_KEY_lcedilla },
    { "IBUS_KEY_leftanglebracket", IBUS_KEY_leftanglebracket },
    { "IBUS_KEY_leftarrow", IBUS_KEY_leftarrow },
    { "IBUS_KEY_leftcaret", IBUS_KEY_leftcaret },
    { "IBUS_KEY_leftdoublequotemark", IBUS_KEY_leftdoublequotemark },
    { "IBUS_KEY_leftmiddlecurlybrace", IBUS_KEY_leftmiddlecurlybrace },
    { "IBUS_KEY_leftopentriangle", IBUS_KEY_leftopentriangle },
    { "IBUS_KEY_leftpointer", IBUS_KEY_leftpointer },
    { "IBUS_KEY_leftradical", IBUS_KEY_leftradical },
    { "IBUS_KEY_leftshoe", IBUS_KEY_leftshoe },
    { "IBUS_KEY_leftsinglequotemark", IBUS_KEY_leftsinglequotemark },
    { "IBUS_KEY_leftt", IBUS_KEY_leftt },
    { "IBUS_KEY_lefttack", IBUS_KEY_lefttack },
    { "IBUS_KEY_less", IBUS_KEY_less },
    { "IBUS_KEY_lessthanequal", IBUS_KEY_lessthanequal },
    { "IBUS_KEY_lf", IBUS_KEY_lf },
    { "IBUS_KEY_logicaland", IBUS_KEY_logicaland },
    { "IBUS_KEY_logicalor", IBUS_KEY_logicalor },
    { "IBUS_KEY_lowleftcorner", IBUS_KEY_lowleftcorner },
    { "IBUS_KEY_lowrightcorner", IBUS_KEY_lowrightcorner },
    { "IBUS_KEY_lstroke", IBUS_KEY_lstroke },
    { "IBUS_KEY_m", IBUS_KEY_m },
    { "IBUS_KEY_mabovedot", IBUS_KEY_mabovedot },
    { "IBUS_KEY_macron", IBUS_KEY_macron },
    { "IBUS_KEY_malesymbol", IBUS_KEY_malesymbol },
    { "IBUS_KEY_maltesecross", IBUS_KEY_maltesecross },
    { "IBUS_KEY_marker", IBUS_KEY_marker },
    { "IBUS_KEY_masculine", IBUS_KEY_masculine },
    { "IBUS_KEY_minus", IBUS_KEY_minus },
    { "IBUS_KEY_minutes", IBUS_KEY_minutes },
    { "IBUS_KEY_mu", IBUS_KEY_mu },
    { "IBUS_KEY_multiply", IBUS_KEY_multiply },
    { "IBUS_KEY_musicalflat", IBUS_KEY_musicalflat },
    { "IBUS_KEY_musicalsharp", IBUS_KEY_musicalsharp },
    { "IBUS_KEY_n", IBUS_KEY_n },
    { "IBUS_KEY_nabla", IBUS_KEY_nabla },
    { "IBUS_KEY_nacute", IBUS_KEY_nacute },
    { "IBUS_KEY_ncaron", IBUS_KEY_ncaron },
    { "IBUS_KEY_ncedilla", IBUS_KEY_ncedilla },
    { "IBUS_KEY_ninesubscript", IBUS_KEY_ninesubscript },
    { "IBUS_KEY_ninesuperior", IBUS_KEY_ninesuperior },
    { "IBUS_KEY_nl", IBUS_KEY_nl },
    { "IBUS_KEY_nobreakspace", IBUS_KEY_nobreakspace },
    { "IBUS_KEY_notapproxeq", IBUS_KEY_notapproxeq },
    { "IBUS_KEY_notelementof", IBUS_KEY_notelementof },
    { "IBUS_KEY_notequal", IBUS_KEY_notequal },
    { "IBUS_KEY_notidentical", IBUS_KEY_notidentical },
    { "IBUS_KEY_notsign", IBUS_KEY_notsign },
    { "IBUS_KEY_ntilde", IBUS_KEY_ntilde },
    { "IBUS_KEY_numbersign", IBUS_KEY_numbersign },
    { "IBUS_KEY_numerosign", IBUS_KEY_numerosign },
    { "IBUS_KEY_o", IBUS_KEY_o },
    { "IBUS_KEY_oacute", IBUS_KEY_oacute },
    { "IBUS_KEY_obarred", IBUS_KEY_obarred },
    { "IBUS_KEY_obelowdot", IBUS_KEY_obelowdot },
    { "IBUS_KEY_ocaron", IBUS_KEY_ocaron },
    { "IBUS_KEY_ocircumflex", IBUS_KEY_ocircumflex },
    { "IBUS_KEY_ocircumflexacute", IBUS_KEY_ocircumflexacute },
    { "IBUS_KEY_ocircumflexbelowdot", IBUS_KEY_ocircumflexbelowdot },
    { "IBUS_KEY_ocircumflexgrave", IBUS_KEY_ocircumflexgrave },
    { "IBUS_KEY_ocircumflexhook", IBUS_KEY_ocircumflexhook },
    { "IBUS_KEY_ocircumflextilde", IBUS_KEY_ocircumflextilde },
    { "IBUS_KEY_odiaeresis", IBUS_KEY_odiaeresis },
    { "IBUS_KEY_odoubleacute", IBUS_KEY_odoubleacute },
    { "IBUS_KEY_oe", IBUS_KEY_oe },
    { "IBUS_KEY_ogonek", IBUS_KEY_ogonek },
    { "IBUS_KEY_ograve", IBUS_KEY_ograve },
    { "IBUS_KEY_ohook", IBUS_KEY_ohook },
    { "IBUS_KEY_ohorn", IBUS_KEY_ohorn },
    { "IBUS_KEY_ohornacute", IBUS_KEY_ohornacute },
    { "IBUS_KEY_ohornbelowdot", IBUS_KEY_ohornbelowdot },
    { "IBUS_KEY_ohorngrave", IBUS_KEY_ohorngrave },
    { "IBUS_KEY_ohornhook", IBUS_KEY_ohornhook },
    { "IBUS_KEY_ohorntilde", IBUS_KEY_ohorntilde },
    { "IBUS_KEY_omacron", IBUS_KEY_omacron },
    { "IBUS_KEY_oneeighth", IBUS_KEY_oneeighth },
    { "IBUS_KEY_onefifth", IBUS_KEY_onefifth },
    { "IBUS_KEY_onehalf", IBUS_KEY_onehalf },
    { "IBUS_KEY_onequarter", IBUS_KEY_onequarter },
    { "IBUS_KEY_onesixth", IBUS_KEY_onesixth },
    { "IBUS_KEY_onesubscript", IBUS_KEY_onesubscript },
    { "IBUS_KEY_onesuperior", IBUS_KEY_onesuperior },
    { "IBUS_KEY_onethird", IBUS_KEY_onethird },
    { "IBUS_KEY_ooblique", IBUS_KEY_ooblique },
    { "IBUS_KEY_openrectbullet", IBUS_KEY_openrectbullet },
    { "IBUS_KEY_openstar", IBUS_KEY_openstar },
    { "IBUS_KEY_opentribulletdown", IBUS_KEY_opentribulletdown },
    { "IBUS_KEY_opentribulletup", IBUS_KEY_opentribulletup },
    { "IBUS_KEY_ordfeminine", IBUS_KEY_ordfeminine },
    { "IBUS_KEY_oslash", IBUS_KEY_oslash },
    { "IBUS_KEY_otilde", IBUS_KEY_otilde },
    { "IBUS_KEY_overbar", IBUS_KEY_overbar },
    { "IBUS_KEY_overline", IBUS_KEY_overline },
    { "IBUS_KEY_p", IBUS_KEY_p },
    { "IBUS_KEY_pabovedot", IBUS_KEY_pabovedot },
    { "IBUS_KEY_paragraph", IBUS_KEY_paragraph },
    { "IBUS_KEY_parenleft", IBUS_KEY_parenleft },
    { "IBUS_KEY_parenright", IBUS_KEY_parenright },
    { "IBUS_KEY_partdifferential", IBUS_KEY_partdifferential },
    { "IBUS_KEY_partialderivative", IBUS_KEY_partialderivative },
    { "IBUS_KEY_percent", IBUS_KEY_percent },
    { "IBUS_KEY_period", IBUS_KEY_period },
    { "IBUS_KEY_periodcentered", IBUS_KEY_periodcentered },
    { "IBUS_KEY_permille", IBUS_KEY_permille },
    { "IBUS_KEY_phonographcopyright", IBUS_KEY_phonographcopyright },
    { "IBUS_KEY_plus", IBUS_KEY_plus },
    { "IBUS_KEY_plusminus", IBUS_KEY_plusminus },
    { "IBUS_KEY_prescription", IBUS_KEY_prescription },
    { "IBUS_KEY_prolongedsound", IBUS_KEY_prolongedsound },
    { "IBUS_KEY_punctspace", IBUS_KEY_punctspace },
    { "IBUS_KEY_q", IBUS_KEY_q },
    { "IBUS_KEY_quad", IBUS_KEY_quad },
    { "IBUS_KEY_question", IBUS_KEY_question },
    { "IBUS_KEY_questiondown", IBUS_KEY_questiondown },
    { "IBUS_KEY_quotedbl", IBUS_KEY_quotedbl },
    { "IBUS_KEY_quoteleft", IBUS_KEY_quoteleft },
    { "IBUS_KEY_quoteright", IBUS_KEY_quoteright },
    { "IBUS_KEY_r", IBUS_KEY_r },
    { "IBUS_KEY_racute", IBUS_KEY_racute },
    { "IBUS_KEY_radical", IBUS_KEY_radical },
    { "IBUS_KEY_rcaron", IBUS_KEY_rcaron },
    { "IBUS_KEY_rcedilla", IBUS_KEY_rcedilla },
    { "IBUS_KEY_registered", IBUS_KEY_registered },
    { "IBUS_KEY_rightanglebracket", IBUS_KEY_rightanglebracket },
    { "IBUS_KEY_rightarrow", IBUS_KEY_rightarrow },
    { "IBUS_KEY_rightcaret", IBUS_KEY_rightcaret },
    { "IBUS_KEY_rightdoublequotemark", IBUS_KEY_rightdoublequotemark },
    { "IBUS_KEY_rightmiddlecurlybrace", IBUS_KEY_rightmiddlecurlybrace },
    { "IBUS_KEY_rightmiddlesummation", IBUS_KEY_rightmiddlesummation },
    { "IBUS_KEY_rightopentriangle", IBUS_KEY_rightopentriangle },
    { "IBUS_KEY_rightpointer", IBUS_KEY_rightpointer },
    { "IBUS_KEY_rightshoe", IBUS_KEY_rightshoe },
    { "IBUS_KEY_rightsinglequotemark", IBUS_KEY_rightsinglequotemark },
    { "IBUS_KEY_rightt", IBUS_KEY_rightt },
    { "IBUS_KEY_righttack", IBUS_KEY_righttack },
    { "IBUS_KEY_s", IBUS_KEY_s },
    { "IBUS_KEY_sabovedot", IBUS_KEY_sabovedot },
    { "IBUS_KEY_sacute", IBUS_KEY_sacute },
    { "IBUS_KEY_scaron", IBUS_KEY_scaron },
    { "IBUS_KEY_scedilla", IBUS_KEY_scedilla },
    { "IBUS_KEY_schwa", IBUS_KEY_schwa },
    { "IBUS_KEY_scircumflex", IBUS_KEY_scircumflex },
    { "IBUS_KEY_script_switch", IBUS_KEY_script_switch },
    { "IBUS_KEY_seconds", IBUS_KEY_seconds },
    { "IBUS_KEY_section", IBUS_KEY_section },
    { "IBUS_KEY_semicolon", IBUS_KEY_semicolon },
    { "IBUS_KEY_semivoicedsound", IBUS_KEY_semivoicedsound },
    { "IBUS_KEY_seveneighths", IBUS_KEY_seveneighths },
    { "IBUS_KEY_sevensubscript", IBUS_KEY_sevensubscript },
    { "IBUS_KEY_sevensuperior", IBUS_KEY_sevensuperior },
    { "IBUS_KEY_signaturemark", IBUS_KEY_signaturemark },
    { "IBUS_KEY_signifblank", IBUS_KEY_signifblank },
    { "IBUS_KEY_similarequal", IBUS_KEY_similarequal },
    { "IBUS_KEY_singlelowquotemark", IBUS_KEY_singlelowquotemark },
    { "IBUS_KEY_sixsubscript", IBUS_KEY_sixsubscript },
    { "IBUS_KEY_sixsuperior", IBUS_KEY_sixsuperior },
    { "IBUS_KEY_slash", IBUS_KEY_slash },
    { "IBUS_KEY_soliddiamond", IBUS_KEY_soliddiamond },
    { "IBUS_KEY_space", IBUS_KEY_space },
    { "IBUS_KEY_squareroot", IBUS_KEY_squareroot },
    { "IBUS_KEY_ssharp", IBUS_KEY_ssharp },
    { "IBUS_KEY_sterling", IBUS_KEY_sterling },
    { "IBUS_KEY_stricteq", IBUS_KEY_stricteq },
    { "IBUS_KEY_t", IBUS_KEY_t },
    { "IBUS_KEY_tabovedot", IBUS_KEY_tabovedot },
    { "IBUS_KEY_tcaron", IBUS_KEY_tcaron },
    { "IBUS_KEY_tcedilla", IBUS_KEY_tcedilla },
    { "IBUS_KEY_telephone", IBUS_KEY_telephone },
    { "IBUS_KEY_telephonerecorder", IBUS_KEY_telephonerecorder },
    { "IBUS_KEY_therefore", IBUS_KEY_therefore },
    { "IBUS_KEY_thinspace", IBUS_KEY_thinspace },
    { "IBUS_KEY_thorn", IBUS_KEY_thorn },
    { "IBUS_KEY_threeeighths", IBUS_KEY_threeeighths },
    { "IBUS_KEY_threefifths", IBUS_KEY_threefifths },
    { "IBUS_KEY_threequarters", IBUS_KEY_threequarters },
    { "IBUS_KEY_threesubscript", IBUS_KEY_threesubscript },
    { "IBUS_KEY_threesuperior", IBUS_KEY_threesuperior },
    { "IBUS_KEY_tintegral", IBUS_KEY_tintegral },
    { "IBUS_KEY_topintegral", IBUS_KEY_topintegral },
    { "IBUS_KEY_topleftparens", IBUS_KEY_topleftparens },
    { "IBUS_KEY_topleftradical", IBUS_KEY_topleftradical },
    { "IBUS_KEY_topleftsqbracket", IBUS_KEY_topleftsqbracket },
    { "IBUS_KEY_topleftsummation", IBUS_KEY_topleftsummation },
    { "IBUS_KEY_toprightparens", IBUS_KEY_toprightparens },
    { "IBUS_KEY_toprightsqbracket", IBUS_KEY_toprightsqbracket },
    { "IBUS_KEY_toprightsummation", IBUS_KEY_toprightsummation },
    { "IBUS_KEY_topt", IBUS_KEY_topt },
    { "IBUS_KEY_topvertsummationconnector", IBUS_KEY_topvertsummationconnector },
    { "IBUS_KEY_trademark", IBUS_KEY_trademark },
    { "IBUS_KEY_trademarkincircle", IBUS_KEY_trademarkincircle },
    { "IBUS_KEY_tslash", IBUS_KEY_tslash },
    { "IBUS_KEY_twofifths", IBUS_KEY_twofifths },
    { "IBUS_KEY_twosubscript", IBUS_KEY_twosubscript },
    { "IBUS_KEY_twosuperior", IBUS_KEY_twosuperior },
    { "IBUS_KEY_twothirds", IBUS_KEY_twothirds },
    { "IBUS_KEY_u", IBUS_KEY_u },
    { "IBUS_KEY_uacute", IBUS_KEY_uacute },
    { "IBUS_KEY_ubelowdot", IBUS_KEY_ubelowdot },
    { "IBUS_KEY_ubreve", IBUS_KEY_ubreve },
    { "IBUS_KEY_ucircumflex", IBUS_KEY_ucircumflex },
    { "IBUS_KEY_udiaeresis", IBUS_KEY_udiaeresis },
    { "IBUS_KEY_udoubleacute", IBUS_KEY_udoubleacute },
    { "IBUS_KEY_ugrave", IBUS_KEY_ugrave },
    { "IBUS_KEY_uhook", IBUS_KEY_uhook },
    { "IBUS_KEY_uhorn", IBUS_KEY_uhorn },
    { "IBUS_KEY_uhornacute", IBUS_KEY_uhornacute },
    { "IBUS_KEY_uhornbelowdot", IBUS_KEY_uhornbelowdot },
    { "IBUS_KEY_uhorngrave", IBUS_KEY_uhorngrave },
    { "IBUS_KEY_uhornhook", IBUS_KEY_uhornhook },
    { "IBUS_KEY_uhorntilde", IBUS_KEY_uhorntilde },
    { "IBUS_KEY_umacron", IBUS_KEY_umacron },
    { "IBUS_KEY_underbar", IBUS_KEY_underbar },
    { "IBUS_KEY_underscore", IBUS_KEY_underscore },
    { "IBUS_KEY_union", IBUS_KEY_union },
    { "IBUS_KEY_uogonek", IBUS_KEY_uogonek },
    { "IBUS_KEY_uparrow", IBUS_KEY_uparrow },
    { "IBUS_KEY_upcaret", IBUS_KEY_upcaret },
    { "IBUS_KEY_upleftcorner", IBUS_KEY_upleftcorner },
    { "IBUS_KEY_uprightcorner", IBUS_KEY_uprightcorner },
    { "IBUS_KEY_upshoe", IBUS_KEY_upshoe },
    { "IBUS_KEY_upstile", IBUS_KEY_upstile },
    { "IBUS_KEY_uptack", IBUS_KEY_uptack },
    { "IBUS_KEY_uring", IBUS_KEY_uring },
    { "IBUS_KEY_utilde", IBUS_KEY_utilde },
    { "IBUS_KEY_v", IBUS_KEY_v },
    { "IBUS_KEY_variation", IBUS_KEY_variation },
    { "IBUS_KEY_vertbar", IBUS_KEY_vertbar },
    { "IBUS_KEY_vertconnector", IBUS_KEY_vertconnector },
    { "IBUS_KEY_voicedsound", IBUS_KEY_voicedsound },
    { "IBUS_KEY_vt", IBUS_KEY_vt },
    { "IBUS_KEY_w", IBUS_KEY_w },
    { "IBUS_KEY_wacute", IBUS_KEY_wacute },
    { "IBUS_KEY_wcircumflex", IBUS_KEY_wcircumflex },
    { "IBUS_KEY_wdiaeresis", IBUS_KEY_wdiaeresis },
    { "IBUS_KEY_wgrave", IBUS_KEY_wgrave },
    { "IBUS_KEY_x", IBUS_KEY_x },
    { "IBUS_KEY_xabovedot", IBUS_KEY_xabovedot },
    { "IBUS_KEY_y", IBUS_KEY_y },
    { "IBUS_KEY_yacute", IBUS_KEY_yacute },
    { "IBUS_KEY_ybelowdot", IBUS_KEY_ybelowdot },
    { "IBUS_KEY_ycircumflex", IBUS_KEY_ycircumflex },
    { "IBUS_KEY_ydiaeresis", IBUS_KEY_ydiaeresis },
    { "IBUS_KEY_yen", IBUS_KEY_yen },
    { "IBUS_KEY_ygrave", IBUS_KEY_ygrave },
    { "IBUS_KEY_yhook", IBUS_KEY_yhook },
    { "IBUS_KEY_ytilde", IBUS_KEY_ytilde },
    { "IBUS_KEY_z", IBUS_KEY_z },
    { "IBUS_KEY_zabovedot", IBUS_KEY_zabovedot },
    { "IBUS_KEY_zacute", IBUS_KEY_zacute },
    { "IBUS_KEY_zcaron", IBUS_KEY_zcaron },
    { "IBUS_KEY_zerosubscript", IBUS_KEY_zerosubscript },
    { "IBUS_KEY_zerosuperior", IBUS_KEY_zerosuperior },
    { "IBUS_KEY_zstroke", IBUS_KEY_zstroke },
    { NULL, 0 }
};

const struct {
    const char *key;
    const guint32 val;
} IBusStateStrToVal [] = {
    { "IBUS_BUTTON1_MASK", IBUS_BUTTON1_MASK },
    { "IBUS_BUTTON2_MASK", IBUS_BUTTON2_MASK },
    { "IBUS_BUTTON3_MASK", IBUS_BUTTON3_MASK },
    { "IBUS_BUTTON4_MASK", IBUS_BUTTON4_MASK },
    { "IBUS_BUTTON5_MASK", IBUS_BUTTON5_MASK },
    { "IBUS_CONTROL_MASK", IBUS_CONTROL_MASK },
    { "IBUS_FORWARD_MASK", IBUS_FORWARD_MASK },
    { "IBUS_HANDLED_MASK", IBUS_HANDLED_MASK },
    { "IBUS_HYPER_MASK", IBUS_HYPER_MASK },
    { "IBUS_IGNORED_MASK", IBUS_IGNORED_MASK },
    { "IBUS_LOCK_MASK", IBUS_LOCK_MASK },
    { "IBUS_META_MASK", IBUS_META_MASK },
    { "IBUS_MOD1_MASK", IBUS_MOD1_MASK },
    { "IBUS_MOD2_MASK", IBUS_MOD2_MASK },
    { "IBUS_MOD3_MASK", IBUS_MOD3_MASK },
    { "IBUS_MOD4_MASK", IBUS_MOD4_MASK },
    { "IBUS_MOD5_MASK", IBUS_MOD5_MASK },
    { "IBUS_MODIFIER_MASK", IBUS_MODIFIER_MASK },
    { "IBUS_RELEASE_MASK", IBUS_RELEASE_MASK },
    { "IBUS_SHIFT_MASK", IBUS_SHIFT_MASK },
    { "IBUS_SUPER_MASK", IBUS_SUPER_MASK },
    { NULL, 0 }
};

#endif
